commit 7236da1f4fdfe46190573fef737464cc4ede34d2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 17:58:16 2011 +0100

    Release Clutter 1.8.0

 NEWS         | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 49 insertions(+), 2 deletions(-)

commit 227033524707b584de6dbdbd3c4ce944145eeb44
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 20:02:17 2011 +0100

    Depend on Cogl new stable release, 1.8.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4396bec330d0e1015b7f35e5eb10bde0379377fc
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Mon Sep 19 20:11:50 2011 +0200

    Queue a redraw when removing an effect by name
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659501

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fcc2ab7be594427c0dd2b0570a67ae9c555f1f40
Author: Craig R. Hughes <craig.git@rungie.com>
Date:   Mon Sep 19 09:30:00 2011 -0700

    Fix calculation of duration for ClutterState default transitions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659200

 clutter/clutter-state.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 14bd6eaad4672ce488986aa2609a5c0ad69adc2b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 17:51:23 2011 +0100

    Bump GLib dependency
    
    We have been using g_slist_free_full() which was added in GLib 2.28, and
    yet we neved bumped the GLib dependency. Whoopsie.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 96866804f05b24d35fbb2f93c00aaeb075f25c4f
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Sep 19 14:38:08 2011 +0100

    actor: consider empty pv ok in set_default_paint_volume
    
    In _clutter_actor_set_default_paint_volume we were returning FALSE if an
    actor has an empty allocation because we were claiming it doesn't have a
    paint-volume. Actually an empty/degenerate pv is valid and has different
    semantics to returning FALSE because FALSE means the pv is unknown and
    so Clutter will have to assume the worst - that the pv is basically
    un-bounded.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-paint-volume.c | 4 ----
 1 file changed, 4 deletions(-)

commit 239fc43c5f5dc15346094bf797ad8e8799424a4b
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Sep 19 12:54:31 2011 +0100

    stage: implicitly clip to stage window bounds
    
    This implicitly intersects any clip for redrawing with the stage window
    bounds. Without this we were sometimes trying to set huge off screen
    scissors leading to undefined clipping results.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-stage.c | 45 +++++++++++++++++++++++++++++----------------
 1 file changed, 29 insertions(+), 16 deletions(-)

commit 662d12aeff9c7404b915e44777b50f0995252fd8
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Sep 19 12:36:52 2011 +0100

    actor: add oob-transform opt to catch out-of-band transforms
    
    Out-of-band transforms are considered to be all actor transforms done
    directly with the Cogl API instead of via ClutterActor::apply_transform.
    
    By running with CLUTTER_DEBUG=oob-transform then Clutter will explicitly
    try to detect when un-expected transforms have been applied to the
    modelview matrix stack.
    
    Out-of-band transforms can lead to awkward bugs in Clutter applications
    because Clutter itself doesn't know about them and this can disrupt
    Clutter's input handling and calculations of actor paint-volumes
    which can lead to visual artifacts.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-actor.c | 23 +++++++++++++++++++++++
 clutter/clutter-debug.h |  3 ++-
 clutter/clutter-main.c  |  3 ++-
 3 files changed, 27 insertions(+), 2 deletions(-)

commit f315e760de3f9e15088cedec89139533a0717f3a
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Sep 17 16:38:12 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po | 1127 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 569 insertions(+), 558 deletions(-)

commit c434553f0f9ef103f7d1bb467e73064c85fe6487
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 17 10:53:10 2011 +0200

    Updated Slovenian translation

 po/sl.po | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 8df42e8822a05052837c7b600bb4d9d089a408bb
Author: I Felix <ifelix25@gmail.com>
Date:   Fri Sep 16 17:12:00 2011 +0530

    Updated Tamil Translations

 po/ta.po | 2205 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2205 insertions(+)

commit 1679104a0e79c1764c7e0210965a7eb17f67b772
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Sep 15 22:33:37 2011 +0200

    Updated Slovenian translation

 po/sl.po | 1276 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 633 insertions(+), 643 deletions(-)

commit 7a0481c79eb2bce6df94fce4cada79982afec1e7
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Sep 15 23:18:03 2011 +0530

    updated Kannada Translation

 po/kn.po | 208 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 104 insertions(+), 104 deletions(-)

commit c2e9b38eb9ca0810227302d0828c03cce83e25a0
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Sep 15 22:42:34 2011 +0530

    updated Kannada Translation

 po/kn.po | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 41bd15226f6fcbd373e4dc41888dbfa6aa930d3d
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Sep 15 04:50:43 2011 +0100

    text: We still have to paint the actor if the cursor is visible
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659116

 clutter/clutter-text.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1883ee13f986f6828f7a4d9bc6f867cce718caa4
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Sep 14 12:01:48 2011 -0400

    text: Take out a nonsense fallback
    
    Invisible text is the best surprise for an update!
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659069

 clutter/clutter-text.c | 4 ----
 1 file changed, 4 deletions(-)

commit 7a7a4f64419749913346552cee109e0496781682
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Sep 15 04:05:54 2011 +0700

    Updated Indonesian translation

 po/id.po | 1780 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 832 insertions(+), 948 deletions(-)

commit 7c5160f36d713ec93935686a195ba3c5c42a3336
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Sep 14 20:18:34 2011 +0300

    Updated Lithuanian translation

 po/lt.po | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit 9efcb8a8a360ff8b75d4ac2724da91e2d62ec2d4
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Tue Sep 13 14:41:57 2011 +0530

    hindi update

 po/hi.po | 1266 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 640 insertions(+), 626 deletions(-)

commit 8f8663c8756437fdb0e30381fce76630d6b887ba
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 12 16:36:44 2011 +0100

    moduleset: Fix up the location of the moduleset file
    
    We moved to git.gnome.org, and the moduleset moved with us.

 build/clutter-build-setup.sh | 3 +--
 build/jhbuildrc-clutter      | 2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 92d4197b2caa092ef5b81e8f9fed2aabbc7fef0c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 12 13:59:30 2011 +0100

    Post-release version bump to 1.7.91

 configure.ac       |    2 +-
 po/ast.po          | 1283 ++++++++++++++++++++++++++--------------------------
 po/ca.po           |  370 +++++++--------
 po/ca@valencia.po  |  370 +++++++--------
 po/clutter-1.0.pot |  372 +++++++--------
 po/cs.po           |  370 +++++++--------
 po/da.po           | 1100 ++++++++++++++++++++++----------------------
 po/de.po           |  370 +++++++--------
 po/en_GB.po        | 1110 ++++++++++++++++++++++-----------------------
 po/eo.po           |  370 +++++++--------
 po/es.po           | 1106 ++++++++++++++++++++++----------------------
 po/fr.po           |  370 +++++++--------
 po/gl.po           |  370 +++++++--------
 po/hi.po           | 1108 ++++++++++++++++++++++-----------------------
 po/id.po           | 1200 ++++++++++++++++++++++++------------------------
 po/it.po           |  370 +++++++--------
 po/kn.po           |  370 +++++++--------
 po/lt.po           | 1228 +++++++++++++++++++++++++------------------------
 po/lv.po           | 1126 +++++++++++++++++++++++----------------------
 po/nb.po           |  370 +++++++--------
 po/nl.po           |  370 +++++++--------
 po/or.po           | 1108 ++++++++++++++++++++++-----------------------
 po/pa.po           |  370 +++++++--------
 po/pl.po           |  370 +++++++--------
 po/pt_BR.po        | 1101 ++++++++++++++++++++++----------------------
 po/ru.po           | 1270 +++++++++++++++++++++++++--------------------------
 po/sl.po           |  370 +++++++--------
 po/sv.po           |  370 +++++++--------
 po/te.po           |  370 +++++++--------
 po/tr.po           | 1111 ++++++++++++++++++++++-----------------------
 po/uk.po           |  370 +++++++--------
 po/zh_CN.po        | 1101 ++++++++++++++++++++++----------------------
 po/zh_HK.po        |  370 +++++++--------
 po/zh_TW.po        |  370 +++++++--------
 34 files changed, 11102 insertions(+), 11254 deletions(-)

commit 84355494480e5b8faa557e6a387511b02e56d04d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 12 13:16:03 2011 +0100

    Release Clutter 1.7.90 (1.8.0-rc1)

 NEWS         | 43 +++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 44 insertions(+), 1 deletion(-)

commit a9a104e109722e0972afcd6fa4cf3c2774d3333e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 12 13:12:14 2011 +0100

    docs: Fixes for cross-references

 clutter/clutter-alpha.c                            |  4 +-
 clutter/clutter-animatable.c                       |  8 +-
 clutter/clutter-animation.c                        |  7 +-
 clutter/clutter-child-meta.h                       |  9 ++-
 clutter/clutter-effect.c                           | 10 +--
 clutter/clutter-gesture-action.c                   |  6 +-
 clutter/clutter-main.c                             |  6 +-
 clutter/clutter-text.c                             |  2 +-
 doc/reference/clutter/subclassing-ClutterActor.xml | 88 ++++++++++++----------
 9 files changed, 74 insertions(+), 66 deletions(-)

commit 2a56cc799ae53550167c63d332dedb79607b0cd7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 12 13:05:16 2011 +0100

    docs: Remove unused cogl-2.0 directory
    
    The Cogl API reference has long since moved out of the Clutter tree.

 doc/reference/cogl-2.0/Makefile.am                | 142 -------
 doc/reference/cogl-2.0/blend-strings.xml          | 129 ------
 doc/reference/cogl-2.0/cogl-docs.xml.in           | 194 ---------
 doc/reference/cogl-2.0/cogl-sections.txt          | 484 ----------------------
 doc/reference/cogl-2.0/cogl_ortho.png             | Bin 12650 -> 0 bytes
 doc/reference/cogl-2.0/fill-rule-even-odd.png     | Bin 3121 -> 0 bytes
 doc/reference/cogl-2.0/fill-rule-non-zero.png     | Bin 3143 -> 0 bytes
 doc/reference/cogl-2.0/quad-indices-order.png     | Bin 2620 -> 0 bytes
 doc/reference/cogl-2.0/quad-indices-triangles.png | Bin 8018 -> 0 bytes
 9 files changed, 949 deletions(-)

commit 7ace3c2fddf9af11d832b7cf48dd56a6db91ceab
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 12 12:36:31 2011 +0100

    docs: Fix clutter_box_packv() link

 clutter/clutter-box.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27502af591597dd30c2b7e522e5c087f426810d3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 12 11:33:18 2011 +0100

    actor: Pack bitfields in ClutterActorPrivate
    
    Bitfields should go at the end, to avoid holes in the middle of the
    struct.

 clutter/clutter-actor.c | 57 +++++++++++++++++++++++++------------------------
 1 file changed, 29 insertions(+), 28 deletions(-)

commit e5cd039b5327a1d856e5285d35c6bd0db738f765
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Sep 12 12:17:46 2011 +0700

    Updated Indonesian translation

 po/id.po | 124 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 53 insertions(+), 71 deletions(-)

commit 99185974c48bac6fc0e378617c1e44d7dbaaab3f
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Sep 11 22:13:31 2011 +0300

    [l10n]Updated Turkish translation

 po/tr.po | 279 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 142 insertions(+), 137 deletions(-)

commit 5781beb22daeb246316e9079025932b1799c6e2e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 10 20:25:15 2011 -0400

    cally: Fix up event listener registration minimally
    
    For god-knows-what reason, at-spi is trying various formats
    of strings when registering listeners, triggering an ugly
    
    (gnome-shell:4411): Clutter-WARNING **: invalid object type create
    
    warning in .xsession-errors. Stop doing that.
    
    Also don't leak temporary string arrays that are a side-effect
    of passing parameters around as formatted strings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658721

 clutter/cally/cally-util.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit aea904afe9c2147ba0faa2e3bba5ad298835bca7
Author: Xandru Armesto <xandru@softastur.org>
Date:   Sun Sep 11 15:46:50 2011 +0200

    Updated asturian translation

 po/ast.po | 2209 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2209 insertions(+)

commit 6b6e662493e9a755b01a260f3b03e682f01db5f1
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Sep 11 11:47:40 2011 +0200

    Updated Spanish translation

 po/es.po | 1153 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 583 insertions(+), 570 deletions(-)

commit 83c61b875856814f2a0b1767059401f2c7e310c0
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Sep 11 11:28:56 2011 +0300

    [l10n]Updated Turkish translation

 po/tr.po | 223 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 112 insertions(+), 111 deletions(-)

commit cf36ac00d9ece3424c8e3c12cab5a3b293b70c5f
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Sep 11 11:27:00 2011 +0400

    Added Russian translation

 po/ru.po | 2193 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2193 insertions(+)

commit c2fc031d95c070b2ada4d4e12896593f35c765cb
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Sep 11 09:00:52 2011 +0300

    [l10n]Updated Turkish translation

 po/tr.po | 195 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 98 insertions(+), 97 deletions(-)

commit 92159871890d19691167081299c78402244d0276
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sat Sep 10 21:05:30 2011 +0300

    [l10n]Added Turkish translation

 po/tr.po | 2171 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2171 insertions(+)

commit 56e3c73300835bb15cad67ff0b36ee32d70a25c4
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Sep 10 19:14:25 2011 +0300

    Added Lithuanian translation

 po/lt.po | 2192 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2192 insertions(+)

commit 50fc7407305a00353bd34fbaeb6f454bd9f712ac
Author: Ray Wang <raywang@gnome.org>
Date:   Sat Sep 10 16:07:27 2011 +0800

    Update Chinese (Simplified) translation

 po/zh_CN.po | 1351 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 680 insertions(+), 671 deletions(-)

commit c5ba998d64605b207b499221d7a484794e756c7a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 9 13:53:33 2011 +0100

    stage: Protect call to unrealize() in dispose
    
    Do not call ClutterStageWindow::unrealize() if the Stage has already
    been unrealized.

 clutter/clutter-stage.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 598e7a4a7e2bbae8928690a4fc44f7771bef530c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 9 13:52:55 2011 +0100

    cogl/stage: Protect against multiple invocation of unrealize()

 clutter/cogl/clutter-stage-cogl.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 802b9d463c306c0c5024ef216c214ec2cd674fd4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 9 12:16:37 2011 +0100

    docs: Update the HACKING file

 doc/HACKING | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 0d19892cd859d9564185ca7ee00b9ebe7d0937fd
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Fri Sep 9 13:03:40 2011 +0200

    Added Danish translation, adopted from launchpad

 po/da.po | 2174 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2174 insertions(+)

commit e6fb9770b155c06379f0d5f542bbe64432b22535
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Sep 9 14:43:24 2011 +0530

    hindi added for clutter

 po/hi.po | 2172 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2172 insertions(+)

commit 746f5e3885bfd5c52123a4ad36e954079ddcf886
Author: Manoj Kumar Giri <mgiri@dhcp193-76.pnq.redhat.com>
Date:   Fri Sep 9 10:54:50 2011 +0530

    Updated Oriya Translation

 po/or.po | 93 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 47 insertions(+), 46 deletions(-)

commit 909e11629960fb20910bbf4e26f9a0f1353240b9
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Thu Sep 8 16:51:54 2011 -0400

    Added Latvian translation.

 po/lv.po | 2193 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2193 insertions(+)

commit 5483c4402a575f6712b0e727838e28b27a99a363
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 21:56:18 2011 +0200

    Updated Polish translation

 po/pl.po | 62 ++++++++++++++++++--------------------------------------------
 1 file changed, 18 insertions(+), 44 deletions(-)

commit fc1f27df94ecc28af69dd3a8e8d381071a4237f6
Author: Manoj Kumar Giri <mgiri@dhcp193-76.pnq.redhat.com>
Date:   Thu Sep 8 20:24:42 2011 +0530

    Updated Oriya Translation

 po/or.po | 2169 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2169 insertions(+)

commit fc65f83b4a4be9d69eb04b73c81e1ead9214f319
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 16:35:47 2011 +0200

    Restore clutter-1.0.pot file

 po/clutter-1.0.pot | 1105 ++++++++++++++++++++++++++--------------------------
 1 file changed, 547 insertions(+), 558 deletions(-)

commit fc91234399c49a8c6c0bf2945b67aab81f51a63e
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Thu Sep 8 10:21:26 2011 -0400

    Updated header section and added myself as a translator as I did quite a lot of work for this package as I reviewed it.

 po/clutter-1.0.pot | 1105 ++++++++++++++++++++++++++--------------------------
 po/pt_BR.po        |  174 ++++-----
 2 files changed, 644 insertions(+), 635 deletions(-)

commit 669d796ecbf74f7dc29f369731bdda5d1b5f67de
Author: Edvaldo de Souza Cruz <edvaldoscruz@hotmail.com>
Date:   Thu Sep 8 10:19:16 2011 -0400

    Added Brazilian Portuguese translation with some massive review and changed done by Og Maciel <ogmaciel@gnome.org>.

 po/pt_BR.po | 2217 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2217 insertions(+)

commit bcd37e2e3d96975c875acf7919405ec246064743
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Sep 7 16:14:10 2011 +0100

    script: Hide private symbols
    
    A bunch of private functions we use when parsing got exposed accidentaly
    to the list of public symbols by virtue of not having the leading '_'
    that we use to filter them out of the shared object — all the while the
    header that declares them is a private, non installed one.
    
    Let's rectify this situation with a bit of minor surgery on the code.

 clutter/clutter-alpha.c          |   2 +-
 clutter/clutter-animation.c      |   2 +-
 clutter/clutter-animator.c       |  18 +++----
 clutter/clutter-model.c          |  12 ++---
 clutter/clutter-script-parser.c  | 114 +++++++++++++++++++--------------------
 clutter/clutter-script-private.h |  54 +++++++++----------
 clutter/clutter-script.c         |   2 +-
 clutter/clutter-state.c          |  12 ++---
 8 files changed, 108 insertions(+), 108 deletions(-)

commit 9f70ea8dee74ebf5f6f32360b439d9babba58ac3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Sep 7 15:20:42 2011 +0100

    text: Pack all bitfields at the end of the private structure
    
    Don't leave them in the middle, to avoid holes.

 clutter/clutter-text.c | 43 ++++++++++++++++++++++---------------------
 1 file changed, 22 insertions(+), 21 deletions(-)

commit 0c22246beabf6005a17687ae5d576d4e2e72e327
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Sep 7 13:28:15 2011 +0100

    text: Clear up priv->text checks
    
    The priv->text field cannot ever be NULL, so we don't need to check for
    that in a series of places. We also need to assert() that pre-condition
    in the couple of places where we set the contents of the ClutterText
    actor, namely in set_text_internal() and set_markup_internal().
    
    Based on a patch by: Dan Winship <danw@gnome.org>
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2629

 clutter/clutter-text.c | 84 +++++++++++++++++++++++++++-----------------------
 1 file changed, 45 insertions(+), 39 deletions(-)

commit 320bdeac03a97dafb8929c93df795e1b2e5bc694
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Sep 7 13:08:22 2011 +0100

    text: Consistently protect against NULL strings
    
    When calling clutter_text_set_text_internal() or
    clutter_text_set_markup_internal() we need to make sure to pass a
    non-NULL string.

 clutter/clutter-text.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit c3e8d30afab071acb5b78d8d68e4c9334d1a82a5
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Sep 7 13:27:34 2011 +0100

    Added British English translation

 po/en_GB.po | 2185 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2185 insertions(+)

commit 2af7ac4c13bd99c04eaf59ecfc8fa7a00a3cb8c1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Sep 7 12:04:08 2011 +0100

    actor: Fix annotations for out Vertex parameters

 clutter/clutter-actor.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0bd1e47b22de3692c37abaa4582dfb9c802ee493
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Sep 6 12:45:41 2011 +0100

    text: Make :use-markup set idempotent
    
    Setting :use-markup and :text is currently not idempotent, and it
    depends on the ordering, e.g.:
    
      g_object_set (actor, "use-markup", TRUE, "text", value, NULL);
    
    does not yield the same results as:
    
      g_object_set (actor, "text", value, "use-markup", TRUE, NULL);
    
    This is particularly jarring when using ClutterText from ClutterScript,
    but in general GObject properties should not rely on the order when used
    from g_object_set().
    
    The fix is to store the contents of the ClutterText as a separate string
    from the displayed text, and use the contents, instead of the displayed
    text, when toggling the :use-markup property.
    
    Let's also add a unit test for good measure, to try and catch
    regressions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651940

 clutter/clutter-text.c            | 52 +++++++++++++++++-----
 tests/conform/test-clutter-text.c | 92 +++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c |  1 +
 3 files changed, 135 insertions(+), 10 deletions(-)

commit f58c2cec1289b680f73f7849a524fb6dcb1b0b22
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Sep 7 15:46:43 2011 +0700

    Updated Indonesian translation

 po/id.po | 1673 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 835 insertions(+), 838 deletions(-)

commit c5cf8c53cd41c751118347495f3d57e8c4e74785
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Sep 6 09:41:06 2011 +0100

    mingw-fetch-dependencies: Build ATK from source
    
    There is no prebuilt package for ATK 2.1.5 which Clutter now depends
    on so let's build it from source instead. The ATK packages don't have
    a .gz version so this patch also changes it to download the .bz2
    version of json-glib to avoid having to accept both formats.

 build/mingw/mingw-fetch-dependencies.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 9d46c479977f994c22da15f8cd1f81f92a531fb4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Sep 6 08:32:07 2011 +0100

    build: Fix up the release rules
    
    Highlight actions and errors, and update the release message.

 build/autotools/Makefile.am.release | 36 +++++++++++++++++-------------------
 1 file changed, 17 insertions(+), 19 deletions(-)

commit 28ad23e7d71e3a4a663a5de266631424ad11752f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 5 21:39:51 2011 +0100

    Post-release version bump to 1.7.15

 configure.ac       |    2 +-
 po/ca.po           |  391 ++++++++---------
 po/ca@valencia.po  |  391 ++++++++---------
 po/clutter-1.0.pot | 1104 ++++++++++++++++++++++++------------------------
 po/cs.po           | 1107 ++++++++++++++++++++++++------------------------
 po/de.po           |  391 ++++++++---------
 po/eo.po           |  390 ++++++++---------
 po/es.po           | 1114 ++++++++++++++++++++++++------------------------
 po/fr.po           |  390 ++++++++---------
 po/gl.po           | 1100 ++++++++++++++++++++++++------------------------
 po/id.po           |  390 ++++++++---------
 po/it.po           |  390 ++++++++---------
 po/kn.po           | 1107 ++++++++++++++++++++++++------------------------
 po/nb.po           |  390 ++++++++---------
 po/nl.po           |  390 ++++++++---------
 po/pa.po           |  390 ++++++++---------
 po/pl.po           |  390 ++++++++---------
 po/sl.po           |  391 ++++++++---------
 po/sv.po           | 1190 +++++++++++++++++++++++++---------------------------
 po/te.po           |  390 ++++++++---------
 po/uk.po           |  390 ++++++++---------
 po/zh_CN.po        |  390 ++++++++---------
 po/zh_HK.po        | 1187 +++++++++++++++++++++++++--------------------------
 po/zh_TW.po        | 1187 +++++++++++++++++++++++++--------------------------
 24 files changed, 7392 insertions(+), 7560 deletions(-)

commit d992c0cbff22c6e22eb03b6a926209ab436a832a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 5 20:54:35 2011 +0100

    Release Clutter 1.7.14

 NEWS         | 64 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 65 insertions(+), 1 deletion(-)

commit 9a78eacb72ad76aa5254b41dd7efbb9716e77547
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 5 21:15:37 2011 +0100

    build: Fix distcheck in cookbook/examples

 doc/cookbook/examples/Makefile.am | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 967bd3ac5804aa9dd9bd308711381979d7c416a2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 5 15:26:27 2011 +0100

    docs: Update test-easing and xinclude it into ClutterAnimation
    
    The easing test is a nice example of what ClutterAnimation and
    clutter_actor_animate() can do. The "tween ball to the pointer
    event coordinates" is a bit of a staple in animation libraries
    and their documentation.

 clutter/clutter-animation.c     |  9 +++++
 tests/interactive/test-easing.c | 90 ++++++++++++++++++++---------------------
 2 files changed, 54 insertions(+), 45 deletions(-)

commit 7024f1cd021760dd3e9c891550a3b20f2627307e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 5 15:25:46 2011 +0100

    static-colors: Simplify the defines
    
    Use a "private" macro to simplify the defined static colors.

 clutter/clutter-color-static.h | 92 +++++++++++++++++++++---------------------
 1 file changed, 47 insertions(+), 45 deletions(-)

commit 359ed2b29fdc4f692e6cb6ff310c41ed7796139a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Sep 4 17:57:50 2011 +0100

    text: Make :line-wrap actually work
    
    When we paint a ClutterText we ask the actor for a PangoLayout that fits
    inside the actor's allocation - both width and height.
    
    Sadly, whenever a height is set on a PangoLayout, Pango will wrap its
    contents - regardless of whether the layout should actually wrap or not.
    
    This means that in certain easy to exploit cases, Clutter will paint a
    Text actor with its contents wrapping even if the :wrap property is set
    to FALSE.
    
    In order to fix this we need to encode some more cases inside the
    ::paint implementation of ClutterText, and ask the cache for a layout
    that is sized as the allocation's width, but not as its height; we also
    need to perform a clip if we detect that the PangoLayout's logical size
    is going to overflow the allocated size. This clip might cause some
    performance issue, given that clipping breaks batching in the Cogl
    journal; hopefully all clips for text are going to be screen-aligned, so
    at the end of the batch it'll just scissor them out.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2339

 clutter/clutter-text.c | 53 ++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 49 insertions(+), 4 deletions(-)

commit 73d3026dd192f2bf102107d7c41c59d5d163ad08
Author: Dan Winship <danw@gnome.org>
Date:   Fri Sep 2 12:51:46 2011 -0400

    clutter-flow-layout: fix non-0,0 offset allocation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649631

 clutter/clutter-flow-layout.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 14242ce3b2386709394400deab81631c227d7473
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Sep 5 18:03:48 2011 +0530

    updated Kannada Translation

 po/kn.po | 108 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

commit f63f359f34bd4211453c5c0d8a5d43e94436608a
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Sep 5 14:04:50 2011 +0530

    Added and updated Kannada Translation

 po/kn.po | 2169 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2169 insertions(+)

commit 6b1ff3fad481cbf9ab6fa2a3a4fe5af942e5b3ec
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Sep 4 19:35:49 2011 +0200

    Updated Czech translation

 po/cs.po | 1118 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 565 insertions(+), 553 deletions(-)

commit 973b7299b28b68795f0cc3a5f4be348f3f0c54d5
Author: Fran Dieguez <fran@openhost.es>
Date:   Sun Sep 4 18:18:55 2011 +0200

    Updated galician translations

 po/clutter-1.0.pot | 1106 ++++++++++++++++++++++++++-------------------------
 po/gl.po           | 1116 ++++++++++++++++++++++++++--------------------------
 2 files changed, 1122 insertions(+), 1100 deletions(-)

commit 924b7e3309f0e487a3f7776e571696cbe4d1f63f
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 4 06:34:25 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 2224 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_TW.po | 1373 ++++++++++++++++++------------------
 2 files changed, 2915 insertions(+), 682 deletions(-)

commit 37c58d61cd9c50bcccfee338a777795a11be2c89
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Sep 3 13:02:29 2011 +0200

    Updated Swedish translation

 po/sv.po | 1240 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 639 insertions(+), 601 deletions(-)

commit a676ae67f7245e8c3cac17ece6c8cedd0a12da54
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 15:51:56 2011 +0100

    docs: Fix up deprecation notice for BehaviourScale

 clutter/clutter-behaviour-scale.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4255a75940a1a87db3145cd3d50d33b779c82049
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 15:49:05 2011 +0100

    docs: Fix the ClutterTimeline:auto-reverse link

 clutter/clutter-timeline.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79e152b7a0f1c6646f485dd17de4935c51778b86
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 15:48:27 2011 +0100

    docs: Inline test-constraints.c inside BindConstraint's description

 clutter/clutter-bind-constraint.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit bce27e45b0ecce89c16640755290b0dbe9e29392
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 15:36:40 2011 +0100

    test-constraints: Clean up the example
    
    Add some comments to detail what are we doing and why.

 tests/interactive/test-constraints.c | 59 +++++++++++++++++++++++++++++-------
 1 file changed, 48 insertions(+), 11 deletions(-)

commit 0d6208f36e0c66e89635e2d586568bfa40102f8e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 15:22:08 2011 +0100

    docs: Inline test-drop.c into DropAction's description
    
    Also, mention that DropAction only works with DragAction.

 clutter/clutter-drop-action.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 8775642e82f999d7fa49bcec8aa967d240c89c2d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 14:50:07 2011 +0100

    docs: Include test-drag as the DragAction example

 clutter/clutter-drag-action.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 9c9926654cbb419dd6d8cd725d5c40e2cb86b832
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 14:28:16 2011 +0100

    docs: Remove the 1.8 index for Cally
    
    No new API has been added in during the 1.7 development cycle.

 doc/reference/cally/cally-docs.xml.in | 5 -----
 1 file changed, 5 deletions(-)

commit 4b7552f0014c75d03d9889a3abeb8a93166ff59a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 14:18:54 2011 +0100

    docs: Add missing clutter_backend_get_cogl_context symbol

 doc/reference/clutter/clutter-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 66607dec4de1676b970053defe33db9634ba6923
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 13:58:34 2011 +0100

    bind: Check that the source is not contained inside the actor
    
    Like commit d0439cfb586ca14282c89035119a4acbc0295df7 for
    AlignConstraint, let's check that the BindConstraint source is not
    a child or a grandchild of the actor attached to the Constraint.

 clutter/clutter-bind-constraint.c | 39 +++++++++++++++++++++++++++++++++++++--
 1 file changed, 37 insertions(+), 2 deletions(-)

commit e6dbdb444d61dc2172d98566589ece846cbe03ce
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 13:56:25 2011 +0100

    align: Check that source is not contained inside the actor
    
    AlignConstraint won't work if the source is a child or a grandchild of
    the ClutterActorMeta:actor to which it has been attached to: the
    allocation flows from the parent to its children, not the other way
    around; in order to avoid weirdness, we better document and check
    that when we set the actor and when we set the source.

 clutter/clutter-align-constraint.c | 39 ++++++++++++++++++++++++++++++++++++--
 1 file changed, 37 insertions(+), 2 deletions(-)

commit 83060b30d17b7afa13b8ce59e824dd91274669c3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 13:54:57 2011 +0100

    docs: Remove mentions of "frames" in Timeline
    
    We still have some really old naming lying around.

 clutter/clutter-timeline.c | 2 +-
 clutter/clutter-timeline.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 72caef0de010d1f6797c29157806a81e72c3f818
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 2 11:01:36 2011 +0100

    cookbooks/examples: Use g_signal_handlers_disconnect_by_func()
    
    The disconnect_matched() function is a bit too complicated, and its
    simpler wrapper disconnect_by_func() is functionally equivalent in the
    cases used by the cookbook examples.

 doc/cookbook/animations.xml              | 8 ++------
 doc/cookbook/examples/animations-reuse.c | 8 ++------
 2 files changed, 4 insertions(+), 12 deletions(-)

commit 63a05fca9d570bc2829fe537859236da8934eda6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 1 17:12:46 2011 +0100

    Lock the main context when modifying the repaint functions list
    
    The repaint functions list can (and should) be manipulated from
    different threads, but it currently doesn't prevent multiple threads
    from accessing it concurrently. We should have a simple lock and take it
    when adding and removing elements from the list; the invocation is still
    performed under the Big Clutter Lock™, so it doesn't require special
    handling.

 clutter/clutter-main.c    | 82 ++++++++++++++++++++++++++++++++++++-----------
 clutter/clutter-private.h |  3 ++
 2 files changed, 66 insertions(+), 19 deletions(-)

commit 2557370445ccc841adddb369fe004ed2e91043e9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 1 16:06:04 2011 +0100

    docs/cookbook: Update the introduction
    
    Clean up some wording.

 doc/cookbook/introduction.xml | 62 ++++++++++++++++++++++++++++++++++++-------
 1 file changed, 53 insertions(+), 9 deletions(-)

commit b0f868edfdaebf9b0e32c88fce9ce2c487e27623
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 1 13:51:20 2011 +0100

    build: Install the cookbook examples code
    
    Use $(datadir)/clutter-1.0/cookbook/examples as the target directory.

 doc/cookbook/examples/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit e03fb1e872ef96c0492efe3ce4cdcd09389d8481
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Aug 31 12:27:30 2011 +0100

    docs/cookbook: Update copyright

 doc/cookbook/clutter-cookbook.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2fdf73f64ab33aaa6de1d357705e7c0bd4ecf090
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Aug 31 12:23:01 2011 +0100

    tests: Go back to the hover state on button-release
    
    If we get a button release, going back to the hover state is the most
    logical choice.

 tests/data/test-script-signals.json | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3bdd49dc191b9c037027349a5175dfa4a7692b66
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Aug 31 12:22:07 2011 +0100

    docs/cookbook: Add script->state connection recipe
    
    Script definitions can connect a signal to a State transition; this is a
    useful thing to document with a recipe in the cookbook.

 doc/cookbook/examples/Makefile.am        |  23 ++++--
 doc/cookbook/examples/script-signals.c   |   5 +-
 doc/cookbook/examples/script-states.c    |  44 +++++++++++
 doc/cookbook/examples/script-states.json |  92 ++++++++++++++++++++++
 doc/cookbook/script.xml                  | 127 +++++++++++++++++++++++++++++++
 5 files changed, 284 insertions(+), 7 deletions(-)

commit b428c3981bad08869f8c7693af50f221637dae34
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 30 21:24:26 2011 +0200

    Updated Spanish translation

 po/es.po | 1120 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 566 insertions(+), 554 deletions(-)

commit 0aacbd47b7f8e44f7688365ee1a76149e6bbd565
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jul 12 23:03:41 2011 +0100

    actor: make offscreen_redirect prop take flags + default off
    
    Because we have had several reports about significant performance
    regressions since we enabled offscreen redirection by default for
    handling correct opacity we are now turning this feature off by default.
    
    We feel that clutter should prioritize performance over correctness in
    this case. Correct opacity is still possible if required but the
    overhead of the numerous offscreen allocations as well as the cost of
    many render target switches per-frame seems too high relative the
    improvement in quality for many cases.
    
    On reviewing the offscreen_redirect property so we have a way to
    disable redirection by default we realized that it makes more sense for
    it to take a set of flags instead of an enum so we can potentially
    extend the number of things that might result in offscreen redirection.
    
    We removed the ability to say REDIRECT_ALWAYS_FOR_OPACITY, since it
    seems that implies you don't trust the implementation of an actor's
    has_overlaps() vfunc which doesn't seem right.
    
    The default value if actor::redirect_offscreen is now 0 which
    effectively means don't ever redirect the actor offscreen.

 clutter/clutter-actor.c                 | 84 ++++++++++++++++-----------------
 clutter/clutter-actor.h                 | 10 ++--
 tests/conform/test-offscreen-redirect.c | 34 ++++++++++---
 3 files changed, 73 insertions(+), 55 deletions(-)

commit d847d43f70d29be78b529b19046b453a05135fa3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Aug 30 10:47:12 2011 +0100

    actions/drag: Be more reliable when destroying the drag handle
    
    Whenever the drag handle gets destroyed mid-drag we need to cancel any
    current drag operation and reset the state of the DragAction.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657681

 clutter/clutter-drag-action.c | 44 +++++++++++++++++++++++++++++++++----------
 1 file changed, 34 insertions(+), 10 deletions(-)

commit f1a7cd7c0f6e3b270d3efd21c36742a8953222ab
Merge: 221293778 663bfd0e8
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Tue Aug 30 12:26:35 2011 +0200

    Merge branch 'atkwindow'

commit 2212937788a907fb0c673f72a48863d8b8c9da93
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 29 23:29:07 2011 +0100

    Post-release version bump to 1.7.13

 configure.ac       |    2 +-
 po/ca.po           |  218 ++++++-----
 po/ca@valencia.po  |  218 ++++++-----
 po/clutter-1.0.pot | 1104 ++++++++++++++++++++++++++-------------------------
 po/cs.po           |  218 ++++++-----
 po/de.po           |  218 ++++++-----
 po/eo.po           |  218 ++++++-----
 po/es.po           | 1106 ++++++++++++++++++++++++++--------------------------
 po/fr.po           |  218 ++++++-----
 po/gl.po           | 1100 ++++++++++++++++++++++++++-------------------------
 po/id.po           |  218 ++++++-----
 po/it.po           |  218 ++++++-----
 po/nb.po           | 1100 ++++++++++++++++++++++++++-------------------------
 po/nl.po           |  218 ++++++-----
 po/pa.po           |  218 ++++++-----
 po/pl.po           |  218 ++++++-----
 po/sl.po           |  218 ++++++-----
 po/sv.po           |  218 ++++++-----
 po/te.po           |  218 ++++++-----
 po/uk.po           |  218 ++++++-----
 po/zh_CN.po        |  218 ++++++-----
 po/zh_TW.po        |  218 ++++++-----
 22 files changed, 4103 insertions(+), 4015 deletions(-)

commit c26dd3f0081dadaf516ef583fffc440ae3b8a4b0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 29 23:05:03 2011 +0100

    Release Clutter 1.7.12 (snapshot)

 NEWS         | 43 +++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 44 insertions(+), 1 deletion(-)

commit 368c916c7fc954e37c264f375a3a95f496777fa4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Aug 24 18:38:17 2011 +0100

    layout-managers: Take into account the allocations's origin
    
    If an actor using a LayoutManager has attributes like margin or padding
    then it'll have to shave them from the available allocation before
    passing it to the LayoutManager::allocate() implementation. Layout
    managers should, thus, not assume that the origin of the allocation is
    in (0, 0), but take into account that the passed ActorBox might have a
    different origin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649631

 clutter/clutter-bin-layout.c   | 9 +++++----
 clutter/clutter-flow-layout.c  | 9 ++++++---
 clutter/clutter-table-layout.c | 8 +++++---
 3 files changed, 16 insertions(+), 10 deletions(-)

commit 3314385119b92b19114417c11d05b98617d9d83d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Aug 24 18:36:19 2011 +0100

    box: Munge the allocation passed to the layout manager
    
    The actor is in charge of providing to the LayoutManager the available
    allocation. ClutterBox should not just pass the box it got from its
    parent: it should, instead, provide a normalized box, with an origin in
    (0, 0) and the available size.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649631

 clutter/clutter-box.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 96810e1d4d07dc75e9622f352674885977c34e60
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 29 22:17:53 2011 +0100

    build: Add -lm to clutter's LIBADD rule
    
    We need to explicitly link against libm when building Clutter, since we
    use libm API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657529

 clutter/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 41d22f37efa9952ef8138711e055a834f0221c75
Author: Fran Dieguez <fran@openhost.es>
Date:   Sun Aug 28 17:36:57 2011 +0200

    Updated galician translations

 po/clutter-1.0.pot | 1108 +++++++++++++++++++++++++-------------------------
 po/gl.po           | 1149 ++++++++++++++++++++++++++--------------------------
 2 files changed, 1143 insertions(+), 1114 deletions(-)

commit 059d32b40d0d0fa364c0d28f4d5a8a7bbc27b5a2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Aug 27 23:58:26 2011 +0100

    build: Add -lm to the tests linker flags
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657529

 tests/interactive/Makefile.am |  2 +-
 tests/micro-bench/Makefile.am |  2 +-
 tests/performance/Makefile.am | 10 ++++++----
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 2ad7f97fce34d48be64f89e3795a15ab7668317c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Aug 26 13:26:49 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1130 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 575 insertions(+), 555 deletions(-)

commit 2f1885565949dbd2c90e386ce557ee45ef1cba8b
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Aug 12 16:25:53 2011 +0100

    Adds experimental clutter_backend_get_cogl_context API
    
    This adds experimental API to be able to get the CoglContext associated
    with the ClutterBackend. The CoglContext is required to use some of the
    experimental 2.0 Cogl API.
    
    Note: Since CoglContext is itself experimental API this API should
    considered experimental too. This patch introduces a
    CLUTTER_ENABLE_EXPERIMENTAL_API #ifdef guard which anyone wanting to use
    this API must define so it's explicitly clear to developers that they
    are playing with experimental API.
    
    Note: This API is not yet supported on OSX because OSX still uses the
    stub Cogl winsys and the Clutter backend doesn't explicitly create a
    CoglContext.
    
    Note: even though this is experimental API we still promise that it
    wont be changed during a stable release cycle. This means for example
    that you can depend on this for the lifetime of the clutter-1.8 stable
    release cycle.

 clutter/clutter-backend.c | 26 ++++++++++++++++++++++++++
 clutter/clutter-backend.h |  7 +++++++
 2 files changed, 33 insertions(+)

commit 663bfd0e85852aee23726c1a590daf54779cd40f
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Aug 10 19:19:33 2011 +0200

    a11y: Using proper way to register to window events

 tests/accessibility/cally-atkevents-example.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 7635cb6f171514ba3422c058d97ba48cc18a1a1e
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Aug 10 13:06:14 2011 +0200

    a11y: We don't need to explicitly manage window events

 clutter/cally/cally-util.c | 38 +-------------------------------------
 1 file changed, 1 insertion(+), 37 deletions(-)

commit a9690a4a5e8604652048f32e2ea188aa40e0ae95
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Aug 10 13:02:26 2011 +0200

    a11y: Using AtkWindow on cally-stage

 clutter/cally/cally-stage.c | 112 +++++++-------------------------------------
 configure.ac                |   2 +-
 2 files changed, 18 insertions(+), 96 deletions(-)

commit 2559fb1d0df32bb30bf35448913fa96b33e6a423
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Aug 23 10:58:09 2011 +0100

    actor: Add a comment on the unmapping order
    
    Let's add a comment to avoid reshuffling the unmap() implementation and
    end up triggering these bugs:
    
      http://bugzilla.clutter-project.org/show_bug.cgi?id=2621
      https://bugzilla.gnome.org/show_bug.cgi?id=652036

 clutter/clutter-actor.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit a661191b4bdd0547810893d240c3a0cbd1b122f2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 22 13:15:42 2011 +0100

    docs/cookbook: Point out that Cogl does not do AA drawing

 doc/cookbook/actors.xml | 6 ++++++
 1 file changed, 6 insertions(+)

commit 010fc072f9aa9633b92f2a85230b90da3d55c77a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 22 12:33:20 2011 +0100

    docs/cookbook: Update the link to the GObject reference

 doc/cookbook/actors.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8fcf7329806ac335bea3cfc96de1f01a6b15be7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Aug 19 13:51:32 2011 +0200

    Updated Spanish translation

 po/es.po | 1112 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 566 insertions(+), 546 deletions(-)

commit d691c9cbe37f83b1c171ba98507edded5551cc5f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 18 15:36:20 2011 +0100

    x11/settings: Add Fontconfig/Timestamp key
    
    The XSETTINGS key that matches the :fontconfig-timestamp property on
    ClutterSettings.

 clutter/x11/clutter-settings-x11.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7d4f371ee900e6388cc900a00095532172db5324
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 18 15:33:39 2011 +0100

    settings: Add ClutterSettings:fontconfig-timestamp
    
    The :fontconfig-timestamp is a write-only property that will get updated
    by the underlying platform whenever the fontconfig configuration has
    been changed — i.e. when the fontconfig caches should be rebuilt after
    the user has installed a new font.

 clutter/clutter-settings.c | 67 +++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 64 insertions(+), 3 deletions(-)

commit e906d2cbde5c1db4238660002f858111de8548c3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 18 15:32:29 2011 +0100

    build: Depend on pangoft2 on X11
    
    We need the fontconfig API to reinitialize the fontmap caches whenever
    the system tells us that the user fonts have changed.

 configure.ac | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 397fe1b5b64ac188824c50a8bb3329f19691e9e2
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Aug 16 17:31:42 2011 +0100

    text: Implement Scriptable interface for font-description
    
    This makes ClutterText implement the Scriptable interface so that we can
    have a custom property parser and setter for the font-description
    property. This works by simply passing the string description through
    to clutter_text_set_font_name.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-text.c | 51 +++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 50 insertions(+), 1 deletion(-)

commit 98b3834d5526afcaf0df7c65c4593e4edf879227
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Aug 16 00:19:34 2011 +0100

    Post-release version bump to 1.7.11

 configure.ac       |   2 +-
 po/ca.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/ca@valencia.po  | 194 ++++++++++++++++++++++++++--------------------------
 po/clutter-1.0.pot | 196 ++++++++++++++++++++++++++---------------------------
 po/cs.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/de.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/eo.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/es.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/fr.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/gl.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/id.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/it.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/nb.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/nl.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/pa.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/pl.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/sl.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/sv.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/te.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/uk.po           | 194 ++++++++++++++++++++++++++--------------------------
 po/zh_CN.po        | 194 ++++++++++++++++++++++++++--------------------------
 po/zh_TW.po        | 194 ++++++++++++++++++++++++++--------------------------
 22 files changed, 2039 insertions(+), 2039 deletions(-)

commit d80fef4c71bb9e1a76420360d85d50fb62ed7d3b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 23:50:03 2011 +0100

    Release Clutter 1.7.10 (snapshot)

 NEWS         | 24 ++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit abcc7c62ec30d4608e953723f3fc6a4b4a38dc8f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 23:52:45 2011 +0100

    build: Do not define LDADD twice

 tests/micro-bench/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ccb740f167b4a120f16c83bdd3165e8251f0e62a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Aug 15 18:24:32 2011 +0100

    actor: Don't update last-paint-volume during picking
    
    Actually this change has two notable effects; firstly we no longer
    perform culling during picking and secondly we avoid updating the
    last-paint-volume of an actor when picking.
    
    We shouldn't perform culling during picking until clutter-stage.c is
    updated to setup the clipping planes appropriately.
    
    Since the last-paint-volume is intended to represent the visible region
    of the actor the last time it was painted on screen it doesn't make
    sense to update this during off screen pick renders since we are liable
    to end up with a last-paint-volume that maps to an actors new position
    when we next come to paint for real.
    
    This fixes a bug in gnome-shell with dragging dash icons leaving a
    messy trail on the screen.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-actor.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 46b683cd2b24e3d3ffa779875325160ab30355b8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 17:16:54 2011 +0100

    Update the COPYING file
    
    The FSF changed address, so we need to update the license accordingly to
    avoid triggering issues with automated license checkers used by build
    systems, like OBS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656588

 COPYING | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit efa7a66a70811490a8390c4c89bdb7ab3bd3dd5e
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Aug 10 20:25:43 2011 +0200

    build: list correct dependencies
    
    Related to bug https://bugzilla.gnome.org/show_bug.cgi?id=656306#c4

 tests/micro-bench/Makefile.am | 4 +++-
 tests/performance/Makefile.am | 4 +---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit df107fc5baf8f69f2005bf15257eaf45875bd11c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 15:53:58 2011 +0100

    interactive/test-actors: Constraint the hands group
    
    Use constraints to align and size the ClutterGroup containing the
    spinning hands so that resizing the stage doesn't look like arse.

 tests/interactive/test-actors.c | 3 +++
 1 file changed, 3 insertions(+)

commit 8402e4133252b2efffeefc782a20d24f8029646f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 15:35:41 2011 +0100

    build: Require the latest stable version of Cogl

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c34f0b16ccf257057bbc7de88fbdd998f7fe26b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 15:16:24 2011 +0100

    Post-release version bump to 1.7.9

 configure.ac       |    2 +-
 po/ca.po           |   28 +-
 po/ca@valencia.po  |   28 +-
 po/clutter-1.0.pot |   28 +-
 po/cs.po           | 1104 ++++++++++++++++++++++++++-------------------------
 po/de.po           |   28 +-
 po/eo.po           |   26 +-
 po/es.po           | 1111 ++++++++++++++++++++++++++--------------------------
 po/fr.po           |   27 +-
 po/gl.po           |   28 +-
 po/id.po           |   26 +-
 po/it.po           |   27 +-
 po/nb.po           |   27 +-
 po/nl.po           |   27 +-
 po/pa.po           |   26 +-
 po/pl.po           |   28 +-
 po/sl.po           |   28 +-
 po/sv.po           |   26 +-
 po/te.po           |   26 +-
 po/uk.po           |   29 +-
 po/zh_CN.po        |   27 +-
 po/zh_TW.po        |   27 +-
 22 files changed, 1440 insertions(+), 1294 deletions(-)

commit f6fe09fa24586fa277b53e010f77b50af15367c1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 14:32:37 2011 +0100

    Release Clutter 1.7.8 (snapshot)

 NEWS         | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 55 insertions(+), 1 deletion(-)

commit 3591be474eaa3a3d9dc09ae31741c1e625b1c325
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 14:09:24 2011 +0100

    conform: Temporarily disable Cally's conformance test
    
    See bug:
    
      https://bugzilla.gnome.org/show_bug.cgi?id=655588
    
    for the failure.

 tests/conform/test-conform-main.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 8ea6b7912ea195337a34d3c7f9a37b74bb606b4a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 14:08:57 2011 +0100

    docs: Fix up the unused symbols warning

 doc/reference/clutter/clutter-sections.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aaa000acbf98b2710a85195d338e960ecce625ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 15 14:08:28 2011 +0100

    docs: Fix up warnings in Cally's reference API

 doc/reference/cally/Makefile.am        |  4 ++--
 doc/reference/cally/cally-docs.xml.in  | 10 ++++++++++
 doc/reference/cally/cally-sections.txt |  2 ++
 3 files changed, 14 insertions(+), 2 deletions(-)

commit d2763fd8a4e60eb3aa8e4ad43809460f448fdf51
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jul 22 12:28:29 2011 +0100

    stage-cogl: pass top-left relative swap_region coords
    
    All 2D coordinate spaces in Cogl have their origin at the top-left so we
    shouldn't be flipping the coordinates we pass to
    cogl_framebuffer_swap_region to be relative to the bottom of the
    framebuffer.
    
    This bumps the Cogl version requirement to 1.7.5 since we've had to fix
    a bug in the semantics of cogl_framebuffer_swap_region.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>

 clutter/cogl/clutter-stage-cogl.c | 4 +---
 configure.ac                      | 2 +-
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 944d9bdd694b769acf2336a3cab52362f2fd32fd
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Aug 4 19:17:23 2011 +0100

    test-cogl-blend-strings: Don't disable the TEXTURE_N test
    
    This is now fixed in Cogl so there's no need to disable it.

 tests/conform/test-cogl-blend-strings.c | 2 --
 1 file changed, 2 deletions(-)

commit 694649e50c76178995538cb182cce885060d5a05
Author: Alejo Pacin <apacin@igalia.com>
Date:   Thu Aug 4 12:02:52 2011 +0200

    a11y: Notify ATK_STATE_SHOWING state change
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648633

 clutter/cally/cally-actor.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 91ace65caedbde4216ba59aa5aa8ef185baefef1
Author: Neil Roberts <neil@linux.intel.com>
Date:   Sun Jul 31 18:00:43 2011 +0100

    clutter-stage-win32: Fix name cogl_win32_onscreen_set_foreign_window
    
    Since commit 38b67e2884f of Cogl the naming scheme for winsys-specific
    API has changed to be cogl_win32_onscreen_* instead of
    cogl_onscreen_win32_* so it wouldn't build on Windows.

 clutter/win32/clutter-stage-win32.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 01fd673505efeca530946018c921caf14b492f31
Author: Kirk A. Baker <kbaker@camerabits.com>
Date:   Mon Jul 25 15:00:30 2011 -0700

    osx: Avoid leaks in Stage::realize
    
    clutter_stage_osx_realize() can now be called multiple times without
    leaking views and windows.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655307

 clutter/osx/clutter-stage-osx.c | 62 ++++++++++++++++++++++++-----------------
 clutter/osx/clutter-stage-osx.h |  1 +
 2 files changed, 37 insertions(+), 26 deletions(-)

commit e144378f5af09eba7adc9a851c4159868f71cea8
Author: Kirk A. Baker <kbaker@camerabits.com>
Date:   Mon Jul 11 21:56:04 2011 -0700

    osx: Implement windowDidResignKey
    
    Added isHiding field to _ClutterStageOSX to allow windowDidResignKey
    delegate to not order full screen window back whilst the full screen
    window was being hidden.  This caused other application windows to be
    hidden.  Also added code to keep hidden stage windows from being listed
    in the application's Windows menu.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655311

 clutter/osx/clutter-stage-osx.c | 8 +++++++-
 clutter/osx/clutter-stage-osx.h | 3 ++-
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 6f6b27fac5acb29ad619fc247f6d11d3d6ba309d
Author: Kirk A. Baker <kbaker@camerabits.com>
Date:   Mon Jul 25 15:02:46 2011 -0700

    osx: Add windowDidChangeScreen delegate
    
    Added -windowDidChangeScreen: delegate to handle condition where moving
    host window to a different screen would cause pick errors to be output.
    The delegate just causes the stage to be redrawn which re-creates the
    pick buffer.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655306

 clutter/osx/clutter-stage-osx.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 7139ada80941754134ef5e201b7baa5e371cc710
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 29 13:17:11 2011 +0100

    model: Remove an unused variable

 clutter/clutter-model.c | 1 -
 1 file changed, 1 deletion(-)

commit a6bd11ac62951e1a6e78c44e2da05bd95404fef7
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Wed Jul 27 00:14:10 2011 -0700

    introspection: add missing introspection data from Vala bindings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655387

 clutter/clutter-actor.c            | 3 ++-
 clutter/clutter-actor.h            | 2 +-
 clutter/clutter-behaviour-path.c   | 2 +-
 clutter/clutter-behaviour-rotate.c | 4 ++--
 clutter/clutter-behaviour.h        | 2 +-
 clutter/clutter-container.c        | 6 ++++--
 clutter/clutter-path.h             | 2 +-
 clutter/clutter-script.c           | 3 ++-
 clutter/clutter-stage.c            | 7 ++++---
 clutter/clutter-text.c             | 4 ++--
 10 files changed, 20 insertions(+), 15 deletions(-)

commit fe66575a2c0b5d423400b9223d0f2548f64cee10
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 29 11:48:13 2011 +0100

    docs: Update with the newly added Animatable symbol

 clutter/clutter-animatable.c               | 25 +++++++++++++++++++++++++
 doc/reference/clutter/clutter-sections.txt |  1 +
 2 files changed, 26 insertions(+)

commit f28c1d2d2a6bd90c494e860134195fcefcb78a6d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 15 15:06:31 2011 +0100

    state: Use the Animatable interface
    
    The Animatable interface allows object classes to provide and animate
    properties outside of the usual GObject property introspection API.
    
    This change allows ClutterState to defer to the animatable objects the
    property introspection and animation, just like ClutterAnimation does.

 clutter/clutter-state.c        | 87 ++++++++++++++++++++++++++++++++++++------
 tests/interactive/test-state.c |  4 ++
 2 files changed, 79 insertions(+), 12 deletions(-)

commit 8b03ec9d16832e3e25cef9f8a95e163c1a901112
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 15 14:31:12 2011 +0100

    actor: There is no need to implement animate_property()
    
    It's a deprecated virtual function, and its replacement does the right
    thing by default.

 clutter/clutter-actor.c | 17 -----------------
 1 file changed, 17 deletions(-)

commit 677df4497554ca1bbf1b461fe6eb5781d66a0581
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 15 14:30:39 2011 +0100

    animation: Use Animatable.interpolate_value()
    
    And stop using the deprecated animate_property() method.

 clutter/clutter-animation.c | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit 8b861cea8fdc10231b9ed466e688d1b7abf48f2c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 15 14:27:26 2011 +0100

    animatable: Deprecate and replace animate_property()
    
    The animate_property() method of the Animatable interface is far less
    than optimal:
    
      • it has a direct reference to ClutterAnimation;
      • it has an interval decomposed as two values.
    
    These issues tie the Animatable interface with the Animation object,
    even though it's neither necessary nor future-proof.
    
    Let's introduce a new method, interpolate_value(), which does not
    reference ClutterAnimation and uses a ClutterInterval to express the
    initial and final states.

 clutter/clutter-animatable.c | 62 ++++++++++++++++++++++++++++++++++++++------
 clutter/clutter-animatable.h | 16 +++++++++++-
 2 files changed, 69 insertions(+), 9 deletions(-)

commit 473f3817d4a0c55b173bb74c6f6f34c09a90d951
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 29 11:29:51 2011 +0100

    model: Clean up ModelIter vfunc wrappers
    
    All ClutterModelIter virtual functions have a default implementation,
    and G_TYPE_INSTANCE_GET_CLASS cannot return NULL unless in case of a
    catastrophic event in the type system - which will most likely blow up
    any application code way before you could call a ModelIter method.
    
    Thus, the idiom:
    
      klass = CLUTTER_MODEL_ITER_GET_CLASS (instance);
      if (klass && klass->vfunc)
        klass->vfunc (instance);
    
    is utterly useless complication, and it can be perfectly replaced by:
    
      CLUTTER_MODEL_ITER_GET_CLASS (instance)->vfunc (instance);
    
    without any loss of safety.

 clutter/clutter-model.c | 94 +++++++++++++------------------------------------
 1 file changed, 24 insertions(+), 70 deletions(-)

commit e470fd7d82502dbdc5084c08583d8764f95813f1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jul 28 15:00:18 2011 +0100

    model: Make sure to emit ::row-changed
    
    Currently, only clutter_model_iter_set_valist() is in charge of emitting
    the ClutterModel::row-changed signal. Both the set() and the
    set_valist() functions can be called with multiple columns, so we
    coalesce the signal emission at the end of the set_valist(), to have a
    single ::row-changed emission per change.
    
    The clutter_model_iter_set_value() function is just a thin wrapper
    around the set_value() virtual function, but since it's called
    internally we cannot add the signal emission there as well, as we'd
    break the signal coalescing.
    
    For this reason, we need some code refactoring inside the various set()
    variants of ClutterModelIter:
    
      - we only use the internal va_arg variant for both the set() and
        set_valist() public functions, to avoid multiple type checks;
      - the internal set_valist() calls an internal set_value() method
        which calls the virtual function from the iterator vtable;
      - a new internal emit_row_changed() method is needed to retrieve
        the ClutterModel from the iterator, and emit the signal;
    
    Now, all three variants of the value setter will call an internal
    ClutterModelIter::set_value() wrapper, and emit the ::row-changed
    signal.
    
    To check that the intended behaviour has been implemented, and it's not
    going to be broken, the test suite has grown a new unit which populates
    a model and changes a random row.

 clutter/clutter-model.c           | 60 +++++++++++++++----------
 tests/conform/test-conform-main.c |  1 +
 tests/conform/test-model.c        | 95 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 132 insertions(+), 24 deletions(-)

commit 480d72d3e456cd0f511c89530e509a72848a8350
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Jul 28 09:31:07 2011 +0200

    Updated Czech translation

 po/cs.po | 1116 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 567 insertions(+), 549 deletions(-)

commit 3e7ff362410760509e2b1351ad236ba797e5a6ad
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jul 27 20:34:39 2011 +0200

    Updated Spanish translation

 po/es.po | 1117 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 569 insertions(+), 548 deletions(-)

commit 110dff5823f56226103cdf5799a6a0b2d7ab3b9b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jul 27 11:48:07 2011 +0100

    test/cairo-clock: Remove a double source color set
    
    Do not call cairo_set_source_rgba() right after calling
    clutter_cairo_set_source_color().

 tests/interactive/test-cairo-clock.c | 1 -
 1 file changed, 1 deletion(-)

commit 468f121f59ad0c10eac7ed42fb339e2861edae59
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Tue Jul 26 15:56:18 2011 +0200

    a11y: Use existing clutter_actor_get_paint_visibility
    
    Cally was initially created with Clutter 0.6 in mind. To check
    recursively the visibility of a actor a custom method was added.
    Since 0.8.4 clutter_actor_get_pain_visibility provides
    the same functionality.
    
    Also removed a dummy method. Lets add methods that provide a real
    functionality.

 clutter/cally/cally-actor.c | 56 ++++-----------------------------------------
 1 file changed, 4 insertions(+), 52 deletions(-)

commit 7f8838d7cc9fe42ce694830cd07fa0ad0c1d27db
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 26 14:53:26 2011 +0100

    cairo-texture: Add the :auto-resize property
    
    Keeping the backing Cairo surface of a CairoTexture canvas in sync with
    the actor's allocation is tedious and prone to mistakes. We can
    definitely do better by simply exposing a property that does the surface
    resize and invalidation automagically on ::allocate.

 clutter/clutter-cairo-texture.c            | 120 ++++++++++++++++++++++++++++-
 clutter/clutter-cairo-texture.h            |   3 +
 doc/reference/clutter/clutter-sections.txt |   2 +
 tests/interactive/test-cairo-clock.c       |   9 ++-
 4 files changed, 129 insertions(+), 5 deletions(-)

commit 301551aacfffcc37f43d0be05303e97461631ccc
Author: Philippe Normand <pnormand@igalia.com>
Date:   Mon Feb 7 11:59:19 2011 +0100

    tests: initial support for cally-text conform tests

 tests/conform/Makefile.am         |   5 +
 tests/conform/test-cally-text.c   | 338 ++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c |   2 +
 3 files changed, 345 insertions(+)

commit fdba5692134371e03dfcedc96567e956eabd13ef
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 26 14:12:08 2011 +0100

    Post-release version bump to 1.7.7

 configure.ac       |    2 +-
 po/ca.po           | 1092 +++++++++++++++++++++++-----------------------
 po/ca@valencia.po  | 1092 +++++++++++++++++++++++-----------------------
 po/clutter-1.0.pot |  493 ++++++++++-----------
 po/cs.po           | 1099 +++++++++++++++++++++++-----------------------
 po/de.po           | 1101 +++++++++++++++++++++++-----------------------
 po/eo.po           |  491 +++++++++++----------
 po/es.po           | 1106 +++++++++++++++++++++++-----------------------
 po/fr.po           |  491 +++++++++++----------
 po/gl.po           |  499 ++++++++++-----------
 po/id.po           |  491 +++++++++++----------
 po/it.po           |  492 +++++++++++----------
 po/nb.po           | 1097 +++++++++++++++++++++++-----------------------
 po/nl.po           |  492 +++++++++++----------
 po/pa.po           |  491 +++++++++++----------
 po/pl.po           |  492 +++++++++++----------
 po/sl.po           | 1233 ++++++++++++++++++++++++++--------------------------
 po/sv.po           |  491 +++++++++++----------
 po/te.po           |  491 +++++++++++----------
 po/uk.po           |  492 +++++++++++----------
 po/zh_CN.po        |  491 +++++++++++----------
 po/zh_TW.po        |  492 +++++++++++----------
 22 files changed, 7398 insertions(+), 7313 deletions(-)

commit 0a008b98e7f72b9741ddbc3e2773153dafe302a1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 26 13:18:43 2011 +0100

    Release Clutter 1.7.6 (snapshot)

 NEWS         | 71 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README.in    | 13 +++++++++++
 configure.ac |  2 +-
 3 files changed, 85 insertions(+), 1 deletion(-)

commit 0f8e3ab4aa5980634d8c0b3c97830b31a3b34a67
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 26 13:55:01 2011 +0100

    bin-layout: Fix a leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655342

 clutter/clutter-bin-layout.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 78049c38bf1839b9982059540501a9e3ef5e0c81
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 26 13:43:37 2011 +0100

    docs: Fixes for building the API reference

 clutter/clutter-actor.c          |  6 +++---
 clutter/clutter-animation.c      |  6 +++---
 clutter/clutter-animator.c       |  2 +-
 clutter/clutter-box.c            |  8 ++++----
 clutter/clutter-cairo-texture.c  |  2 +-
 clutter/clutter-cairo-texture.h  |  1 +
 clutter/clutter-container.c      |  4 ++--
 clutter/clutter-interval.c       |  6 +++---
 clutter/clutter-layout-manager.c |  4 ++--
 clutter/clutter-list-model.c     |  2 +-
 clutter/clutter-model.c          | 10 +++++-----
 clutter/clutter-paint-volume.c   | 27 ++++++++++++---------------
 clutter/clutter-script.c         |  2 +-
 clutter/clutter-shader-effect.c  |  2 +-
 clutter/clutter-state.c          |  2 +-
 15 files changed, 41 insertions(+), 43 deletions(-)

commit 278daca61cbeaffbf5515f7d105ff168b33a3be1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 26 12:53:22 2011 +0100

    cairo-texture: Deprecate create()/create_region()
    
    The recommended way of drawing on a ClutterCairoTexture is the ::draw
    signal.

 clutter/clutter-cairo-texture.c            |  8 ++++
 clutter/clutter-cairo-texture.h            |  2 +
 tests/conform/test-clutter-cairo-texture.c |  1 +
 tests/interactive/test-bin-layout.c        | 21 ++++++-----
 tests/interactive/test-cairo-flowers.c     |  1 +
 tests/interactive/test-easing.c            | 60 ++++++++++++++++++------------
 6 files changed, 59 insertions(+), 34 deletions(-)

commit 2f445682b1f0f717bc10447a937951798df15309
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 26 12:40:52 2011 +0100

    cairo-texture: Use signal-based drawing
    
    The current "create context/draw/destroy context" pattern presents
    various problems. The first issue is that it defers memory management to
    the caller of the create() or create_region() methods, which makes
    bookkeeping of the cairo_t* harder for language bindings and third party
    libraries. The second issue is that, while it's easier for
    draw-and-forget texturs, this API is needlessly complicated for contents
    that have to change programmatically - and it introduces constraints
    like calling the drawing code explicitly after a surface resize (e.g.
    inside an allocate() implementation).
    
    By using a signal-based approach we can make the CairoTexture actor
    behave like other actors, and like other libraries using Cairo as their
    2D drawing API.
    
    The semantics of the newly-introduced ::draw signal are the same as the
    one used by GTK+:
    
      - the signal is emitted on invalidation;
      - the cairo_t* context is owned by the actor;
      - it is safe to have multiple callbacks attached to the same
        signal, to allow composition;
      - the cairo_t* is already clipped to the invalidated area, so
        that Cairo can discard geometry immediately before we upload
        the texture data.
    
    There are possible future improvements, like coalescing multiple
    invalidations inside regions, and performing clipped draws during
    the paint cycle; we could even perform clipped redraws if we know the
    extent of the invalidated area.

 clutter/clutter-cairo-texture.c            | 489 +++++++++++++++++++++--------
 clutter/clutter-cairo-texture.h            |  51 +--
 doc/reference/clutter/clutter-sections.txt |   4 +
 tests/interactive/Makefile.am              |   1 +
 tests/interactive/test-cairo-clock.c       | 107 +++++++
 5 files changed, 501 insertions(+), 151 deletions(-)

commit dcad27120ed8387ade8791bee3dbb4bebe43fa97
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 25 11:07:18 2011 +0100

    conform/cogl-materials: Fix a compiler warning
    
    The function checking for the presence and use of the GLES2 support in
    Cogl should be protected by #ifdef guards, to avoid a compiler warning.

 tests/conform/test-cogl-materials.c | 2 ++
 1 file changed, 2 insertions(+)

commit 772ce1d561d0efde2a836ae7f01314aabf681b03
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Jul 23 19:06:37 2011 +0200

    [l10n]Added Catalan (Valencian) translation

 po/ca@valencia.po | 2195 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2195 insertions(+)

commit a14e47ee8741c72f0e0b407a7555e56873d2bb98
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Jul 23 19:06:26 2011 +0200

    [l10n]Added Catalan translation

 po/ca.po | 2196 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2196 insertions(+)

commit cf44b73f14065e47277c39bf3b11c0a712c5746f
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Jul 21 07:13:27 2011 +0200

    Updated Czech translation

 po/cs.po | 1117 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 571 insertions(+), 546 deletions(-)

commit 55ac8e08466d10d2dc89e3d502d3c9e5043c2458
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jul 20 22:21:35 2011 +0200

    Updated Spanish translation

 po/es.po | 495 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 255 insertions(+), 240 deletions(-)

commit c89de4324e2f9581c4825183c155862148dd7061
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 19 14:32:13 2011 +0100

    docs: Remove manual/
    
    The programmers manual never materialized, and its role has been taken
    by both the cookbook and the API reference.

 .gitignore                           |   4 --
 configure.ac                         |   2 -
 doc/Makefile.am                      |   2 +-
 doc/manual/Makefile.am               |  76 ---------------------------
 doc/manual/clutter-manual.xml.in     |  98 -----------------------------------
 doc/manual/images/clutter-header.png | Bin 7715 -> 0 bytes
 doc/manual/manual.xsl                |  14 -----
 doc/manual/style.css                 |  97 ----------------------------------
 8 files changed, 1 insertion(+), 292 deletions(-)

commit b19106793bdf9f531bda9dac0850066deb8d0f67
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jul 19 22:26:03 2011 +0200

    Updated Slovenian translation

 po/sl.po | 1251 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 637 insertions(+), 614 deletions(-)

commit cbe1e8321bece8f31e1def9c9570e7efbb047387
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Jul 13 14:10:47 2011 +0100

    tests: Dynamically resolve GL symbols
    
    Some of the tests are making direct GL calls. Eventually we want
    Clutter not to link directly against any GL library so that it can
    leave Cogl to load it dynamically. As a step towards getting this to
    work this patch changes the tests to resolve the symbols using
    cogl_get_proc_address instead of linking directly.

 tests/conform/test-cogl-materials.c         | 12 ++++--
 tests/conform/test-cogl-texture-rectangle.c | 58 ++++++++++++++++-------------
 tests/conform/test-conform-common.c         | 24 ++++++++++++
 tests/conform/test-conform-common.h         | 19 ++++++++++
 tests/interactive/test-cogl-tex-foreign.c   | 49 ++++++++++++++++++------
 5 files changed, 121 insertions(+), 41 deletions(-)

commit 5cc5e566e6da0cc5d7761f20b158e8aff7c60a49
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 19 14:11:11 2011 +0100

    docs: Add fixed size and constraints to the size negotiation docs

 doc/size-negotiation.txt | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit e1327f5591287fee58d8818564984ea01e95ca87
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 19 14:03:02 2011 +0100

    actor: Clean up the allocate() checks
    
    Move the conditions to their own boolean flags, to avoid making the
    if() incomprehensible.

 clutter/clutter-actor.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 48a2b3a654a1955308ac26cfd92240d9eae7975d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 19 14:02:59 2011 +0100

    docs: Rename the invariants documentation

 doc/{clutter-actor-invariants.txt => actor-invariants.txt} | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit c1951ab17ab88622c7850c2662392f60a7776b01
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 19 14:01:30 2011 +0100

    docs: Add a simple description of the size negotiation mechanism
    
    Describe (with an example) the ordering and meaning of flags for the
    size negotiation in ClutterActor.

 doc/size-negotiation.txt | 85 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 85 insertions(+)

commit 123bd41e6cf3cdcf240af7c6a7b79af73f42823a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 18 16:10:17 2011 +0100

    texture: Clean up error reporting
    
    ClutterTexture relies too much on GError, even for things that are
    clearly programmer errors. Also, no error message passed to GError
    is marked for translation as it should.
    
    We should move the programmer errors, like passing the wrong bpp
    value with regards to the presence of the alpha channel, to real
    warnings; we should also try and harmonize all the error messages,
    and not mention Cogl — especially in the ones marked for translation.

 clutter/clutter-texture.c | 130 +++++++++++++++++++++-------------------------
 1 file changed, 59 insertions(+), 71 deletions(-)

commit 672bc337ba9e5755df975ff6ee332259737e89c7
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jul 18 16:39:43 2011 +0100

    build: don't explicitly include and egl or gl headers
    
    This avoids explicitly including gl or egl headers in
    clutter-egl-headers.h. We were getting build failures when building
    clutter against a libcogl that has runtime support for GL and GLES
    because cogl-defines.h was including gl.h and then clutter-egl-headers.h
    was later including GLES2/gl.h with typedef conflicts. Clutter relies on
    Cogl to abstract GL and GLES and the winsys APIs like EGL and GLX so
    Clutter should just rely on cogl.h to include the appropriate egl.h in
    clutter-egl-headers.h.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>
    Reviewed-by: Neil Roberts <neil@linux.intel.com>

 clutter/cogl/clutter-egl-headers.h | 22 +++-------------------
 1 file changed, 3 insertions(+), 19 deletions(-)

commit 90aa7b94468078a4fb40ba4dae821d8ecfeefa4e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Jul 18 16:35:11 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1292 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 648 insertions(+), 644 deletions(-)

commit a4b9eaf3ec3926565c1e20dee617788615943b88
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Sat Jul 16 11:07:24 2011 +0100

    alpha: Don't use the GClosure to compute the alpha when possible
    
    Setting up the call and calling the GClosure was showing up in profiles
    and seemed an easy one to remove.
    
    Instead of calling the closure, let's remember the alpha func and the
    user_data when possible (ie set_mode() and set_func()) and use it in
    get_alpha().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654727

 clutter/clutter-alpha.c | 66 +++++++++++++++++++++++++++++++++++++------------
 1 file changed, 50 insertions(+), 16 deletions(-)

commit 4d58534fbb49be6c39017df1d4a32a9184e28f68
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jul 12 17:32:26 2011 +0100

    text: Fix the default value of "editable"
    
    The "editable" property is documented to default to TRUE, but is
    initialized to FALSE in the _init() function.
    
    Third party code would be affected if we changed the default to be
    TRUE, so we have to change the default value in the GParamSpec.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654726

 clutter/clutter-text.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e25e48efb3c17db428fc92426649a3f7a732456e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 18 13:51:17 2011 +0100

    Do not use return with void functions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654718

 clutter/clutter-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1402c0511239ede27855a836fd9ca9cc8dbf969d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 18 13:45:55 2011 +0100

    timeline: Cast elapsed time before emitting ::new-frame
    
    When emitting a new-frame signal, priv->elapsed_time is passed as a
    parameter. This is a gint64. The closure marshal uses an INT. On some
    platforms, this is not received correctly by signal handlers (they
    receive 0). One solution is to cast priv->elapsed_time to a gint when
    emitting the signal.
    
    We cannot change the signature of the signal without breaking ABI.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654066

 clutter/clutter-timeline.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit c9cbe58343d4202e40d8ffd898712effca08381e
Author: Bastian Winkler <buz@netbuz.org>
Date:   Tue Jul 5 17:31:41 2011 +0200

    snap-constraint: Fix allocation for CLUTTER_SNAP_EDGE_RIGHT
    
    Use source_with instead of source_height to calculate the the x1/x2
    positions for CLUTTER_SNAP_EDGE_RIGHT
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654024

 clutter/clutter-snap-constraint.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f1f5d7658f64adc527e1a202b13307f90258271f
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Mon Jul 18 00:38:55 2011 +0200

    [l10n] Updated German translation

 po/de.po | 316 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 164 insertions(+), 152 deletions(-)

commit ac859baf7b50a88c731a978b7f7046ccfb9a8d66
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Jul 15 21:21:54 2011 +0200

    [l10n] Updated German translation

 po/de.po | 1189 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 592 insertions(+), 597 deletions(-)

commit bc1c3e003d745dbaa95ecd161b83df0881e18cc6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 15 16:03:00 2011 +0100

    x11/event: Avoid compiler warnings with HAVE_XGE undefined

 clutter/x11/clutter-event-x11.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 2dc69dc63d4e6fee068a918629f406a241ec9716
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 15 16:02:19 2011 +0100

    build: Escape AC_DEFINE arguments

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 538559391ca340d014796c812f860d509c1ed4cd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 15 15:53:55 2011 +0100

    actor: Plug a leak in an error path
    
    If the meta for the animation property is not found, the name of the
    property to look for is still from the token, and we need to free the
    memory allocated for it.

 clutter/clutter-actor.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 075a4ed86c468b9f1bcb7d864ea678df25e7438b
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Jul 14 21:58:25 2011 +0200

    x11: Improve XGenericEventCookie data allocation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654656
    
    Clutter may be used together with GTK+, which indirectly may use
    XInput2 too, so the cookie data must persist when both are handling
    events.
    
    What happens now in a nutshell is, Clutter is only guaranteed to allocate
    the cookie itself after XNextEvent(), and only frees the cookie if its
    XGetEventData() call allocated the cookie data.
    
    The X[Get|Free]EventData() calls happen now in clutter-event-x11.c as
    hypothetically different event translators could also handle other set
    of X Generic Events, or other libraries handling events for that matter.

 clutter/x11/clutter-device-manager-xi2.c | 18 +++++-------------
 clutter/x11/clutter-event-x11.c          | 23 +++++++++++++++++++++++
 configure.ac                             | 18 ++++++++++++++++++
 3 files changed, 46 insertions(+), 13 deletions(-)

commit c6a0427c69294e765728bdac4dc11b73fda55b12
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jul 12 17:04:15 2011 +0100

    pick: Use Cogl API not GL API to disable dithering
    
    When picking we need to disable dithering to be sure that the hardware
    will not modify the colors we use as actor identifiers. Clutter was
    manually calling glEnable/Disable GL_DITHER to handle this, but that was
    a layering violation since Cogl is intended to handle all interactions
    with OpenGL. Since we are now striving for GL vs GLES to be a runtime
    choice we need to remove this last direct usage of GL from Clutter so it
    doesn't have to be linked with GL at build time.
    
    Signed-off-by: Neil Roberts <neil@linux.intel.com>

 clutter/clutter-stage.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3183240fef315bb8be2391eac7b714520da88bd6
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jul 12 01:11:51 2011 +0100

    Provide stable paint-boxes for fixed sized actors
    
    This updates _clutter_paint_volume_get_stage_paint_box to try and
    calculate more stable paint-box sizes for fixed sized paint-volumes by
    not basing the size on the volume's sub-pixel position.
    
    So the aim is that for a given rectangle defined with floating point
    coordinates we want to determine a stable quantized size in pixels that
    doesn't vary due to the original box's sub-pixel position.
    
    The reason this is important is because effects will use this API to
    determine the size of offscreen framebuffers and so for a fixed-size
    object that may be animated across the screen we want to make sure that
    the stage paint-box has an equally stable size so that effects aren't
    made to continuously re-allocate a corresponding fbo.
    
    The other thing we consider is that the calculation of this box is
    subject to floating point precision issues that might be slightly
    different to the precision issues involved with actually painting the
    actor, which might result in painting slightly leaking outside the
    user's calculated paint-volume. This patch now adds padding to consider
    this too.
    
    Signed-off-by: Neil Roberts <neil@linux.intel.com>
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-paint-volume.c | 49 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 48 insertions(+), 1 deletion(-)

commit df751a8a255dbca77779fd361d990cfd6d4f5095
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jul 12 01:06:28 2011 +0100

    actor: improve rounding in get_allocation_geometry
    
    Instead of relying on C to round the floating point allocation to
    integers by flooring the values we now use CLUTTER_NEARBYINT to round
    the allocation's position and size to the nearest integers instead. Using
    floor leads to rather unstable rounding for the width and height when
    there may be tiny fluctuations in the floating point width/height.
    
    Signed-off-by: Neil Roberts <neil@linux.intel.com>
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-actor.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 32487af55b72e5a1be34176bc462ff11d8d378fc
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jul 12 01:02:43 2011 +0100

    Adds a CLUTTER_NEARBYINT macro for float rounding
    
    This is a replacement for the nearbyint function which always rounds to
    the nearest integer. nearbyint is a C99 function so it might not always
    be available but also it seems in glibc it is defined as a function call
    so this macro could end up faster anyway. We can't just add 0.5 because
    it will break for negative numbers.
    
    Signed-off-by: Neil Roberts <neil@linux.intel.com>
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-private.h | 7 +++++++
 1 file changed, 7 insertions(+)

commit ad234b303ca557c5f9bc34e0f4dfb0b3b619c865
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jul 12 00:44:47 2011 +0100

    paint-volume: don't round paint-volume from allocation
    
    The implementation of _clutter_actor_set_default_paint_volume which
    simply uses the actor's allocation to determine a paint-volume was
    needlessly using the allocation rounded to integers by internally using
    clutter_actor_get_allocation_geometry instead of
    clutter_actor_get_allocation_box. This was introducing a lot of
    instability into the paint-volume due to the way rounding was done.
    
    The code has now been updated to use clutter_actor_get_allocation_box
    so we are dealing with the floating point allocation instead.
    
    Signed-off-by: Neil Roberts <neil@linux.intel.com>
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-paint-volume.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 01cf70594dd29f7c80c73b0b89ca1d044777d04c
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Thu Jul 14 13:11:12 2011 +0200

    Make sure the gesture is cancelled even if we miss the release event

 clutter/clutter-gesture-action.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 439c7e6ee71947558756d8c13c0cf8103203a7a1
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Thu Jul 14 11:45:37 2011 +0200

    Remove unneeded class closure

 clutter/clutter-gesture-action.c | 1 -
 1 file changed, 1 deletion(-)

commit 18b3da95efa6d918eacade7e7f73f6979f201266
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 13 19:32:47 2011 +0100

    osx: Code style cleanups

 clutter/osx/clutter-backend-osx.c | 11 +++++-----
 clutter/osx/clutter-stage-osx.c   | 42 +++++++++++++++++++++++++++++----------
 2 files changed, 38 insertions(+), 15 deletions(-)

commit c8e3db105c7340e4a470dd46147712b95e90e76a
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Wed Jul 13 18:31:22 2011 +0200

    Add default closures for the signals in ClutterGestureAction
    
    Also make sure we cancel the gesture as soon as we know we have to

 clutter/clutter-gesture-action.c | 21 +++++++++++++++++++--
 1 file changed, 19 insertions(+), 2 deletions(-)

commit 48426c28bf8b0f88f31cc24b0c9f0d960b818637
Author: Dinh Bowman <dinh@vagueindustries.com>
Date:   Wed Jul 6 08:54:41 2011 -0700

    Fixed typo of bidng to bind
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654103

 clutter/clutter-bind-constraint.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f45b12dac40d9f7500840877c7ec38292873c8cf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 13 14:49:55 2011 +0100

    build: Unescape conditionally defined defaults in AS_HELP_STRING
    
    AS_HELP_STRING() escapes everything, so m4 doesn't have a chance to run
    expansions.

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ab89f9b9e820a5d81d9f392f852397906d6098b9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 13 14:20:47 2011 +0100

    build: Detect the appropriate default flavour
    
    If we're building on/for Windows, set 'win32' as the default flavour; if
    we're building on OS X, set 'osx' as the default flavour. For everything
    else, use 'glx'.

 configure.ac | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 9a3b97b55ea7a97f15d53b5797f3a4ffb84975b8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 13 14:26:05 2011 +0100

    Revert "build: Detect the appropriate default flavour"
    
    Ouch, butterfingers and git commit -a.
    
    This reverts commit 81e8c8dec902e1e3b6277ebad5804f2321535332.

 clutter/clutter-actor.c |  8 --------
 clutter/clutter-actor.h | 16 +++-------------
 configure.ac            |  8 +-------
 3 files changed, 4 insertions(+), 28 deletions(-)

commit d67bc235a466bd1f5779bcfac6a8fd2cedd468e6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 13 14:22:14 2011 +0100

    build: The OSX backend is not experimental any more
    
    The OSX backend is actively developed, and tested, so we can drop the
    experimental flag.

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 81e8c8dec902e1e3b6277ebad5804f2321535332
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 13 14:20:47 2011 +0100

    build: Detect the appropriate default flavour
    
    If we're building on/for Windows, set 'win32' as the default flavour; if
    we're building on OS X, set 'osx' as the default flavour. For everything
    else, use 'glx'.

 clutter/clutter-actor.c |  8 ++++++++
 clutter/clutter-actor.h | 16 +++++++++++++---
 configure.ac            |  8 +++++++-
 3 files changed, 28 insertions(+), 4 deletions(-)

commit a72237b8761d3c760922703e981a1234abf4a6fe
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Jul 12 17:16:43 2011 +0100

    clutter-stage: Add clutter_stage_get_redraw_clip_bounds
    
    This adds a public function to get the bounds of the current clipped
    redraw on a stage. This should only be called while the stage is being
    painted. The function diverts to a virtual function on the
    ClutterStageWindow implementation. If the function isn't implemented
    or it returns FALSE then the entire stage is reported. The clip bounds
    are in integer pixel coordinates in the stage's coordinate space.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2421

 clutter/clutter-stage-window.c             | 15 +++++++++++
 clutter/clutter-stage-window.h             |  6 +++++
 clutter/clutter-stage.c                    | 41 ++++++++++++++++++++++++++++++
 clutter/clutter-stage.h                    |  4 +++
 clutter/cogl/clutter-stage-cogl.c          | 25 ++++++++++++++++++
 clutter/cogl/clutter-stage-cogl.h          |  4 +++
 doc/reference/clutter/clutter-sections.txt |  1 +
 7 files changed, 96 insertions(+)

commit 25a7435a866385aa19a4417957d5b9cdc3bd69ac
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jul 11 02:03:57 2011 +0100

    uprof: Add the units in the name of the "Per Frame" timer attribute
    
    So it shows up in the profile report. Take the opportunity to write a
    better long description for the attribute.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654363

 clutter/clutter-profile.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fa336ab57f526a3274c51a25dddaadca91b21122
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jul 11 16:42:03 2011 +0100

    test-cogl-materials: Use glGetString to determine cogl driver
    
    Rather than using the #ifdefs and assuming that only one Cogl driver
    is compiled in (which is no longer true), the test now calls
    glGetString to check the GL_VERSION. This is kind of a hack but the
    test is already calling GL functions directly anyway.

 tests/conform/test-cogl-materials.c | 45 ++++++++++++++++++++++++-------------
 1 file changed, 30 insertions(+), 15 deletions(-)

commit 2bb4c2c6cb8afee99c0ebfdb9808a8d175fa4503
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jul 11 16:32:10 2011 +0100

    test-cogl-materials: Remove a redundant comment
    
    test-cogl-materials had a weird comment about glReadPixels using
    inverted coordinates but the test now uses cogl_read_pixels instead of
    glReadPixels so it is irrelevant.

 tests/conform/test-cogl-materials.c | 1 -
 1 file changed, 1 deletion(-)

commit ab6be41ea043065424cb494ec80d4242812e2488
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jul 4 15:12:20 2011 +0100

    build: update cogl_onscreen_x11 syms to cogl_x11_onscreen
    
    Cogl recently renamed symbols with the form
    cogl_onscreen_<platform>_blah to be consistent with other platform
    specific APIs so they are now named like cogl_<platform>_onscreen_blah.
    This makes the corresponding change to clutter.

 clutter/cogl/clutter-stage-cogl.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d182d5a1714be65004e6c68c347a7f45deaf47d8
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jul 1 01:50:30 2011 +0100

    backend-cogl: update _get_egl_context symbol name
    
    Cogl changed has changed the name of cogl_context_egl_get_egl_context to
    cogl_egl_context_get_egl_context to be consistent with other platform
    specific symbols.

 clutter/cogl/clutter-backend-cogl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 71d0872b76ec6678f03fddf4731f394eaa06ba9f
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jul 1 01:44:13 2011 +0100

    don't call cogl_set_default_context since it's been removed
    
    cogl_set_default_context has been removed from Cogl so this updates
    Clutter in-line with that change.

 clutter/cogl/clutter-backend-cogl.c   | 4 ----
 clutter/win32/clutter-backend-win32.c | 4 ----
 2 files changed, 8 deletions(-)

commit 62ae252c59ba83723a2ed3b309ea63868fb91857
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jul 11 16:57:29 2011 +0100

    build: depend on cogl-1.7.3 development version
    
    Since some experimental API in Cogl that Clutter uses has changed this
    bumps our dependency up to 1.7.3 before landing the corresponding build
    fixes for clutter to bring it in line with the Cogl changes.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c17ddfd6a94fa3918a3d73cb0635fa874ee82295
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jul 11 01:42:59 2011 +0100

    uprof: Rename timers to remove the EGL specific bits
    
    Cogl abstracts the winsys, Remove the egl prefix from the timer names.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654361

 clutter/cogl/clutter-stage-cogl.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a9ef7dd81247b151072f76a719c4fde9853039f7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jul 10 14:37:18 2011 +0200

    Updated POTFILES.in

 po/POTFILES.in | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 5d10a7141ca6557049aff1d4a513953f06fe0d54
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 10 10:24:40 2011 +0100

    text: Make sure that the selection box is big enough
    
    Do not use integers to store the result of the PANGO_UNITS scaling to
    avoid rounding issues with the default C rules. We should use cielf()
    instead.

 clutter/clutter-text.c | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit f6cdeb985812e13174c85cf04bc4a782e2d1939d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 10 10:12:08 2011 +0100

    osx: Fix a compiler warning
    
    No declaration after statement.

 clutter/osx/clutter-event-osx.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 73b043630d20ff46edb3a288d1da917680ae61e9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 8 12:12:43 2011 +0100

    conform/pick: Print debug spew only if verbosity is toggled

 tests/conform/test-pick.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 96440acffec37d11717a98dc140219a36cf39483
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 8 12:08:19 2011 +0100

    texture: Deprecate the new_from_actor() function
    
    Now that we have proper offscreen and shader handling using the
    ClutterEffect API, we can finally deprecate this hard to bind, easy
    to break function.

 clutter/clutter-texture.c        | 4 ++++
 clutter/clutter-texture.h        | 4 ++++
 tests/conform/test-texture-fbo.c | 1 +
 tests/interactive/test-fbo.c     | 1 +
 4 files changed, 10 insertions(+)

commit e677ebc3e83132da67e8cbdbc3ac9fab87c1cea8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 8 12:01:08 2011 +0100

    Deprecate ClutterScore
    
    The class is of dubious utility, now that we have a complex animation
    API in ClutterAnimator and ClutterState, as opposed to a simple one
    in ClutterBehaviour. The Score API also suffers from some naïve design
    issues that made it far less useful than intended.

 clutter/clutter-score.c    | 3 +++
 clutter/clutter-score.h    | 4 ++++
 tests/conform/test-score.c | 2 ++
 3 files changed, 9 insertions(+)

commit 7115c54fda8c87f61dc7c24420e531a519281016
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Jul 6 12:43:29 2011 +0100

    test-cogl-materials: Add a simple test for ref-counting copies
    
    This adds a simple test which creates a material and a copy of
    it. Both materials are then immediately unref'd. The test checks
    whether the materials were actually freed by registering some user
    data with a destroy callback. This should catch a bug that Cogl had
    where it add an extra reference to the parent when a pipeline is
    copied.
    
    Signed-off-by: Robert Bragg <robert@linux.intel.com>

 tests/conform/test-cogl-materials.c | 47 +++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

commit eb28d16300d5f86f64a2c595f59d7de3469d7704
Author: Philippe Normand <pnormand@igalia.com>
Date:   Wed Feb 2 12:58:47 2011 +0100

    a11y: cally-text get_offset_at_point implementation
    
    See http://bugzilla.clutter-project.org/show_bug.cgi?id=1733

 clutter/cally/cally-text.c                  | 83 ++++++++++++++++++++++++++++-
 tests/accessibility/cally-atktext-example.c |  6 +++
 2 files changed, 88 insertions(+), 1 deletion(-)

commit 7565fcaab04855fc2cb197c86f41b6e39409ae88
Author: Philippe Normand <pnormand@igalia.com>
Date:   Wed Feb 2 11:29:33 2011 +0100

    a11y: cally-text get_character_extents implementation
    
    See http://bugzilla.clutter-project.org/show_bug.cgi?id=1733

 clutter/cally/cally-text.c                  | 79 ++++++++++++++++++++++++++++-
 tests/accessibility/cally-atktext-example.c | 13 ++++-
 2 files changed, 90 insertions(+), 2 deletions(-)

commit 61ea64c8c174bf5dc74058c701f1d3f83a7601cf
Author: Philippe Normand <pnormand@igalia.com>
Date:   Wed Feb 2 15:02:45 2011 +0100

    a11y: expose _cally_actor_get_top_level_origin in cally-actor-private
    
    As this function is needed for atktext get_character_extents and
    get_offset_at_point implementations.

 clutter/cally/cally-actor-private.h |  4 ++++
 clutter/cally/cally-actor.c         | 25 ++++++++++++++-----------
 2 files changed, 18 insertions(+), 11 deletions(-)

commit ae0aa9e4cf6d19a857af042b498455d3bbbdc092
Author: Philippe Normand <pnormand@igalia.com>
Date:   Wed Jul 6 16:51:49 2011 +0200

    a11y: get_default_attributes implementation on cally-text
    
    See http://bugzilla.clutter-project.org/show_bug.cgi?id=1733

 clutter/cally/cally-text.c                  | 201 +++++++++++++++++++++++++++-
 tests/accessibility/cally-atktext-example.c |  32 ++++-
 2 files changed, 231 insertions(+), 2 deletions(-)

commit 6812ed7d3aaee6c6d5b7498478eb32cecb3c5df0
Author: Philippe Normand <pnormand@igalia.com>
Date:   Fri Feb 4 09:36:19 2011 +0100

    a11y: cally-atktext-example cleanups
    
    Added an early return in test_atk_text().
    Fixed a unichar conversion
    Print the run_attributes too.

 tests/accessibility/cally-atktext-example.c | 109 +++++++++++++++-------------
 1 file changed, 58 insertions(+), 51 deletions(-)

commit 11efaf829771736ce31837d10a715640ef7d5054
Author: Philippe Normand <pnormand@igalia.com>
Date:   Fri Feb 4 10:20:23 2011 +0100

    a11y: use actor color if no fgcolor found in pango attributes

 clutter/cally/cally-text.c | 78 ++++++++++++++++++++++++++++++----------------
 1 file changed, 52 insertions(+), 26 deletions(-)

commit 49d43174208421141aa967380c042b1703b53c57
Author: Philippe Normand <pnormand@igalia.com>
Date:   Wed Feb 2 15:34:40 2011 +0100

    a11y: factor some PangoAttributes->AtkTextAttributes mappings
    
    That code can then be used by get_run_attributes and
    get_default_attributes implementations.

 clutter/cally/cally-text.c | 154 ++++++++++++++++++++++++++++-----------------
 1 file changed, 98 insertions(+), 56 deletions(-)

commit 7e9ee85c7d23ed6d2ae5f69a91d26b34f0f523df
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Jul 6 14:25:02 2011 +0200

    [a11y] Exposing via ATK the proper toolkit name and version

 clutter/cally/cally-actor.c | 18 ++++++++++++++++++
 clutter/cally/cally-util.c  |  9 ++-------
 2 files changed, 20 insertions(+), 7 deletions(-)

commit bd3762b7199bf8bc373fb245823e0bb8c730b913
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jul 4 18:23:32 2011 +0100

    clutter-actor: Don't apply shaders during picking
    
    Commit 0ede622f5132 inadvertently made it so that shaders are applied
    during picking. This was making test-shader fail to respond to clicks.
    
    The commit also makes it so that culling is applied during
    picking. Presumably this is also unintentional because the commit
    message does not mention it. However I think it may make sense to do
    culling during picking so it might as well stay that way.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=653959

 clutter/clutter-actor.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 805d27fb0de01f99eb991f5f81ef92109477da97
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 4 22:28:30 2011 +0100

    Post-release version bump to 1.7.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79f21a9b50b4d2bd86fe604e3a400aa1d32904ab
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 4 18:31:02 2011 +0100

    Release Clutter 1.7.4 (snapshot)

 NEWS         | 62 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 63 insertions(+), 1 deletion(-)

commit 2fc8fa82f07fd6f927c58f02af8f8a5b545b57b8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 4 22:12:51 2011 +0100

    build: Fix up the tarball target used when releasing

 build/autotools/Makefile.am.release | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c1e113c89a50d7f8e6ff3527ceb86592d4b2f4a2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 4 17:19:24 2011 +0100

    build: Clean up the cally test Makefile.am
    
    Use global target variables to avoid copy/pasting the same values in
    every single binary target.

 tests/accessibility/Makefile.am | 90 +++++++++++++----------------------------
 1 file changed, 29 insertions(+), 61 deletions(-)

commit aa05b66a018b7b7bc9349aed30d24e7cf012b34b
Author: Øyvind Kolås <pippin@linux.intel.com>
Date:   Wed Jan 19 11:38:25 2011 +0000

    tests: Add performance tracking framework
    
    This adds a performance tracking framework that can run a set of tests over
    specified git revisions. The ruby script for generating the reports comes from
    similar performance tracking in GEGL. The framework permits evaluating new
    tests against older version of clutter.
    
    The tests themselves go through a few hoops for disabling framerate limiting in
    both mesa and clutter.
    
    When running make check the tests will be run and lines of the form:
    
    @ test-state: 40.51 fps
    
    will be left in the output, a script can scrape these lines out of a build log
    on a buildbot to in other ways track performance.

 Makefile.am                                |   5 +-
 configure.ac                               |   1 +
 tests/Makefile.am                          |   4 +-
 tests/README                               |  18 +--
 tests/performance/Makefile-retrospect      |  66 ++++++++++
 tests/performance/Makefile-tests           |  15 +++
 tests/performance/Makefile.am              |  42 +++++++
 tests/performance/create-report.rb         | 179 ++++++++++++++++++++++++++
 tests/performance/joblist                  |  27 ++++
 tests/performance/makejobs.rb              |  24 ++++
 tests/performance/test-common.h            | 130 +++++++++++++++++++
 tests/performance/test-picking.c           | 133 ++++++++++++++++++++
 tests/performance/test-state-hidden.c      | 149 ++++++++++++++++++++++
 tests/performance/test-state-interactive.c | 194 +++++++++++++++++++++++++++++
 tests/performance/test-state-mini.c        | 152 ++++++++++++++++++++++
 tests/performance/test-state-pick.c        | 158 +++++++++++++++++++++++
 tests/performance/test-state.c             | 157 +++++++++++++++++++++++
 tests/performance/test-text-perf.c         | 164 ++++++++++++++++++++++++
 18 files changed, 1606 insertions(+), 12 deletions(-)

commit fa1350b8f36d2c1719c83d03fb282286a6e59e87
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 4 16:18:46 2011 +0100

    po: Fix the name of the translatable file
    
    I will check before pushing.    I will check before pushing.
    I will check before pushing.    I will check before pushing.
    I will check before pushing.    I will check before pushing.
    I will check before pushing.    I will check before pushing.
    I will check before pushing.    I will check before pushing.

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 29dc9bdb730da681b7186a2ec3a8a90bf35d1e5c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 4 16:16:56 2011 +0100

    po: Fix the location of a translatable file
    
    There is no glx/, only cogl/.

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87f35a3434040f5e80d37218fe86efa547ac4ae5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jul 4 16:09:41 2011 +0100

    build: Fix the path to the tslib event source

 clutter/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2544e878697f116b21b5aa88e2b4378dae807897
Author: Samuel Degrande <Samuel.Degrande@lifl.fr>
Date:   Fri May 20 15:57:51 2011 +0200

    clutter-media: mention the asynchronous behavior of set_playing() in the doc.
    
    Depending on the ClutterMedia implementation, the set_playing()
    call can be asynchronous, the playing state's change being not
    immediate.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650675

 clutter/clutter-media.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 037138d3bf0be118a7e3559fef0a93667e6d1fe4
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Jul 3 16:43:17 2011 -0400

    clutter-text: Always update cursor positions when painting
    
    The cursor's on-screen rectangle is defined in terms of the text
    length, the current index, and text_x and text_y, which hold the text
    offset in overflowing text fields.
    
    When deleting large amounts of text, text_x is set to 0. In some
    edge case branch paths, the cursor rectangle could be calculated
    after the current index and text length were updated, but before
    the text_x offset could be. This left a negative x position, which
    consequently blew up Cogl and the widget.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651079

 clutter/clutter-text.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit e9a42f23fe6325a95861d51f2c1152b438ea705e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jul 3 19:31:15 2011 +0100

    Deprecate mallum's add() macros for Group and Stage
    
    I think we're way past overdue.

 clutter/clutter-group.h | 6 +++++-
 clutter/clutter-stage.h | 4 ++++
 2 files changed, 9 insertions(+), 1 deletion(-)

commit d65161a7fd38859a0e2db3362f9822b0956c4a62
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jul 4 15:16:50 2011 +0100

    build: fix Makefile.am to build glx tfp code on x11 platforms
    
    It was already the intention that the ClutterGLXTexturePixmap API should
    be built and made available on any X11 based platforms since there was
    nothing specific about the API and it is useful to have for
    compatibility. There was a mistake in the Makefile.am though which meant
    only the header was getting installed but the code wasn't being built.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ab10e0f7a44b90f0ef10cae1aa374c0859ebc69
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jul 4 15:14:52 2011 +0100

    glx-tfp: Don't include glx.h
    
    Since the implementation of ClutterGLXTexturePixmap has nothing GLX
    specific about it (it is simply layered on top of
    ClutterX11TexturePixmap) we don't need to include glx.h. Removing this
    include also means that the code can be built for compatibility against
    GLES drivers.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/cogl/clutter-glx-texture-pixmap.c | 2 --
 1 file changed, 2 deletions(-)

commit 8e3805136ca633a6bebc701a2cf49c8f07e1268a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jul 4 15:09:42 2011 +0100

    build: check COGL_HAS_GLES2 to check for gles2 support
    
    We were checking HAVE_COGL_GLES2 but this is not publicly defined by
    Cogl so since splitting Cogl from Clutter test-cogl-materials.c would
    not have built against gles2 since it would end up enabling the GL
    specific code path which would reference an undefined symbol.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 tests/conform/test-cogl-materials.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dbf2ccfd59294a0b5a98cbc8f67965809c965df8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jul 1 17:26:10 2011 +0100

    Bump up the Cogl dependency
    
    We need 1.7.2 at least.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c94e8d1292aeaff63051148b805a223723ecbbea
Author: Peter Ward <peteraward@gmail.com>
Date:   Wed Jun 29 13:01:20 2011 +1000

    Arrays in parameters were not correctly annotated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=653607

 clutter/clutter-stage.c   | 2 +-
 clutter/clutter-texture.c | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8bc265d22c5451ba5d523e667a53ff4d671918f1
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jun 22 19:54:19 2011 +0100

    paint-volume: remove more is_axis_aligned assertions
    
    This removes the is_axis_aligned assertions for the width/height/depth
    getters and setters, since for example it is legitimate to query the
    width, height or depth of a container's child actors which aren't
    necessarily axis aligned.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-paint-volume.c | 131 +++++++++++++++++++++++++++++++++++------
 1 file changed, 114 insertions(+), 17 deletions(-)

commit cc5808387ef9e427b1813c0aa8869946d640d3cd
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jun 28 14:47:35 2011 +0100

    backend-cogl: update in line with Cogl API change
    
    cogl_renderer_xlib_set_foreign_display was renamed to
    cogl_xlib_renderer_set_foriegn_display so this is the corresponding
    change to clutter.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/cogl/clutter-backend-cogl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aacdbb4a5580f2ca77330be4b7c42bf9e48ef81e
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jun 28 14:01:22 2011 +0100

    win32: use typesafe cogl_win32_renderer_handle_event
    
    The generic cogl_renderer_handle_native_event API was removed from the
    Cogl public API in favour of typesafe functions, so this updates the
    win32 backend in line with that change.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/win32/clutter-event-win32.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0a83e03afbc97508d135519e6ef60e73f56ba89c
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Jun 29 16:16:25 2011 +0100

    doc/RELEASING: Fix the check for diffs from origin/master
    
    The recommended command to check for differences from master to the
    remote master was using git log with a range from the local master to
    the remote master but this wouldn't work if the local master is ahead
    of the remote master because the range is backwards. This patch
    changes it to recommend git diff --stat instead because then the
    command would work even if the two branches have diverged.

 doc/RELEASING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2dc8e2f866b3c1c352a00358109ac858a9f40eec
Author: Peter Ward <peteraward@gmail.com>
Date:   Fri Jun 24 14:31:31 2011 +1000

    Annotate ClutterTexture::load-finished with the correct type for error.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=653307

 clutter/clutter-texture.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 478014041b14ecaa4e9f0d4302d26ccc31a66131
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 24 19:22:22 2011 +0100

    build: Create and install clutter-glx pkg-config file
    
    For backward compatibility.

 clutter/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit 2528ad8cb8daf56f63f72ff8f413b5b8d3aea094
Author: Peter Ward <peteraward@gmail.com>
Date:   Tue Jun 21 23:17:51 2011 +1000

    Support multiple pointers in ClutterDragAction.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=653066

 clutter/clutter-drag-action.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0788c85df1cccb5d3db1ed51ded96a1ce9afac5c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 21 10:52:44 2011 +0100

    docs: Remove the in-tree cogl fixxref option
    
    Cogl has been moved out of tree.

 doc/reference/clutter/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 459e1e7fc9d2a608ee7e404b0f9f98eea648fea4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 19:45:14 2011 +0100

    docs: Fix the GLX section
    
    The whole thing should just go away.

 clutter/cogl/clutter-glx-texture-pixmap.c  |  4 +++-
 clutter/cogl/clutter-glx.h                 | 10 ----------
 doc/reference/clutter/clutter-docs.xml.in  |  1 -
 doc/reference/clutter/clutter-sections.txt |  5 -----
 4 files changed, 3 insertions(+), 17 deletions(-)

commit f3f1c87d8c3379536967b1273e2a33b146ced455
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 19:44:55 2011 +0100

    docs: Fix deprecation notice for ClutterBehaviour

 clutter/clutter-behaviour.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 34cbc0e94cfc385ae780818d8b6239c0ed68e6a5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 19:44:33 2011 +0100

    docs: Fix up labels in the constraint example image

 doc/reference/clutter/constraints-example.png | Bin 5985 -> 6199 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit f971c2cb11d2f03fd182990c5e71f419448cbf32
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 18:46:56 2011 +0100

    docs: Add the (now deprecated) GLX texture-pixmap
    
    It was missing from the API reference.

 doc/reference/clutter/clutter-docs.xml.in  |  1 +
 doc/reference/clutter/clutter-sections.txt | 42 +++++++++++++++++-------------
 2 files changed, 25 insertions(+), 18 deletions(-)

commit 513f218c389ed0b8e47e7cc1442c4f641c685b4b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 18:42:08 2011 +0100

    docs: Add the Deprecate tag to Behaviours
    
    And link the migration guide.

 clutter/clutter-behaviour-depth.c   | 4 ++++
 clutter/clutter-behaviour-ellipse.c | 3 +++
 clutter/clutter-behaviour-opacity.c | 4 ++++
 clutter/clutter-behaviour-path.c    | 3 +++
 clutter/clutter-behaviour-rotate.c  | 4 ++++
 clutter/clutter-behaviour-scale.c   | 4 ++++
 clutter/clutter-behaviour.c         | 5 ++++-
 7 files changed, 26 insertions(+), 1 deletion(-)

commit 948461b8f28b567e98ad9ebca4650b68300393a0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 18:40:31 2011 +0100

    docs: Fix duplicate symbol in the sections list

 doc/reference/clutter/clutter-sections.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b064a0bda10897a38396aa6d7cb3c19b0179ebd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 18:26:34 2011 +0100

    build: Build the GLX symbols
    
    The change from the GLX backend to the Cogl backend left out the GLX
    source code from the list of source files to be built.

 clutter/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 71b655417696f49cd41f33e2388af75b9c156ec2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 18:22:06 2011 +0100

    Fix the deprecation guard for ClutterGLXTexturePixmap
    
    It's CLUTTER_DISABLE_DEPRECATED.

 clutter/cogl/clutter-glx-texture-pixmap.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5641dabf86f765ff5b4e67aa761db52f2a45f16
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 17 17:22:01 2011 +0100

    docs: Document ClutterDropAction
    
    And add it to the API reference.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652842

 clutter/clutter-drop-action.c              | 115 ++++++++++++++++++++++++++++-
 clutter/clutter-drop-action.h              |  28 +++++++
 doc/reference/clutter/clutter-docs.xml.in  |   1 +
 doc/reference/clutter/clutter-sections.txt |  17 +++++
 doc/reference/clutter/clutter.types        |   1 +
 5 files changed, 160 insertions(+), 2 deletions(-)

commit 1238e0ddf92c7fc7a3ec49dcbeeb934a696b9800
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 17 16:54:31 2011 +0100

    Add ClutterDropAction
    
    ClutterDropAction is an Action sub-class that allows writing actors that
    react to dragged actors being dropped on them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652842

 clutter/Makefile.am           |   2 +
 clutter/clutter-drop-action.c | 358 ++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-drop-action.h |  85 ++++++++++
 clutter/clutter-marshal.list  |   1 +
 clutter/clutter.h             |   1 +
 tests/interactive/Makefile.am |   3 +-
 tests/interactive/test-drop.c | 245 +++++++++++++++++++++++++++++
 7 files changed, 694 insertions(+), 1 deletion(-)

commit a6a57d79677b8a498622c83c915c981779963460
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 17 16:53:22 2011 +0100

    drag-action: Remove the drag handle on destruction
    
    When the drag handle actor is destroyed we should unset the field inside
    the DragAction, to avoid having stale pointers lying around.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652842

 clutter/clutter-drag-action.c | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

commit 0dea846096d9fbf38d83946003a2d6f29542d276
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 17 16:52:25 2011 +0100

    drag-action: Use the dragged actor private API
    
    Use the newly added private API on ClutterStage to track the currently
    dragged actor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652842

 clutter/clutter-drag-action.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 530a13f02f710710607732ed21b1493f04931615
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 17 16:51:05 2011 +0100

    stage: Allow tracking dragged actors
    
    We should be able to internally attach the actor currently being dragged
    to the device that is dragging it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652842

 clutter/clutter-stage-private.h |  8 +++++++
 clutter/clutter-stage.c         | 48 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit e4756fd7641136009272251457884c4249a37295
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 14:26:57 2011 +0100

    docs: Fix up the API reference

 clutter/clutter-effect.h                   | 3 ++-
 clutter/clutter-gesture-action.c           | 2 +-
 clutter/clutter-types.h                    | 4 ++++
 doc/reference/clutter/clutter-sections.txt | 6 ++++--
 4 files changed, 11 insertions(+), 4 deletions(-)

commit 675da6ed864de53e4035b33a213ab5dc0094a03b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 13:59:14 2011 +0100

    build: Use tar-ustar and dist-xz to dist tarballs

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3861a1c3bac6080d17d586af6171352bbc18f388
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 13:56:46 2011 +0100

    build: Update the API reference build
    
    Add the Cogl prefix to the fix-cross-references script options, and
    update the location of the extra headers.

 configure.ac                      | 31 ++++++++++++++++---------------
 doc/reference/clutter/Makefile.am | 29 +++++++++++++++--------------
 2 files changed, 31 insertions(+), 29 deletions(-)

commit d5ea422c8fcf0fb3422f42f79b9d278b14d6dec5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 13:53:09 2011 +0100

    stage: Maintain the motion event delivery invariants
    
    It is possible, by calling clutter_set_motion_events_enabled() prior to
    the creation of any stage, to control the per-actor motion event
    delivery flag on each newly created stage. Since we deprecated the
    global accessor functions in favour of the per-Stage ones, we need to
    remove the call to clutter_get_motion_events_enabled() inside the
    ClutterStage instance initialization, and replace it with an internal
    function.
    
    This code will go away when we can finally break API and remove the
    deprecated functions.

 clutter/clutter-main.c    | 12 +++++++++---
 clutter/clutter-private.h | 21 +++++++++++----------
 clutter/clutter-stage.c   |  9 ++++++++-
 3 files changed, 28 insertions(+), 14 deletions(-)

commit b6eb5728e101f5a6c0d76cf03c2dfc4c7fa39ca7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 20 11:41:28 2011 +0100

    stage: Make per-actor motion event delivery accessors public
    
    Complete the quest of commit bc548dc86271d38918d310c26c9c59de76218d16
    by making the ClutterStage methods for controlling the per-actor motion
    and crossing event delivery public, and deprecating the global ones.

 clutter/clutter-device-manager.c |  2 +-
 clutter/clutter-drag-action.c    |  8 +++---
 clutter/clutter-main.c           | 12 +++++---
 clutter/clutter-main.h           |  3 +-
 clutter/clutter-stage-private.h  |  4 ---
 clutter/clutter-stage.c          | 60 +++++++++++++++++++++++++++++++++++-----
 clutter/clutter-stage.h          |  5 ++++
 tests/interactive/test-events.c  | 11 +++++---
 tests/interactive/test-grab.c    | 10 +++++--
 9 files changed, 88 insertions(+), 27 deletions(-)

commit 5002ff7a965f983c3e8391b3f3b97edcee6562a8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Jun 19 12:14:35 2011 +0200

    Updated Spanish translation

 po/es.po | 1103 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 555 insertions(+), 548 deletions(-)

commit b66c22ac1c793a06492364399e6a948294a90465
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jun 17 18:27:45 2011 +0100

    actor: documents _get/apply_relative_transform_matrix
    
    Although this patch doesn't make them public, it documents the
    _clutter_actor_get/apply_relative_transform_matrix functions so they
    could easily be made public if desired. I think these API could be
    useful to have publicly, and I originally documented them because I
    thought they would be needed in the MX toolkit.

 clutter/clutter-actor-private.h |  6 +--
 clutter/clutter-actor.c         | 96 ++++++++++++++++++++++++++++++-----------
 clutter/clutter-paint-volume.c  |  8 ++--
 clutter/clutter-texture.c       |  6 +--
 4 files changed, 81 insertions(+), 35 deletions(-)

commit 87d55ffcfaf79f16f864564f65b05339750fa6f7
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Jun 17 17:27:09 2011 +0100

    actor: Don't use propagated_one_redraw to determine effect dirty state
    
    Previously ClutterActor was using priv->propagated_one_redraw to
    determine whether to pass CLUTTER_EFFECT_PAINT_ACTOR_DIRTY to the
    paint method of the effect. This isn't a good idea because the
    propagated_one_redraw flag is cleared whenever clutter_actor_paint is
    called, even if the actor isn't actually painted because of the zero
    opacity shortcut. Instead of this, ClutterActor now has a separate
    flag called is_dirty that gets set whenever queue_redraw_full is
    called or whenever the queue redraw signal is bubbled up from a child
    actor. The flag is only cleared in clutter_actor_paint if the effects
    are actually run. Therefore it will stay set even if the opacity is
    zero or if the parent actor decides not to paint the child.
    
    Previously there were two places set propagated_one_redraw to FALSE -
    once if the opacity is zero and once just before we emit the paint
    signal.  Now that propagated_one_redraw is only used to determine
    whether to pass on the queue redraw signal it seems to make sense to
    just clear it in one place right at the start of clutter_actor_paint.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651784

 clutter/clutter-actor.c | 53 ++++++++++++++++++++++++++++---------------------
 1 file changed, 30 insertions(+), 23 deletions(-)

commit 1720b77d29b474aeff156633138baf7244db1567
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jun 17 17:44:16 2011 +0100

    actor: review use of _apply_modelview_transform_recursive
    
    On reviewing the clutter-actor.c code using
    _apply_modelview_transform_recursive I noticed various comments stating
    that it will never call the stage's ->apply_transform vfunc to transform
    into eye coordinates, but actually looking at the implementation that's
    not true. The comments probably got out of sync with an earlier
    implementation that had that constraint. This removes the miss-leading
    comments and also updates various uses of the api where we were manually
    applying the stage->apply_transform.

 clutter/clutter-actor.c        | 30 +++++-------------------------
 clutter/clutter-paint-volume.c | 32 ++------------------------------
 clutter/clutter-texture.c      |  8 --------
 3 files changed, 7 insertions(+), 63 deletions(-)

commit ddc9eb5fa5326904852951a3fa00159bed75fde1
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jun 17 16:23:35 2011 +0100

    group: Handle list modification while destroying children
    
    This makes the dispose code that destroys children resilient against
    priv->children being modified during child destruction.

 clutter/clutter-group.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 1741c805be7f403f2995b3037059879ba29d3d2a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 16 17:50:50 2011 +0100

    debug: Use cogl_primitive api for paint-volume visualization
    
    Instead of using the cogl_vertex_buffer API this uses the more concise
    cogl_primitive API instead. The aim is to get rid of the
    cogl_vertex_buffer API eventually so we should be trying out the
    replacement API wherever possible.

 clutter/clutter-actor.c | 17 +++++------------
 1 file changed, 5 insertions(+), 12 deletions(-)

commit 7f64772984e07101eb54075eb7c802bf63c5d263
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 16 17:24:26 2011 +0100

    debug: disable culling with CLUTTER_PAINT=paint-volumes
    
    When using CLUTTER_PAINT=paint-volumes to visualize the paint-volumes of
    actors we were already disabling clipped-redraws because we are drawing
    extra geometry that the actors don't know about but we didn't disable
    culling. This was resulting in actors disappearing while using this
    debug option.

 clutter/clutter-main.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d7bf2143973529626ef8781dfa18c7dec8902031
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 16 17:22:30 2011 +0100

    debug: avoid visualization code during picking
    
    This makes sure we don't try and draw paint-volumes or culling results
    during a pick cycle since that results in us reading back invalid ids
    from the pick-buffer.

 clutter/clutter-actor.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 1e2e0f21b86857354450beb7da78eb0fbbc95c06
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jun 6 18:22:20 2011 +0100

    clutter-actor: Add a debug flag for disabling offscreen redirect
    
    This adds CLUTTER_PAINT=disable-offscreen-redirect to help diagnose
    problems with the correct opacity changes. This just makes it so that
    it never installs the flatten effect so it will never automatically
    redirect an actor offscreen.

 clutter/clutter-actor.c | 4 ++++
 clutter/clutter-debug.h | 3 ++-
 clutter/clutter-main.c  | 3 ++-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 78fbac71f2f10477a302c970edd5b404d16251e7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 17 12:14:15 2011 +0100

    keysyms: Update the key symbols
    
    Re-sync with the X.org headers.

 clutter/clutter-keysyms-compat.h | 106 ++++++++++++++++++++++++++++++++++-----
 clutter/clutter-keysyms.h        | 106 ++++++++++++++++++++++++++++++++++-----
 2 files changed, 186 insertions(+), 26 deletions(-)

commit c79f613c2597b4ea8d338a76b20befa5d6e8ce60
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 17 12:03:21 2011 +0100

    Remove an unused variable
    
    And the compiler warning that comes with it.

 clutter/cogl/clutter-stage-cogl.c | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit daaa4c5b969b43ee66d99c6a0aaa9f2e8256d780
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 16 17:11:39 2011 +0100

    tests/cally: Remove last uses of clutter_group_add()

 tests/accessibility/cally-atkcomponent-example.c    | 12 ++++++------
 tests/accessibility/cally-atkeditabletext-example.c | 18 +++++++++---------
 tests/accessibility/cally-atkevents-example.c       |  6 +++---
 tests/accessibility/cally-atktext-example.c         | 10 +++++-----
 tests/accessibility/cally-clone-example.c           | 10 +++++-----
 5 files changed, 28 insertions(+), 28 deletions(-)

commit cb3999744f3bd879bbf0739489b479e23364d35c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 16 17:07:32 2011 +0100

    Remove usage of clutter_group_add()
    
    The macro is there for mallum eyes only.

 tests/conform/test-actor-invariants.c |  8 ++++----
 tests/interactive/test-fbo.c          | 10 +++++-----
 tests/interactive/test-scale.c        |  6 +++---
 tests/interactive/test-unproject.c    |  6 +++---
 4 files changed, 15 insertions(+), 15 deletions(-)

commit e936b9591a92de4e227057abf9346511e215212e
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 16 15:22:03 2011 +0100

    paint-volumes: remove is_axis_aligned assert for _union
    
    This removes the pv->is_xis_aligned assertion in
    _clutter_paint_volume_union. We were already considering the case where
    the second volume may not be axis aligned and aligning it into a
    temporary variable in that case, but we now also consider that the first
    pv may also not be aligned.

 clutter/clutter-paint-volume.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 4dc30c255fa9570853eae8c576c3403e5d3b1a2e
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 16 15:18:46 2011 +0100

    paint-volumes: avoid is_complete assert in _axis_align
    
    The removes the pv->is_complete assertion from
    _clutter_paint_volume_axis_align() and instead if the volume isn't
    complete it calls _clutter_paint_volume_complete().

 clutter/clutter-paint-volume.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit e6c58b7fb3b12ec4fc5faae621c2bad800bc3f51
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 16 13:35:22 2011 +0100

    build: Replace AC_HELP_STRING with AS_HELP_STRING
    
    The latter is the new version of the former.

 configure.ac | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 923b1657d9e5437de862a397a12495d6f75293f9
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 16 12:33:25 2011 +0100

    paint-volumes: fix unioning with empty volumes
    
    When calculating the union of a volume with an empty volume we aim to
    simply take the contents of the non-empty volume, but we were not
    copying the flags across. We now use
    _clutter_paint_volume_set_from_volume which copies all the flags except
    the is_static flag.

 clutter/clutter-paint-volume.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 394512b274cadec2d7baa78671de41a27ef8bbc3
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 16 12:31:50 2011 +0100

    paint-volumes: remove alignment constraint for _set_origin
    
    The implementation for clutter_paint_volume_set_origin can cope with
    volumes that are not axis aligned so this remove the is_axis_aligned
    assertion.

 clutter/clutter-paint-volume.c | 1 -
 1 file changed, 1 deletion(-)

commit 30eb3be781475699389fba7b690649a85ba1aea4
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 16 12:28:37 2011 +0100

    paint-volumes: avoid trashing is_static state
    
    In _clutter_paint_volume_set_from_volume we were using memcpy to simply
    copy everything from one volume to another, but that meant we were
    trashing the is_static flag which determines if the destination
    paint-volume was slice allocated or not.

 clutter/clutter-paint-volume.c | 2 ++
 1 file changed, 2 insertions(+)

commit a9789616b9705e7c24b5591a1790dfc2fdda51dc
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 16 12:19:49 2011 +0100

    paint-volumes: remove alignment constraint for completion
    
    This removes the constraint that a paint-volume must be axis aligned
    before _clutter_paint_volume_complete can be called. NB: A paint volume
    is represented by one origin vertex and then three axis vertices to
    define the width, height and depth of the volume. It's straightforward
    to use the vectors from the origin to the axis vertices to deduce the
    other 4 vertices so we can remove the is_axis_aligned assertion.

 clutter/clutter-paint-volume.c | 42 +++++++++++++++++++++++++++---------------
 1 file changed, 27 insertions(+), 15 deletions(-)

commit 34600949edbb650e810fbb98fe96c7858211b244
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jun 6 17:40:57 2011 +0100

    clutter-stage: Allow a wider range of visible z values
    
    Since eef9078f the translation of the camera away from the z=zero
    plane was hardcoded at 50 which is approximately half way between the
    default z_near and z_far values. This ended up with quite a small
    distance in user-space coordinates to the far plane with the default
    stage size and this was causing test-texture-quality to clip the actor
    early.
    
    This patch makes it try to calculate a reasonable value for the
    position of the z=0 plane as well as a value for z_far so we maximize
    the space in between the z=0 plane and the near plane and we have a
    predictable amount of space behind the stage before hitting the far
    clipping plane, while considering the trade off of loosing depth
    precision by pushing the far plane too far back relative to the near
    plane.
    
    With the default fov of 60° it's not possible to use the stage size to
    define the gap in-front of the stage plane; only ~87% of the stage size
    is possible as an upper limit. We make 85% of the stage_height available
    assuming you have a fov of 60°. We consistently provide 10 times the
    stage height of space behind the stage regardless of the fov.
    
    It seems worth noting here that we went around in circles a few times
    over how to calculate the gaps since there are a number of trade offs to
    consider and they also affect the complexity of the solution. In the end
    we went for simplicity but commented the issues well enough hopefully so
    we can develop a more elaborate solution if we ever have a use-case.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2625

 clutter/clutter-stage.c | 142 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 139 insertions(+), 3 deletions(-)

commit 2022e4c100d8d8e635ea38d990d6023f7306020f
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Apr 4 18:42:52 2011 +0100

    clutter-stage: Don't override the user's perspective matrix
    
    Since eef9078f ClutterStage updates the aspect ratio of the
    perspective matrix whenever the size of the stage changes. This meant
    that if an application tries to set its own perspective matrix then
    part of it would get overridden. It's not really clear what the
    use-case of setting the perspective on the stage should be but it
    seems like the safest bet is to always try to preserve the
    application's request. The documentation for the function has been
    tweaked to discourage its use.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2625

 clutter/clutter-stage.c | 62 ++++++++++++++++++++++++++++++++++---------------
 1 file changed, 43 insertions(+), 19 deletions(-)

commit d90c849e80b88c3dd00fa03b9b71b940001505b9
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed May 11 19:59:52 2011 +0100

    make some parts of the stage-window interface optional
    
    Some parts of the StageWindow interface aren't meaningful for all window
    systems. This makes stage_window_set_title/fullscreen/cursor_visible
    optional instead of requiring those window systems to implement empty
    stubs. Notably the empty stubs we had in the Cogl backend (previously
    the EGL backend) used g_warning to report the feature as unsupported and
    that was causing conformance test failures.

 clutter/clutter-stage-window.c    | 17 ++++++++++++-----
 clutter/cogl/clutter-stage-cogl.c | 29 -----------------------------
 2 files changed, 12 insertions(+), 34 deletions(-)

commit dd6392ba2060e853009627dd7ffbacaa579e040c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 15 13:07:04 2011 +0100

    Update the location of the cex100 header in the ignore file

 .gitignore | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa8e6d368a27222f959fa08a5680e801e221f680
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 15 13:05:18 2011 +0100

    Do not include clutter-egl.h unconditionally

 clutter/cogl/clutter-backend-cogl.h | 2 --
 1 file changed, 2 deletions(-)

commit 6a73cece713b7e35fa2145c28f2cd47d47de1ae7
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jun 15 12:43:47 2011 +0100

    backend-cogl: fix s/egl/cogl/ naming left-over

 clutter/cogl/clutter-backend-cogl.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3c93bca20a6c8a7397ad149016331308150ed56
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jun 15 12:41:08 2011 +0100

    build: Adds missing clutter-glx.h

 clutter/cogl/clutter-glx.h | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

commit dd02c56bdb7a8ff110af5e957899834ce387b65d
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jun 15 12:28:44 2011 +0100

    build: Adds missing clutter-egl-headers.h

 clutter/cogl/clutter-egl-headers.h | 46 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

commit 2d8083bab8b9ec0b353d08d66265bd0ae38d6822
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon May 9 00:27:10 2011 +0100

    unify egl and glx backends as "cogl" backend
    
    Since GLX and EGL are abstracted by Cogl the two backends are both
    implementing everything using the Cogl API and they are almost
    identical.
    
    This updates the egl backend to support everything that the glx backend
    supports. Now that EGL and GLX are abstracted by Cogl, the plan is that
    we will squash the clutter-egl/glx backends into one. Since the EGL
    backend in clutter can conditionally not depend on X11 we will use the
    EGL backend as the starting point of our common backend.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649826

 clutter/Makefile.am                                |  82 ++--
 .../clutter-backend-cogl.c}                        | 170 ++++---
 .../clutter-backend-cogl.h}                        |  36 +-
 clutter/{egl => cogl}/clutter-cex100.h.in          |   0
 clutter/{egl => cogl}/clutter-egl.h                |   0
 clutter/{egl => cogl}/clutter-event-tslib.c        |   2 +-
 clutter/{glx => cogl}/clutter-glx-texture-pixmap.c |   0
 clutter/{glx => cogl}/clutter-glx-texture-pixmap.h |   0
 .../clutter-stage-cogl.c}                          | 328 ++++++++-----
 clutter/cogl/clutter-stage-cogl.h                  |  78 +++
 clutter/egl/clutter-egl-headers.h                  |  46 --
 clutter/egl/clutter-stage-egl.h                    |  75 ---
 clutter/glx/clutter-backend-glx.c                  | 380 ---------------
 clutter/glx/clutter-backend-glx.h                  |  75 ---
 clutter/glx/clutter-glx.h                          |  46 --
 clutter/glx/clutter-stage-glx.c                    | 541 ---------------------
 clutter/glx/clutter-stage-glx.h                    |  77 ---
 configure.ac                                       |  12 +-
 18 files changed, 443 insertions(+), 1505 deletions(-)

commit 951cb82ec5e76a6e67b0cb7c2050d6ea5703d4ba
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon May 9 01:09:39 2011 +0100

    egl: fix args to cogl_onscreen_x11_set_foreign_window_xid
    
    We hadn't updated the egl backend inline with a change to the arguments
    that cogl_onscreen_x11_set_foreign_window_xid would expect and that was
    causing a compilation error.

 clutter/egl/clutter-stage-egl.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 05bcd40729fe807af1dfa1148495e7f072548d77
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 14 16:11:54 2011 +0100

    stage: Ignore do_update() on unrealized stages
    
    An unrealized stage has no resources set yet, so we might as well skip
    it during the master clock spin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652566

 clutter/clutter-stage.c | 3 +++
 1 file changed, 3 insertions(+)

commit 81e9bf6127e96ae20c5add1ee7b6aaf603c72e4e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 14 15:50:42 2011 +0100

    backend: Do not call ensure_context() with NULL stage
    
    Always call ensure_context() if we have a valid Stage.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652566

 clutter/clutter-backend.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 0b2073923206e3abfe328ed724328fa962c556ee
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 14 15:50:21 2011 +0100

    glx: Ignore ensuring context on NULL stages
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652566

 clutter/glx/clutter-backend-glx.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit a7fc76a1c506aca9494c5f1d6bfad970d5a70179
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 14 14:47:14 2011 +0100

    build: Disable deprecated symbols during development cycles
    
    And add a configure switch to toggle them.

 clutter/Makefile.am |  5 +----
 configure.ac        | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+), 4 deletions(-)

commit 4382e6588c0ebebe46bbc9b077c5fb42593ef5b7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 14 11:36:01 2011 +0100

    glx: Remove unused Atom members from ClutterBackendGLX
    
    The atoms were moved to the shared X11 backend structure ages ago.

 clutter/glx/clutter-backend-glx.h | 4 ----
 1 file changed, 4 deletions(-)

commit 5ded02cd08fa315e95cd75b5906371893d2ad367
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 14 01:02:09 2011 +0100

    docs: Add symbols index for 1.8

 doc/reference/clutter/clutter-docs.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit b046bc354c64dd2f6271778beec7d2bc70e45d18
Author: Colin Walters <walters@verbum.org>
Date:   Mon May 16 12:41:10 2011 -0400

    ClutterModifierType: Port fix from GDK to clutter's GDK copy
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=634994 where GDK was
    modified to include all flag values, which helps bindings.  Port this
    fix to Clutter's copy of GDK.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650329

 clutter/clutter-types.h | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit 5e1fa714988db6a76adf6d64fb870c76c7883129
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 23:46:21 2011 +0100

    Post-release version bump to 1.7.3

 configure.ac       |    2 +-
 po/clutter-1.0.pot | 1109 ++++++++++++++++++++++++-----------------------
 po/cs.po           | 1091 +++++++++++++++++++++++-----------------------
 po/de.po           | 1146 ++++++++++++++++++++++++------------------------
 po/eo.po           | 1102 +++++++++++++++++++++++-----------------------
 po/es.po           | 1112 ++++++++++++++++++++++++-----------------------
 po/fr.po           |  703 +++++++++++++++---------------
 po/gl.po           | 1113 ++++++++++++++++++++++++-----------------------
 po/id.po           |  726 ++++++++++++++++---------------
 po/it.po           |  730 ++++++++++++++++---------------
 po/nb.po           | 1093 +++++++++++++++++++++++-----------------------
 po/nl.po           |  731 ++++++++++++++++---------------
 po/pa.po           |  698 +++++++++++++++---------------
 po/pl.po           |  723 ++++++++++++++++---------------
 po/sl.po           | 1227 ++++++++++++++++++++++++++--------------------------
 po/sv.po           |  708 +++++++++++++++---------------
 po/te.po           |  703 +++++++++++++++---------------
 po/uk.po           |  731 ++++++++++++++++---------------
 po/zh_CN.po        |  729 ++++++++++++++++---------------
 po/zh_TW.po        |  731 ++++++++++++++++---------------
 20 files changed, 8730 insertions(+), 8178 deletions(-)

commit a7cc84a483a7d4e21c84ce0567f66c04c47f48f6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 17:24:28 2011 +0100

    Release Clutter 1.7.2 (snapshot)

 NEWS         | 97 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README.in    | 27 +++++++++++++++++
 configure.ac |  2 +-
 3 files changed, 125 insertions(+), 1 deletion(-)

commit 86d96dbcc1bb38cef0a1b6ac176d6af1943088a9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 23:14:39 2011 +0100

    build: Put back ChangeLog.pre-git-import to unbreak distcheck

 doc/ChangeLog.pre-git-import => ChangeLog.pre-git-import | 0
 build/autotools/Makefile.am.changelog                    | 3 +--
 2 files changed, 1 insertion(+), 2 deletions(-)

commit e8bd46b82b1f62082440eb8e5ebe2bc1f1c0c540
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 17:20:19 2011 +0100

    build: Fix up ChangeLog build generation
    
    Since the pre-git-import ChangeLog has been moved, we need to put it
    back in the list temporarily when generating the rest.

 build/autotools/Makefile.am.changelog | 41 ++++++++++++++++++-----------------
 1 file changed, 21 insertions(+), 20 deletions(-)

commit fbdc9675751014b9382aa28c540f9dfc8854d0d0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 16:32:24 2011 +0100

    release rules: Add note for snapshots

 build/autotools/Makefile.am.release | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 494629d4b9eac31afa3910ef130404030656bc4e
Author: Philippe Normand <pnormand@igalia.com>
Date:   Fri Feb 4 12:33:53 2011 +0100

    clutter-text: new clutter_text_get_layout_offsets API
    
    This new function can be used to retrieve the coordinates where the
    ClutterText will draw the PangoLayout representing the text.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2553

 clutter/clutter-text.c                     | 38 +++++++++++++++++++++++++++++-
 clutter/clutter-text.h                     |  4 ++++
 doc/reference/clutter/clutter-sections.txt |  1 +
 3 files changed, 42 insertions(+), 1 deletion(-)

commit 74a9b7106038b74690856fe45b658edbab5d6a8b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 15:58:46 2011 +0100

    effect: Rename RunFlags to PaintFlags
    
    Since run() was replaced and both paint() and pick() use the
    enumeration.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651700

 clutter/clutter-actor.c            |  6 +++---
 clutter/clutter-effect-private.h   | 16 ++++++++--------
 clutter/clutter-effect.c           | 18 +++++++++---------
 clutter/clutter-effect.h           | 34 ++++++++++++++++------------------
 clutter/clutter-offscreen-effect.c |  6 +++---
 tests/conform/test-pick.c          |  8 ++++----
 6 files changed, 43 insertions(+), 45 deletions(-)

commit 0ede622f5132843bf1c1dc88d9322a5ca514790e
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Thu Jun 2 14:16:23 2011 +0200

    Give a chance to effects for running when picking
    
    Some effects can change the actor's shape and position, so they need
    to run when picking.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651700

 clutter/clutter-actor.c          | 163 ++++++++++++++++---------------
 clutter/clutter-effect-private.h |   2 +
 clutter/clutter-effect.c         |  21 ++++
 clutter/clutter-effect.h         |   6 +-
 tests/conform/test-pick.c        | 200 ++++++++++++++++++++++++++++++---------
 5 files changed, 270 insertions(+), 122 deletions(-)

commit 700c543850caf51c4041afd5c1d53940c2d15c5c
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Mon Jun 6 08:44:11 2011 +0200

    Rename ClutterEffect::run to ClutterEffect::paint
    
    In preparation for adding ClutterEffect::pick
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651700

 clutter/clutter-actor.c            |  2 +-
 clutter/clutter-effect-private.h   |  2 +-
 clutter/clutter-effect.c           | 40 +++++++++++++++++++-------------------
 clutter/clutter-effect.h           |  4 ++--
 clutter/clutter-offscreen-effect.c | 10 +++++-----
 5 files changed, 29 insertions(+), 29 deletions(-)

commit 165b2f959984bc075cba789d8768b68007eebc71
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 15:36:07 2011 +0100

    docs: Fix Clutter API reference

 clutter/clutter-gesture-action.h           | 6 ++++++
 doc/reference/clutter/clutter-sections.txt | 2 ++
 doc/reference/clutter/clutter.types        | 2 ++
 3 files changed, 10 insertions(+)

commit cd2b36ed916b1b8230f28c53055d370547b47f89
Merge: 4f0769d69 80dd60ecb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 14:39:03 2011 +0100

    Merge branch 'swipe-action'
    
    * swipe-action:
      test-swipe-action: Clean up the test code
      docs: Add the new actions to the API reference
      gesture-action: Remove the multi-device entry points
      swipe-action: Remove the required devices call
      swipe-action: Clean up
      gesture-action: Clean up
      Add ClutterSwipeAction and ClutterGestureAction

commit 4f0769d69d4216d197be325ab84059f2d6822ece
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 13:27:46 2011 +0100

    docs: Update missing documentation

 clutter/clutter-actor.c                    | 16 +++++++++++-----
 clutter/clutter-backend.c                  | 27 +++++++++++++++++++++++++++
 clutter/clutter-script.c                   |  1 +
 doc/reference/clutter/clutter-sections.txt |  2 ++
 4 files changed, 41 insertions(+), 5 deletions(-)

commit 8625f07c3bd3fb1dc50e3c1584b44d6d28b502bd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 13:08:26 2011 +0100

    script: Plug a leak
    
    The SignalInfo structure gained a couple of string fields that should be
    deallocated when destroying the structure.

 clutter/clutter-script.c | 2 ++
 1 file changed, 2 insertions(+)

commit a9dd5abfcccd96a4da6210e2eedbb115ea5bfa74
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 13:07:04 2011 +0100

    script: Allow warping to states
    
    Do not just allow animating states connected to signals: add a "warp"
    optional key that ends up calling clutter_state_warp_to_state(). This
    is useful for debugging.

 clutter/clutter-script-parser.c  | 10 ++++++++--
 clutter/clutter-script-private.h |  1 +
 clutter/clutter-script.c         | 27 +++++++++++++++++++++++----
 3 files changed, 32 insertions(+), 6 deletions(-)

commit 3017a48228a5416a455bfaa7d8a631501d8488c2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 13 12:11:45 2011 +0100

    Skip introspection for GValue ↔ CoglFixed API
    
    It's pointless to introspect an API that it's not meant to be used
    through introspection.

 clutter/clutter-fixed.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d9c1a2ebbbf395aa4d255b2a31f17ce8d0e2377a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jun 12 11:27:34 2011 +0100

    script: Use a weak ref to remove the signal emission hook
    
    When an object goes away we should remove the emission hook for the
    state transitions, to avoid leaving hooks around.

 clutter/clutter-script.c | 27 ++++++++++++++++++++++-----
 1 file changed, 22 insertions(+), 5 deletions(-)

commit b33973f9f8ff87d2cb5d9083149b8bfd7f4130c0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jun 11 13:30:02 2011 +0100

    script: Rename "state" → "states"
    
    Make it clear that the key used when defining a state-based signal is
    linked to the states of a ClutterState.

 clutter/clutter-script-parser.c     |  6 ++--
 clutter/clutter-script.c            | 70 +++++++++++++++++++++++++++----------
 clutter/clutter-script.h            |  8 ++---
 tests/data/test-script-signals.json |  8 ++---
 4 files changed, 62 insertions(+), 30 deletions(-)

commit 29d7c5a2979d63e9ce78a901090da6c0e82d85a8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 10 17:16:45 2011 +0100

    script: Allow resolving signals states added from code
    
    Currently, defining states for object signals can only be done by
    defining a ClutterState inside the ClutterScript definition. We should
    allow creating a (named) ClutterState in code, and associating it to a
    ClutterScript instance — and have the Script resolve the "state" field
    of a signal definition correctly.

 clutter/clutter-script-parser.c | 31 ++++++---------
 clutter/clutter-script.c        | 78 +++++++++++++++++++++++++++++++++++++-
 clutter/clutter-script.h        | 83 ++++++++++++++++++++++-------------------
 3 files changed, 131 insertions(+), 61 deletions(-)

commit e745ce52e77211ecff131245e6871cef6b97539a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 7 13:57:16 2011 +0000

    test-interactive: Add signal-based state transitions
    
    Use the newly added support for binding signal emissions to state
    changes on a ClutterState.

 tests/data/Makefile.am                |  3 +-
 tests/data/test-script-signals.json   | 68 +++++++++++++++++++++++++++++++++++
 tests/interactive/Makefile.am         |  3 +-
 tests/interactive/test-state-script.c | 54 ++++++++++++++++++++++++++++
 4 files changed, 126 insertions(+), 2 deletions(-)

commit dd8cf63a62018704b59a84f76eb73e9568257ebb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 7 13:48:58 2011 +0000

    script: Allow connecting signal to ClutterState states
    
    One of the uses of a ClutterState state machine along with ClutterScript
    is to provide a quick way to transition from state to state in response
    to signal emitted on specific instances.
    
    Connecting a real function, in code, to a specific signal does not
    improve the ease of use of ClutterScript to define scenes.
    
    By adding a new signal definition to the current one we can have both a
    simple way to define application logic in code and in the UI definition
    file.
    
    The new syntax is trivial:
    
      {
        "name" : <signal name>,
        "state" : <state machine script id>,
        "target-state" : <target state>
      }
    
    The ClutterState instance is identified by its script id, and the target
    state is resolved at run-time, so it can be defined both in
    ClutterScript or in code. Ideally, we should find a way to associate a
    default ClutterState instance to the ClutterScript one that parses the
    definition; this way we would be able to remove the "state" member, or
    even "style" the behaviour of an object by replacing the ClutterState
    instance.
    
    The implementation uses a signal emission hook, to avoid knowing the
    signal signature; we check the emitter of the signal against the object
    that defined the signal, to avoid erroneous state changes.

 clutter/clutter-script-parser.c  | 116 ++++++++++++++++++++++++++-------------
 clutter/clutter-script-private.h |   4 ++
 clutter/clutter-script.c         | 113 +++++++++++++++++++++++++++++++++-----
 3 files changed, 181 insertions(+), 52 deletions(-)

commit 2c2bdc1d2c2ce6caebdbdc8ce034146fefd9e90f
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Jun 13 13:54:32 2011 +0200

    Updated Czech translation

 po/cs.po | 329 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 168 insertions(+), 161 deletions(-)

commit 0409840d18604f9a2c23b45ca5ab3628d4a6f2cd
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jun 11 17:36:23 2011 +0200

    Updated Slovenian translation

 po/sl.po | 419 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 220 insertions(+), 199 deletions(-)

commit 7b4f7cd3e054121a64c113cb696502faaa90540b
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jun 10 17:48:54 2011 +0100

    build: include <cairo.h> not <cairo/cairo.h>
    
    cairo.h is intended to be included as <cairo.h> not <cairo/cairo.h> as
    is the style for clutter.h. If you have installed cairo to a custom
    prefix then using cairo/cairo.h can result in unintentional use of the
    system cairo headers, or if they aren't installed then it will result in
    a failure to find the header.

 clutter/clutter-stage.c              | 2 +-
 tests/conform/test-path.c            | 2 +-
 tests/interactive/test-bin-layout.c  | 2 +-
 tests/interactive/test-flow-layout.c | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 80dd60ecbb4b7cf0fcb00f663a33662fcb3f49b8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 10 15:01:13 2011 +0100

    test-swipe-action: Clean up the test code
    
    Remove unused code, and be more strict at discarding swipes on
    constrained actors.
    
    Add a note on the behaviour of each rectangle/action pair.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2585

 tests/interactive/test-swipe-action.c | 132 +++++++++++++++++++++++++++-------
 1 file changed, 105 insertions(+), 27 deletions(-)

commit 9b4ad40f048fe2dc383d09dff97a75fcc0f662cd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 10 14:47:16 2011 +0100

    docs: Add the new actions to the API reference
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2585

 doc/reference/clutter/clutter-docs.xml.in  |  2 ++
 doc/reference/clutter/clutter-sections.txt | 36 ++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

commit 2c791da70ae489c9fcbb367071bf2d4401e889bf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 10 14:45:50 2011 +0100

    gesture-action: Remove the multi-device entry points
    
    GestureAction supports a single device/touch point. We'll need touch
    events supported in Clutter before adding the ability to set required
    device/touch points on gestures.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2585

 clutter/clutter-gesture-action.c | 63 +++++++++-------------------------------
 clutter/clutter-gesture-action.h |  4 ---
 2 files changed, 14 insertions(+), 53 deletions(-)

commit f9ce9014961e245bc6162bf20249a836d0bdf98d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 10 14:44:06 2011 +0100

    swipe-action: Remove the required devices call
    
    The SwipeAction requires one device/touch point, and that is the default
    for GestureAction — if GestureAction supported multiple devices/touch
    points.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2585

 clutter/clutter-swipe-action.c | 2 --
 1 file changed, 2 deletions(-)

commit 11d961b6058b1413b47276654e5d939814f6b646
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 10 14:33:20 2011 +0100

    swipe-action: Clean up
    
    Clean up the documentation, and use a type safe GFlags marshaller for
    the ::swept signal's @direction argument - instead of a generic integer
    marshaller.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2585

 clutter/clutter-marshal.list   |  2 +-
 clutter/clutter-swipe-action.c | 78 ++++++++++++++----------------------------
 clutter/clutter-swipe-action.h | 17 +++++----
 3 files changed, 37 insertions(+), 60 deletions(-)

commit 0058c78b799596c1f856c92e705b92015dd7bf6a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 10 14:32:00 2011 +0100

    gesture-action: Clean up
    
    The GestureAction is marked as abstract, but it has a constructor. It
    should be possible to create simple gesture recognizers through signal
    handling alone, so we might as well have GestureAction be a concrete
    class from the start.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2585

 clutter/clutter-gesture-action.c | 36 +++++++++++++++++++------------
 clutter/clutter-gesture-action.h | 46 +++++++++++++++++++---------------------
 2 files changed, 45 insertions(+), 37 deletions(-)

commit ba72235b66ee956977ad6e5c7a8510f9f23a3517
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Wed Mar 9 10:06:44 2011 +0100

    Add ClutterSwipeAction and ClutterGestureAction
    
    To allow actors to handle gestures in a more organized way.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2585

 clutter/Makefile.am                   |   4 +
 clutter/clutter-gesture-action.c      | 500 ++++++++++++++++++++++++++++++++++
 clutter/clutter-gesture-action.h      | 120 ++++++++
 clutter/clutter-marshal.list          |   1 +
 clutter/clutter-swipe-action.c        | 249 +++++++++++++++++
 clutter/clutter-swipe-action.h        | 117 ++++++++
 clutter/clutter.h                     |   2 +
 tests/interactive/Makefile.am         |   1 +
 tests/interactive/test-swipe-action.c | 109 ++++++++
 9 files changed, 1103 insertions(+)

commit d151d789f668a0b2f79eb052ff904a0521409552
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Mar 7 18:53:07 2011 +0000

    clutter-text: Use the ink rect in the paint volume
    
    Previously ClutterText was just reporting the allocation as the paint
    volume. The preferred size of a ClutterText is just the logical
    rectangle of the layout. A pango layout can sometimes draw outside of
    its logical rectangle for example with an italicised font with large
    serifs. Additionally, ClutterText doesn't make any attempt to clip the
    text if the actor gets allocated a size too small for the text so it
    would also end up drawing outside of the paint volume in that case. To
    fix this, the paint volume is now reported as the ink rect of the
    Pango layout. The rectangle for the cursor and selection is also
    unioned into that because it won't necessarily be within the ink
    rectangle.
    
    The function for drawing the selection rectangles has been split up
    into a generic function that calculates the rectangles that need to be
    drawn and a function that draws them. That way the get_paint_volume
    virtual can share the code to calculate the rectangles.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2599

 clutter/clutter-text.c | 369 ++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 276 insertions(+), 93 deletions(-)

commit a20a8071ed835496f26712093f0cfb72aabfd8c8
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Mar 8 17:30:04 2011 +0000

    clutter-text: Don't move the cursor to the left when at pos 0
    
    When the cursor is at the leftmost position in the text the drawn
    pixel position is moved to the left by the size of the cursor. There's
    no explanation for why this happens and it doesn't seem to make any
    sense so this patch removes it. It makes multi-line texts looks odd
    because the cursor ends up at a different horizontal position when it
    is on the first line from any other line. It also makes using
    priv->cursor_pos difficult in any other part of the code because the
    paint function modifies it.
    
    The original patch that added this can be traced back to Tidy commit
    c356487c15. There's no explanation in the commit message either.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2599

 clutter/clutter-text.c | 3 ---
 1 file changed, 3 deletions(-)

commit 501208758808c9dd05f754d46e883766c4c1264b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 10 09:39:09 2011 +0100

    clutter.modules: Update the moduleset
    
    Reflect the changes in the repository location for a bunch of modules,
    and add the Cogl dependency to Clutter.

 build/clutter.modules | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit 7d1d1acbbb757162bde1b22182cd9f59bf8c44c1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 9 15:58:34 2011 +0100

    docs: Update the releasing checklist

 doc/RELEASING | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 4944a5e7d1602ae80eeb3d4b0323a4f6b392b85e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 9 15:53:29 2011 +0100

    Move some old doc files under doc/
    
    ChangeLog.pre-git-import is useless since the Git log contains the
    pre-Git history anyway.
    
    AUTHORS is not really useful, as many more people have been committing
    to Clutter for a while now.

 AUTHORS => doc/AUTHORS.old                               | 0
 ChangeLog.pre-git-import => doc/ChangeLog.pre-git-import | 0
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 9636a4f12588e91777bb425b272875192b8374a0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 9 15:40:57 2011 +0100

    docs: Fix up new symbols for the API reference

 doc/reference/clutter/Makefile.am          | 1 +
 doc/reference/clutter/clutter-sections.txt | 8 ++++++++
 2 files changed, 9 insertions(+)

commit 46cab9c8c6298b773442b6f00f69f2f441826007
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 9 15:40:26 2011 +0100

    event: Add clutter_event_set_source() declaration
    
    The function was defined but not declared in the header.

 clutter/clutter-event.h | 2 ++
 1 file changed, 2 insertions(+)

commit b91ec2a82e371e22a89d5cf95d31a78290e7df65
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 9 15:28:39 2011 +0100

    Fix deprecation guards for ClutterGLXTexturePixmap

 clutter/glx/clutter-glx-texture-pixmap.c | 4 ++--
 clutter/glx/clutter-glx-texture-pixmap.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8b70260528c02db27c3e4546bf7b28b2a4286b24
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 9 14:42:31 2011 +0100

    test-bin-layout: Use the long-press signal on ClickAction

 tests/interactive/test-bin-layout.c | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit 23a9980c721c3f6c2dbd35336ab70f05dda72031
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 18 11:21:58 2011 +0100

    click-action: Add support for long press detection
    
    A long press is a special form of click action; the default
    implementation uses a single signal with multiple states: query, action
    and cancel. On click we use the "query" state to check whether the
    ClutterClickAction supports long presses; if the callback returns TRUE
    then we install a timeout and we either emit the "activate" state when
    the timeout expires or we emit the "cancel" state if the pointer leaves
    the actor, or if the pointer moves outside a certain threshold. If the
    long press reached the "activate" state then we skip the clicked signal
    emission.

 clutter/clutter-click-action.c | 362 ++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-click-action.h |  32 +++-
 clutter/clutter-marshal.list   |   1 +
 3 files changed, 384 insertions(+), 11 deletions(-)

commit 93207d08f80c66628f9dbf673a6f7dadc9fc9845
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 9 14:33:17 2011 +0100

    settings: Add the :long-press-duration
    
    A property to control the minimum time that has to elapse before a press
    is recognized as a long press. This will be used by ClutterClickAction,
    but it can be shared across touch-based gestures.

 clutter/clutter-settings.c | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 2b81d90dd7399c409cf23d7324ff909351dbefa3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 7 15:49:20 2011 +0100

    Eliminate G_CONST_RETURN
    
    The G_CONST_RETURN define in GLib is, and has always been, a bit fuzzy.
    
    We always used it to conform to the platform, at least for public-facing
    API.
    
    At first I assumed it has something to do with brain-damaged compilers
    or with weird platforms where const was not really supported; sadly,
    it's something much, much worse: it's a define that can be toggled at
    compile-time to remove const from the signature of public API. This is a
    truly terrifying feature that I assume was added in the past century,
    and whose inception clearly had something to do with massive doses of
    absynthe and opium — because any other explanation would make the
    existence of such a feature even worse than assuming drugs had anything
    to do with it.
    
    Anyway, and pleasing the gods, this dubious feature is being
    removed/deprecated in GLib; see bug:
    
      https://bugzilla.gnome.org/show_bug.cgi?id=644611
    
    Before deprecation, though, we should just remove its usage from the
    whole API. We should especially remove its usage from Cally's internals,
    since there it never made sense in the first place.

 clutter/cally/cally-actor.c           | 18 ++++++++--------
 clutter/cally/cally-text.c            |  6 +++---
 clutter/cally/cally-util.c            |  8 +++----
 clutter/clutter-actor-meta-private.h  | 39 ++++++++++++++++-------------------
 clutter/clutter-actor-meta.c          |  4 ++--
 clutter/clutter-actor-meta.h          | 16 +++++++-------
 clutter/clutter-actor-private.h       |  8 +++----
 clutter/clutter-actor.c               | 12 +++++++++--
 clutter/clutter-actor.h               |  2 +-
 clutter/clutter-animator.c            |  2 +-
 clutter/clutter-animator.h            | 16 +++++++-------
 clutter/clutter-backend.c             |  2 +-
 clutter/clutter-backend.h             |  2 +-
 clutter/clutter-binding-pool.c        |  2 +-
 clutter/clutter-binding-pool.h        |  2 +-
 clutter/clutter-color.c               |  4 ++--
 clutter/clutter-color.h               |  8 +++----
 clutter/clutter-event.c               |  2 +-
 clutter/clutter-event.h               |  3 +--
 clutter/clutter-input-device.c        |  2 +-
 clutter/clutter-input-device.h        |  2 +-
 clutter/clutter-interval.c            |  2 +-
 clutter/clutter-interval.h            |  2 +-
 clutter/clutter-model.c               |  2 +-
 clutter/clutter-model.h               |  2 +-
 clutter/clutter-private.h             |  2 +-
 clutter/clutter-script.c              |  2 +-
 clutter/clutter-script.h              |  2 +-
 clutter/clutter-scriptable.c          |  2 +-
 clutter/clutter-scriptable.h          |  2 +-
 clutter/clutter-shader-types.c        |  6 +++---
 clutter/clutter-shader-types.h        | 30 +++++++++++++--------------
 clutter/clutter-shader.c              |  4 ++--
 clutter/clutter-shader.h              |  8 +++----
 clutter/clutter-stage.c               |  2 +-
 clutter/clutter-stage.h               |  2 +-
 clutter/clutter-state.c               |  8 +++----
 clutter/clutter-state.h               |  8 +++----
 clutter/clutter-text.c                |  4 ++--
 clutter/clutter-text.h                |  4 ++--
 clutter/clutter-units.c               |  2 +-
 clutter/clutter-units.h               |  6 +++---
 clutter/clutter-util.c                |  2 +-
 clutter/egl/clutter-backend-egl.c     |  2 +-
 clutter/egl/clutter-backend-egl.h     |  3 +--
 clutter/glx/clutter-backend-glx.c     |  2 +-
 clutter/glx/clutter-backend-glx.h     |  3 +--
 clutter/win32/clutter-backend-win32.c |  2 +-
 clutter/win32/clutter-backend-win32.h |  2 +-
 clutter/x11/clutter-backend-x11.c     |  2 +-
 clutter/x11/clutter-x11.h             |  2 +-
 doc/CODING_STYLE                      |  8 +++----
 doc/cookbook/examples/cb-button.c     |  2 +-
 doc/cookbook/examples/cb-button.h     |  2 +-
 54 files changed, 148 insertions(+), 146 deletions(-)

commit 343f54e65921eb00a97d4937d515da1751dc78f2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jun 7 16:46:55 2011 +0200

    Added Norwegian bokmål translation

 po/nb.po | 746 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 412 insertions(+), 334 deletions(-)

commit c28218b240a1ba81cafe572021e721c77ca39af9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jun 7 16:45:45 2011 +0200

    Add Norwegian bokmål translation.

 po/nb.po | 2040 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2040 insertions(+)

commit 70bdb342d15c6170b901ba90855b67f63fa23ad8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jun 7 15:45:45 2011 +0200

    Updated Slovenian translation

 po/sl.po | 60 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 30 insertions(+), 30 deletions(-)

commit e636a0bbce2b24fdb4e99dcf2d4385eb25d0247a
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Wed May 18 16:10:18 2011 +0200

    Sync allocation in ClutterBoxLayout with the one in GtkBox
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650487
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-box-layout.c | 512 +++++++++++++++++++++++++++++++------------
 1 file changed, 370 insertions(+), 142 deletions(-)

commit 9ecddeb1c3fce7bbd3fdb0096713e05a50e6ffcd
Author: Craig R. Hughes <craig.git@rungie.com>
Date:   Mon May 9 09:39:55 2011 -0700

    osx: Handle bare modifier keypresses
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2644

 clutter/osx/clutter-event-osx.c | 85 ++++++++++++++++++++++++++++++++++++++---
 1 file changed, 80 insertions(+), 5 deletions(-)

commit 22cc9b35cb78e9b7a867a3c356647e15bf005c85
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 7 14:34:19 2011 +0100

    stage: Bail out of do_update() when no impl is set
    
    If the Stage has been destroyed the StageWindow implementation is not
    going to be available, but the IN_DESTRUCTION flag will have already
    been cleared.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2656

 clutter/clutter-stage.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 19c986c0c6e0aa08ae76ab7d992fbf70ae5e44a0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 7 14:25:17 2011 +0100

    actor: Avoid queueing redraws during destruction
    
    If an actor or the stage to which it belongs are being destroyed then
    there is no point in queueing a redraw that will not be seen anyway.
    Bailing out early also avoids the case in which a redraw is queued
    during destruction wil cause redraw entries will be added to the Stage,
    which will take references on it and cause the Stage never to be
    finalized.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2652

 clutter/clutter-actor.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 835fc2381c94fc46d5b6f6eef7f9d17db7e97411
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 25 16:23:08 2011 +0100

    Deprecate ClutterShader
    
    With the instantiatable ClutterShaderEffect, the only reason for
    ClutterShader to exist is to make the ClutterActor::paint implementation
    miserable.
    
    Yes, ClutterShader doesn't use a FBO, so it's "more efficient" on
    ClutterTextures. It's also generally wrong unless you know *exactly* how
    the actor's pipeline is set up — something we cannot even guarantee
    internally unless we start doing lame type checks.

 clutter/clutter-actor.c         | 11 ++++++++++
 clutter/clutter-actor.h         |  2 ++
 clutter/clutter-shader-types.h  |  1 -
 clutter/clutter-shader.c        | 46 ++++++++++++++++++++++++++++++++++++++---
 clutter/clutter-shader.h        | 13 ++++++++++++
 clutter/clutter-types.h         |  2 ++
 tests/interactive/test-shader.c |  2 ++
 7 files changed, 73 insertions(+), 4 deletions(-)

commit 941d8d23fa3ebb54f5c27c5f8cfa883903dbb24e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 25 15:38:56 2011 +0100

    test-constrains: Use a ShaderEffect
    
    Demonstrate how to use a ShaderEffect instance.

 tests/interactive/test-constraints.c | 42 +++++++++++++++++++++++++++++++++---
 1 file changed, 39 insertions(+), 3 deletions(-)

commit 53483896a822b2814c1fbe06b5d08e26d67f0301
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 25 15:37:45 2011 +0100

    shader-effect: Allow instantiating ShaderEffect
    
    ClutterShaderEffect doesn't require to be sub-classed in order to be
    useful. It is possible to just create an instance, set the source and
    the uniforms, and attach it to an actor. This should effectively replace
    ClutterShader for good.

 clutter/clutter-shader-effect.c | 41 ++++++++++++++++++++++++++++++++++-------
 clutter/clutter-shader-effect.h | 30 ++++++++++++++++--------------
 2 files changed, 50 insertions(+), 21 deletions(-)

commit 9ed5f2842a3c4c97d51d8f3434d8bf25f8f21cc2
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Jun 7 11:38:01 2011 +0200

    Updated Czech translation

 po/cs.po | 64 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 30 insertions(+), 34 deletions(-)

commit ad78242f55857f5366dca1fb82b91a8973257c9c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jun 6 22:23:32 2011 +0200

    Updated Spanish translation

 po/es.po | 75 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 35 insertions(+), 40 deletions(-)

commit 1a85b87fc9846879be0774a49993d3095eee36d1
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Jun 2 20:56:22 2011 +0200

    Fix typo

 clutter/clutter-media.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 588d97c2c7f8108e84fd2a32fdae071a4629d283
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jun 2 12:10:59 2011 +0100

    culling: Use vertex_count not '4' to determine partial culls
    
    We were mistakenly using the constant 4 to determine the number of
    vertices that need to be culled for a paint-volume to be considered
    fully culled too. This is only ok for 2d volumes and was resulting in
    some 3d volumes being considered culled whenever 4 out of 8 vertices
    were culled. This fix is simply to reference the vertex_count variable
    instead of assuming 4.

 clutter/clutter-paint-volume.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba8cc8e064c43d79676d20eb09b24e1085587a95
Author: Øyvind Kolås <pippin@linux.intel.com>
Date:   Wed Jun 1 22:42:41 2011 +0100

    stage: ensure correct stage is current when picking
    
    _clutter_stage_do_pick called by interactive picking and
    clutter_stage_get_actor_at_pos could be accidentally reading back the wrong
    actor id's if an other stage has had a more recent render due to animation.
    
    This should resolve some multi stage / ClutterGtk related pick id warnings.

 clutter/clutter-stage.c | 1 +
 1 file changed, 1 insertion(+)

commit eed174461286ce983e06893a73592edc50a64373
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 18:33:27 2011 +0100

    stage: Use the debug name for the pick buffer dump stem
    
    This avoids overwriting files in the multi-stage case.

 clutter/clutter-stage.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit b03288af519ae64bc089cfa5a4baf287044b12e6
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Wed Jun 1 19:22:39 2011 +0200

    Add Esperanto translation

 po/eo.po | 2122 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2122 insertions(+)

commit c836b8c53c473e7d309c6c0c9d25b3ec74c827ff
Author: Peter Ward <peteraward@gmail.com>
Date:   Sat May 28 00:12:15 2011 +1000

    device: Prevent segfault
    
    When disposing a slave device without a master.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2655

 clutter/clutter-input-device.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0b0d4e12397f425b075e449c38dc9777f75ab3d6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 25 16:22:31 2011 +0100

    test-binding-pool: Remove usage of deprecated get_gid()
    
    Use the actor name instead of a random, internal numeric id.

 tests/interactive/test-binding-pool.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit e83a7851ad2cf64e778465620b23fe3c111c7164
Author: Dan Winship <danw@gnome.org>
Date:   Thu May 19 10:46:24 2011 -0400

    clutter-id-pool: fix warning on bad pick
    
    Commit 13ac1fe7 purported to extend the _clutter_id_pool_lookup()
    warning to the case where the id referred to a deleted actor, but did
    not actually do so, because _clutter_id_pool_remove() set deleted IDs
    to 0xdecafbad, not NULL. Fix this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650597

 clutter/clutter-id-pool.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 46aadb745b819b2f69b69b119ce70ce84ab04cb9
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Thu May 19 12:58:36 2011 +0200

    [cally] Removed default actions on CallyActor

 clutter/cally/cally-actor.c | 99 +++++----------------------------------------
 1 file changed, 11 insertions(+), 88 deletions(-)

commit d007155ac4a4b8a171a6503757d01f8c739b13f6
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Fri May 20 14:18:09 2011 +0200

    [cally] CallyRoot is the parent of any CallyStage object
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2597

 clutter/cally/cally-root.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 58adcb4022935fe13487b440acf8f3c35b292616
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Fri May 20 14:13:14 2011 +0200

    [cally] Added old cally Changelog (pre clutter-cally merge)
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2484

 clutter/cally/ChangeLog.pre-cally-merge | 986 ++++++++++++++++++++++++++++++++
 1 file changed, 986 insertions(+)

commit 153532297c864be693b16714c76accd4129c8b85
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Fri May 20 14:07:47 2011 +0200

    [cally] Removing default name and description
    
    Those were added on the old "just for automatic testing" times. That was
    somewhat silly on that moment. Now is just silly (ie: having the stage
    returning as default name "Stage").
    
    The real description should be set by the app, or provided by the
    context of a specific actor feature (like the tooltip on StWidget).
    
    The current information provided by the default description can be
    mostly obtained from the ATK_ROLE, and the indirect debugging
    advantage of having always a meaningful description is just not enough
    to justify them, and you can solve that by proper debug logging.
    
    Fixes: http://bugzilla.clutter-project.org/show_bug.cgi?id=2482

 clutter/cally/cally-clone.c     | 21 +--------------------
 clutter/cally/cally-rectangle.c | 21 +--------------------
 clutter/cally/cally-stage.c     | 40 ----------------------------------------
 clutter/cally/cally-texture.c   | 19 -------------------
 4 files changed, 2 insertions(+), 99 deletions(-)

commit 247c8d49ae9a75ec7ae279b0bf787a3eb6fe0a2f
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Fri May 20 14:00:35 2011 +0200

    [cally] Fix a crash on some a11y examples if there isn't accessibility support
    
    Most of the accessibility tests can be executed without the
    accessibility support, although it is clear that they will
    not work properly (ie using accerciser).
    
    But in some specific cases (right now just the atk event test),
    the test will crash if no accessibility support is enabled
    
    Fixes http://bugzilla.clutter-project.org/show_bug.cgi?id=2447

 tests/accessibility/cally-atkevents-example.c |  7 ++++++-
 tests/accessibility/cally-examples-util.c     | 10 +++++++---
 tests/accessibility/cally-examples-util.h     |  2 +-
 3 files changed, 14 insertions(+), 5 deletions(-)

commit e59fff7a3f2d490b7a9b8dc8e149dfc20831a141
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Fri May 20 11:15:07 2011 +0200

    clutter-offscreen-effect: use target size when setting up the viewport
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650650

 clutter/clutter-offscreen-effect.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c18a83baa3239cc635be0732e8d0a859604b6d4c
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon May 16 18:57:37 2011 +0100

    test-cogl-depth-test: Update to new Cogl API
    
    The Cogl depth state API has changed to have a separate CoglDepthState
    struct so this test was no longer building. This patch updates it to
    use CoglPipeline and the new depth state API.

 tests/conform/test-cogl-depth-test.c | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit 86dce2fd98efe934b0223580e00424bace043809
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon May 16 16:07:19 2011 +0100

    test-cogl-pixel-buffer: Use the new name for CoglPixelArray
    
    Cogl has changed the name of the experimental CoglPixelArray API to
    CoglPixelBuffer. This updates the test to reflect that so it will
    continue to build.

 tests/conform/test-cogl-pixel-buffer.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 7d233241f1def912ab0a7688777482f6b4a4e7b6
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon May 16 16:04:27 2011 +0100

    Fix include location for cogl-pango.h
    
    In Cogl, cogl-pango.h has moved to <cogl-pango/cogl-pango.h>. When
    using the experimental 2.0 API (which Clutter does) it is no longer
    possible to include it under the old name of <cogl/cogl-pango.h> so we
    need to update the include location.

 clutter/clutter-main.c                | 2 +-
 clutter/clutter-private.h             | 2 +-
 clutter/clutter-text.c                | 2 +-
 doc/cookbook/examples/text-shadow.c   | 2 +-
 tests/interactive/test-box-layout.c   | 2 +-
 tests/interactive/test-table-layout.c | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 07ecaf569ff66e01327e5fdb23c495a8f148250b
Author: Marek Černocký <marek@manet.cz>
Date:   Sun May 15 21:09:17 2011 +0200

    Updated Czech translation

 po/cs.po | 591 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 306 insertions(+), 285 deletions(-)

commit 8ad780af37cc13dfcd5b50fe7dae75b6986dc003
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun May 15 17:46:33 2011 +0200

    Updated Spanish translation

 po/es.po | 570 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 296 insertions(+), 274 deletions(-)

commit c2f7e5916efe08d0856621829f8765241fc35450
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat May 14 19:49:39 2011 +0200

    Updated Slovenian translation

 po/sl.po | 600 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 308 insertions(+), 292 deletions(-)

commit f9d7650b97c3788763e14ce3b39f21f19edc41bb
Author: Chris Lord <chris@linux.intel.com>
Date:   Mon Mar 28 16:10:59 2011 +0100

    actor: Ensure the validity of the queue_redraw_entry pointer
    
    In _clutter_actor_queue_redraw_with_clip, there was the possibility that
    the actor will add itself to the stage's redraw queue without keeping track
    of the allocated list member.
    
    In clutter_actor_unparent, the redraw queue entry was being invalidated
    before the mapped notify signal was being fired, meaning that queueing a
    redraw of an unmapped actor in the mapped notification callback could
    cause a crash.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2621

 clutter/clutter-actor.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 5aa8ed93cef370be0ef2d840c3356a847fb95dbe
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon May 2 12:15:28 2011 -0400

    test-cogl-sub-texture: Allow single-bit rendering error
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2640

 tests/conform/test-cogl-sub-texture.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 7beb222d3f27740cb3c1a8a75859aee74712a9cd
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon May 2 12:13:57 2011 -0400

    test-cogl-blend-strings: Allow single-bit rendering error
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2640

 tests/conform/test-cogl-blend-strings.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b7a3ccf35c587c724386ff6f27ba256a5d50d47e
Author: Øyvind Kolås <pippin@linux.intel.com>
Date:   Fri May 13 21:44:49 2011 +0100

    doap: fix a typo in a url

 clutter.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba4615cd4bb6c1c230bb864b4b5bc43a4d143f6a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 13 14:26:22 2011 +0100

    text: Check the has_focus flag in selection_paint()
    
    It is the only place were it is used, so it should only be checked
    there, and not in the general paint() implementation.

 clutter/clutter-text.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 729e9985c1aec44f008e9687cdd1bf0818acc95d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 13 14:17:39 2011 +0100

    text: Implement the ::has_overlaps virtual
    
    Since ClutterText has overlapping primitives when selecting, or a
    visible cursor, then we need to report that to Clutter, to avoid
    bleeding colors through when a Text actor is non-fully opaque.

 clutter/clutter-text.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 94c9c075099da0972ed07866e11b12c5255685c7
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Mar 2 12:02:56 2011 -0500

    clutter-text: Add a selected-text-color
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2595

 clutter/clutter-text.c | 185 +++++++++++++++++++++++++++++++++++++++++++------
 clutter/clutter-text.h |   5 ++
 2 files changed, 167 insertions(+), 23 deletions(-)

commit 0a8ec7f7d575423ca984f10171998d85ef035a13
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Mar 3 06:33:42 2011 -0500

    tests: Add test for selected-text-color
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2595

 tests/interactive/test-text-field.c | 2 ++
 tests/interactive/test-text.c       | 2 ++
 2 files changed, 4 insertions(+)

commit d95258e987178a9d1a2316db60bd89685e030929
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri May 13 15:29:50 2011 +0100

    clutter-actor: Store the queue_redraw_entry when queueing a redraw
    
    _clutter_stage_queue_actor_redraw returns a pointer to the
    ClutterStageQueueRedrawEntry struct which it allocates. The actor is
    expected to store a pointer to this so that it doesn't need to search
    the list of queued redraws next time a queue redraw is called. However
    _clutter_actor_queue_redraw_full wasn't storing this pointer which
    meant that it thought every queue redraw was the first queue
    redraw. That meant that queueing a redraw with a clip or an effect
    would override any previous attempts to queue a redraw instead of
    trying to combine them.
    
    I think this happened because the old queue_redraw_with_clip also
    didn't store the pointer and queue_redraw_full was based on that.

 clutter/clutter-actor.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 701440efd8b4df1b38976a3b5b2abf7f456c2c38
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Mar 14 16:30:53 2011 +0000

    clutter-actor: Add a 'has_overlaps' virtual
    
    This adds a virtual to ClutterActor so that an actor subclass can
    report whether it has overlapping primitives. ClutterActor uses this
    to determine whether it needs to use ClutterFlattenEffect to implement
    the opacity property. The default implementation of the virtual
    returns TRUE which means that most actors will end up being redirected
    offscreen when the opacity != 255. ClutterTexture and ClutterRectangle
    override this to return FALSE because they should never need to be
    redirected. ClutterClone overrides it to divert to the source.
    
    The values for the ClutterOffscreenRedirect enum have changed to:
    
    AUTOMATIC_FOR_OPACITY
    
     The actor will only be redirected if has_overlaps returns TRUE and
     the opacity is < 255
    
    ALWAYS_FOR_OPACITY
    
     The actor will always be redirected if the opacity < 255 regardless
     of the return value of has_overlaps
    
    ALWAYS
    
     The actor will always be redirected offscreen.
    
    This means that the property can't be used to prevent the actor from
    being redirected but only to increase the likelihood that it will be
    redirected.
    
    ClutterActor now adds and removes the flatten effect depending on
    whether flattening is needed directly in clutter_actor_paint(). There
    are new internal versions of add/remove_effect that don't queue a
    redraw. This means that ClutterFlattenEffect is now just a no-op
    subclass of ClutterOffscreen. It is only needed because
    ClutterOffscreen is abstract. Removing the effect also makes it so
    that the cached image will be freed as soon as an actor is repainted
    without being flattened.

 clutter/clutter-actor.c                    | 236 +++++++++++++++++++++--------
 clutter/clutter-actor.h                    |  28 ++--
 clutter/clutter-clone.c                    |  14 ++
 clutter/clutter-flatten-effect.c           | 101 +-----------
 clutter/clutter-flatten-effect.h           |   2 -
 clutter/clutter-rectangle.c                |   9 ++
 clutter/clutter-texture.c                  |   9 ++
 doc/reference/clutter/clutter-sections.txt |   1 +
 tests/conform/test-offscreen-redirect.c    |  55 ++++++-
 9 files changed, 272 insertions(+), 183 deletions(-)

commit 2a09a04c2a1478278f58bfe6426ccb65f2715664
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Mar 4 16:48:59 2011 +0000

    Add a conformance test for the offscreen-redirect property
    
    This adds a conformance test for redirecting offscreen. It verifies
    that the redirected actor has the right paint opacity, that it gets
    redrawn only when the image cache needs to be invalidated and that it
    ends up with the right appearance.

 tests/conform/Makefile.am               |   1 +
 tests/conform/test-conform-main.c       |   1 +
 tests/conform/test-offscreen-redirect.c | 283 ++++++++++++++++++++++++++++++++
 3 files changed, 285 insertions(+)

commit 7f78237ee53c6d1ec1981a2aec47e5aa651923d5
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Feb 28 15:05:51 2011 +0000

    clutter-actor: Add an 'offscreen-redirect' property
    
    This adds a property which can be used to redirect the actor through
    an FBO before painting so that it becomes flattened in an image. The
    image can be used as a cache to avoid having to repaint the actor if
    something unrelated in the scene changes. It can also be used to
    implement correct opacity even if the actor has overlapping
    primitives. The property is an enum that takes three values:
    
    CLUTTER_OFFSCREEN_REDIRECT_NEVER: The default behaviour which is to
      never flatten the actor.
    
    CLUTTER_OFFSCREEN_REDIRECT_ALWAYS: The actor is always redirected
      through an FBO.
    
    CLUTTER_OFFSCREEN_REDIRECT_ONLY_FOR_OPACITY: The actor is only
      redirected through an FBO if the paint opacity is not 255. This
      value would be used if the actor wants correct opacity. It will
      avoid the overhead of using an FBO whenever the actor is fully
      opaque.
    
    The property is implemented by installing a ClutterFlattenEffect.
    ClutterFlattenEffect is a new internal class which subclasses
    ClutterOffscreen to redirect the painting to an FBO. When
    ClutterOffscreen paints, the effect sets an opacity override on the
    actor so that the image will always contain the actor at full
    opacity. The opacity is then applied to the resulting image before
    painting it to the stage. This means the actor does not need to be
    redrawn while the opacity is being animated.
    
    The effect has a high internal priority so that it will always occur
    before any other effects and it gets hidden from the application.

 clutter/Makefile.am                          |   2 +
 clutter/clutter-actor.c                      | 180 ++++++++++++++++++++++++++-
 clutter/clutter-actor.h                      |  24 ++++
 clutter/clutter-flatten-effect.c             | 151 ++++++++++++++++++++++
 clutter/clutter-flatten-effect.h             |  75 +++++++++++
 doc/reference/clutter/Makefile.am            |   6 +-
 doc/reference/clutter/clutter-sections.txt   |   3 +
 doc/reference/clutter/offscreen-redirect.png | Bin 0 -> 4821 bytes
 8 files changed, 438 insertions(+), 3 deletions(-)

commit 8df8d4ff0fa667cb25148b451ef754115f5c954b
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Mar 1 16:39:22 2011 +0000

    clutter-actor: Redraw or relayout when clearing effects or constraints
    
    When calling clutter_actor_clear_constraints the layout of the actor
    may change so we need to queue a relayout. Similarly when the effects
    are cleared we need to queue a redraw.

 clutter/clutter-actor.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 942321478332794e27f96ea63767c93af3f5fc24
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Mar 1 15:37:04 2011 +0000

    clutter-actor-meta: Add an internal 'priority' property
    
    This adds a priority property to all ClutterActorMetas. The
    ClutterMetaGroup keeps the list sorted so that higher priority metas
    remain at the beginning of the list. The priority is a signed integer
    with the default as zero. An actor meta can therefore be put before
    all default metas with a positive number, or after with a negative
    number.
    
    There are constants to set an 'internal' priority. The intention is
    that applications wouldn't be allowed to use these values so that we
    can keep special internal metas to that are before or after all
    application metas.
    
    The property isn't a real GObject property because for now it is
    completely internal and only used to implement the 'transparency'
    property of ClutterActor. ClutterMetaGroup doesn't currently resort
    the list if the property changes so if we wanted to make it public we
    should either make it construct-only or make the meta group listen for
    changes on the property and resort accordingly.
    
    The methods in ClutterActor that get the list of metas now use a new
    function that filters out internal metas from the meta
    group. Similarly for clearing the metas, the internal metas are left
    in.

 clutter/clutter-actor-meta-private.h |  26 ++++++++
 clutter/clutter-actor-meta.c         | 117 ++++++++++++++++++++++++++++++++++-
 clutter/clutter-actor.c              |  23 ++-----
 3 files changed, 148 insertions(+), 18 deletions(-)

commit 00b733a85ad4c7781166ffce61c44f15116fa6ba
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Feb 28 12:16:55 2011 +0000

    clutter-effect: Add clutter_effect_queue_rerun
    
    This adds a new public function to queue a rerun of an effect. If
    nothing else queues a redraw then when the effect's actor is painted
    the effect will be run without the CLUTTER_EFFECT_RUN_ACTOR_DIRTY
    flag. This allows parametrised offscreen effects to report that they
    need to redraw the image without having to redraw the underlying
    actor. This will be used to implement the 'transparency' effect of
    ClutterActor.
    
    If multiple redraws are queued with different effects then redrawing
    is started from the one that occurs last in the list of effects.
    
    Internally the function is a wrapper around the new function
    _clutter_actor_queue_redraw_full. This is intended to be the sole
    point of code for queuing redraws on an actor. It has parameters for
    the clip and the effect. The other two existing functions to queue a
    redraw (one with a clip and one without) now wrap around this function
    by passing a NULL effect.

 clutter/clutter-actor-private.h            |   5 +
 clutter/clutter-actor.c                    | 310 ++++++++++++++++++-----------
 clutter/clutter-effect.c                   |  60 ++++++
 clutter/clutter-effect.h                   |   2 +
 doc/reference/clutter/clutter-sections.txt |   1 +
 5 files changed, 261 insertions(+), 117 deletions(-)

commit 11443ed4801be02e8433abb34c776e32bd0c253a
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Feb 25 11:24:23 2011 +0000

    clutter-offscreen-effect: Don't redraw the actor if cached offscreen
    
    When painting an actor, it now tries to determine if the last paint of
    the offscreen was using the same matrix and the actor isn't dirty. If
    so, it can skip calling clutter_actor_continue_paint and avoid
    actually painting the actor. Instead just the offscreen image will be
    painted.

 clutter/clutter-offscreen-effect.c | 80 +++++++++++++++++++++++++++++++-------
 1 file changed, 65 insertions(+), 15 deletions(-)

commit c3aa4d24bf32a7aacdcd96b0807ba780738431a1
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Mar 2 16:55:10 2011 +0000

    clutter-effect: Add a 'run' virtual
    
    This adds a new virtual to ClutterEffect which is intended to be a
    more flexible replacement for the pre and post_paint functions. The
    implementation of a run virtual would look something like this:
    
    void
    effect_run (ClutterEffect *effect,
                ClutterEffectRunFlags flags)
    {
      /* Set up state */
      /* ... */
    
      /* Chain to the next item in the paint sequence */
      clutter_actor_continue_paint (priv->actor);
    
      /* Clean up state */
      /* ... */
    }
    
    ClutterActor now just calls this virtual instead of the pre_paint and
    post_paint functions. It keeps track of the next effect in the list so
    that it knows what to do when clutter_actor_continue_paint is
    called. clutter_actor_continue_paint is a new function added just for
    implementing effects.
    
    The default implementation of the run virtual just calls pre_paint and
    post_paint so that existing effects will continue to work.
    
    An effect is allowed to conditionally skip calling
    clutter_actor_continue_paint(). This is useful to implement effects
    that cache the image of an actor. The flags parameter can be used to
    determine if the actor is dirty since the last paint. ClutterActor
    sets this flag whenever propagated_one_redraw is TRUE which means that
    a redraw for this actor or one of its children was queued.

 clutter/clutter-actor.c                    | 140 +++++++++++++++--------------
 clutter/clutter-actor.h                    |   1 +
 clutter/clutter-effect-private.h           |   2 +
 clutter/clutter-effect.c                   | 124 ++++++++++++++++++-------
 clutter/clutter-effect.h                   |  19 +++-
 doc/reference/clutter/clutter-sections.txt |   2 +
 6 files changed, 189 insertions(+), 99 deletions(-)

commit 05a7419e11eb557932326b13182a5b7acd6af029
Author: Miguel Bouzada <mbouzada@gmail.com>
Date:   Thu May 12 13:18:02 2011 +0200

    Updated Galician translations

 po/clutter-1.0.pot | 1085 +++++++++++++++++++++---------------------
 po/gl.po           | 1345 +++++++++++++++++++++++++++-------------------------
 2 files changed, 1239 insertions(+), 1191 deletions(-)

commit 9b0e013322bfd4ab7ab30c69afb0107608e2b298
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 11 10:11:59 2011 +0100

    po: Remove a non existent file in POTFILES.in

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit 66b08ec96144d9a194ab0e91dab15a013df675d0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue May 10 21:07:12 2011 +0200

    Updated Spanish translation

 po/es.po | 52 ++++++++++++++++++++++++++++++++--------------------
 1 file changed, 32 insertions(+), 20 deletions(-)

commit f5ace7b2a5ed177271a44536351d0780df982fef
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Apr 21 16:52:54 2011 +0100

    win32: Use the Cogl WGL winsys
    
    Cogl now has a full WGL winsys so Clutter doesn't need to directly
    deal with WGL itself.

 clutter/win32/clutter-backend-win32.c | 348 ++++++++--------------------------
 clutter/win32/clutter-backend-win32.h |   6 +-
 clutter/win32/clutter-event-win32.c   |   8 +
 clutter/win32/clutter-stage-win32.c   |  59 +++---
 clutter/win32/clutter-stage-win32.h   |   3 +-
 5 files changed, 125 insertions(+), 299 deletions(-)

commit 36e3a19722140b4d3f70d80359a1536c8987e952
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon May 9 19:24:30 2011 +0200

    Updated Spanish translation

 po/es.po | 113 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 61 insertions(+), 52 deletions(-)

commit 044df4ab1e8b2db3aa642745d698e4d39f8df443
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun May 8 17:09:33 2011 +0200

    Updated Spanish translation

 po/es.po | 60 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 33 insertions(+), 27 deletions(-)

commit 043f804452a9ac12e59b1aed3bf1f2b4fad56a43
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 11 14:11:39 2011 +0100

    Make the pick id pool per Stage
    
    The id pool used for the actor's id should be a per-stage field. At some
    point, we might have a Stage mapped to multiple framebuffers, or each
    Stage mapped to a different framebuffer; also, on backend with low
    color precision we don't want to exhaust the size of the available ids
    with a global pool. Finally, it's yet another thing we can remove from
    the global Clutter context.
    
    Having the id pool allocated per-stage, and the pick id assigned on
    Actor:mapped will make the whole pick-id more reliable and future proof.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2633
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647876

 clutter/clutter-actor.c         | 42 +++++++++++++++++++++++++++++++--------
 clutter/clutter-main.c          | 14 ++++++++-----
 clutter/clutter-private.h       |  9 +++++----
 clutter/clutter-stage-private.h |  7 +++++++
 clutter/clutter-stage.c         | 44 +++++++++++++++++++++++++++++++++++++++--
 tests/conform/test-pick.c       | 14 ++++++-------
 6 files changed, 103 insertions(+), 27 deletions(-)

commit f6e6c803d9ff95c30f489e1e66b01c589a153084
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 11 12:30:51 2011 +0100

    Deprecate actor id
    
    The actor's id, which is currently used to generate the pick color,
    should not be part of the public API: it's an internal detail of the
    pick implementation, and having it exposed is like punching a hole
    through the abstraction.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2633
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647876

 clutter/clutter-actor-private.h |  2 ++
 clutter/clutter-actor.c         | 10 +++++++++-
 clutter/clutter-actor.h         |  5 +++++
 clutter/clutter-main.c          |  2 ++
 4 files changed, 18 insertions(+), 1 deletion(-)

commit dbae7e60143120bac913d2dbaaf786b357f51faf
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri May 6 17:20:06 2011 +0100

    configure.ac: Remove the check for 'ffs'
    
    The check for the ffs function is only needed by Cogl we don't need to
    have it in Clutter's configure script anymore.

 configure.ac | 4 ----
 1 file changed, 4 deletions(-)

commit ea502fd49250d011b6897690a71d3e64566769b7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 6 17:21:00 2011 +0100

    build: Depend on cogl-pango-1.0
    
    For both builds and introspection.

 clutter/Makefile.am | 2 +-
 configure.ac        | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f1204bfe09aec05af08ae4baa4ae6eee5cc695e6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 6 16:56:29 2011 +0100

    build: Specify the buildreq version for Cogl
    
    Don't just assume the latest.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21786cccd629597b38073326dee9fe9de94a55ca
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 6 16:55:10 2011 +0100

    build: Fix introspection rules
    
    Remove some cruft after the surgery that split Cogl out of tree.

 clutter/Makefile.am | 33 ++++++++++-----------------------
 1 file changed, 10 insertions(+), 23 deletions(-)

commit 96ac597272d30d7ae0033cdcde0ac5376655a6bb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 6 16:44:40 2011 +0100

    docs: Fix README.md to match README.in

 README.md | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 589c80e41e4febc981cb2218c8f6eaf1b8c33157
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri May 6 14:55:05 2011 +0100

    Remove last dependency on the GdkPixbuf API
    
    In test-pixmap.c instead of using the GdkPixbuf API to load the
    redhand.png image we now use the cairo API to load the png into a xlib
    surface which wraps our Pixmap.
    
    This test was the last thing that depended on the gdk API and since
    it's more concise to use Cairo here which is a hard dependency for
    Clutter this change means we avoid depending on GdkPixbuf directly.

 README.in                       |   4 --
 clutter/clutter-script.c        |   4 --
 configure.ac                    |   2 -
 tests/interactive/test-pixmap.c | 119 +++++++++++-----------------------------
 4 files changed, 33 insertions(+), 96 deletions(-)

commit 223e14811c101e8c5821ffb21c0b7978bd8f9c24
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu May 5 20:56:44 2011 +0100

    Removes Cogl from the repository
    
    Cogl has now been split out into a standalone project with a separate
    repository at git://git.gnome.org/cogl. From now on the Clutter build
    will now simply look for a cogl-1.0 pkg-config file to find a suitable
    Cogl library to link against at build time.

 .gitignore                                         |   46 -
 README.in                                          |   35 +-
 clutter/Makefile.am                                |   75 +-
 clutter/clutter-main.c                             |    5 -
 clutter/clutter-private.h                          |    4 -
 clutter/cogl/Makefile.am                           |    7 -
 clutter/cogl/autogen.sh                            |   73 -
 clutter/cogl/build/autotools/Makefile.am.enums     |   51 -
 clutter/cogl/build/autotools/Makefile.am.silent    |   19 -
 clutter/cogl/build/autotools/as-compiler-flag.m4   |   62 -
 clutter/cogl/build/autotools/as-linguas.m4         |   24 -
 clutter/cogl/build/autotools/introspection.m4      |   94 -
 clutter/cogl/cogl/Makefile.am                      |  419 --
 clutter/cogl/cogl/cogl-1.0-clutter.pc.in           |   17 -
 clutter/cogl/cogl/cogl-1.0.pc.in                   |   13 -
 clutter/cogl/cogl/cogl-atlas-texture-private.h     |   80 -
 clutter/cogl/cogl/cogl-atlas-texture.c             |  806 ---
 clutter/cogl/cogl/cogl-atlas.c                     |  589 --
 clutter/cogl/cogl/cogl-atlas.h                     |   97 -
 clutter/cogl/cogl/cogl-attribute-private.h         |  103 -
 clutter/cogl/cogl/cogl-attribute.c                 | 1280 ----
 clutter/cogl/cogl/cogl-attribute.h                 |  182 -
 clutter/cogl/cogl/cogl-bitmap-fallback.c           |  582 --
 clutter/cogl/cogl/cogl-bitmap-pixbuf.c             |  331 -
 clutter/cogl/cogl/cogl-bitmap-private.h            |  214 -
 clutter/cogl/cogl/cogl-bitmap.c                    |  498 --
 clutter/cogl/cogl/cogl-bitmap.h                    |  131 -
 clutter/cogl/cogl/cogl-bitmask.c                   |  257 -
 clutter/cogl/cogl/cogl-bitmask.h                   |  227 -
 clutter/cogl/cogl/cogl-blend-string.c              |  984 ---
 clutter/cogl/cogl/cogl-blend-string.h              |  137 -
 clutter/cogl/cogl/cogl-blit.c                      |  395 --
 clutter/cogl/cogl/cogl-blit.h                      |   89 -
 clutter/cogl/cogl/cogl-buffer-private.h            |  163 -
 clutter/cogl/cogl/cogl-buffer.c                    |  556 --
 clutter/cogl/cogl/cogl-buffer.h                    |  242 -
 clutter/cogl/cogl/cogl-clip-stack.c                |  748 ---
 clutter/cogl/cogl/cogl-clip-stack.h                |  192 -
 clutter/cogl/cogl/cogl-clip-state-private.h        |   53 -
 clutter/cogl/cogl/cogl-clip-state.c                |  255 -
 clutter/cogl/cogl/cogl-clip-state.h                |   50 -
 clutter/cogl/cogl/cogl-clutter.c                   |   79 -
 clutter/cogl/cogl/cogl-clutter.h                   |   57 -
 clutter/cogl/cogl/cogl-color-private.h             |   45 -
 clutter/cogl/cogl/cogl-color.c                     |  313 -
 clutter/cogl/cogl/cogl-color.h                     |  544 --
 clutter/cogl/cogl/cogl-context-private.h           |  282 -
 clutter/cogl/cogl/cogl-context.c                   |  501 --
 clutter/cogl/cogl/cogl-context.h                   |   84 -
 clutter/cogl/cogl/cogl-debug-options.h             |  187 -
 clutter/cogl/cogl/cogl-debug.c                     |  248 -
 clutter/cogl/cogl/cogl-debug.h                     |  121 -
 clutter/cogl/cogl/cogl-defines.h.in                |   36 -
 clutter/cogl/cogl/cogl-deprecated.h                |   36 -
 clutter/cogl/cogl/cogl-display-glx-private.h       |   57 -
 clutter/cogl/cogl/cogl-display-private.h           |   48 -
 clutter/cogl/cogl/cogl-display-xlib-private.h      |   35 -
 clutter/cogl/cogl/cogl-display.c                   |  135 -
 clutter/cogl/cogl/cogl-display.h                   |  100 -
 clutter/cogl/cogl/cogl-enum-types.c.in             |   41 -
 clutter/cogl/cogl/cogl-enum-types.h.in             |   25 -
 clutter/cogl/cogl/cogl-feature-private.c           |  144 -
 clutter/cogl/cogl/cogl-feature-private.h           |   81 -
 clutter/cogl/cogl/cogl-fixed.c                     |  950 ---
 clutter/cogl/cogl/cogl-fixed.h                     |  804 ---
 clutter/cogl/cogl/cogl-flags.h                     |   89 -
 clutter/cogl/cogl/cogl-framebuffer-private.h       |  358 -
 clutter/cogl/cogl/cogl-framebuffer.c               | 1731 -----
 clutter/cogl/cogl/cogl-framebuffer.h               |  226 -
 clutter/cogl/cogl/cogl-gtype-private.h             |   48 -
 clutter/cogl/cogl/cogl-handle.h                    |   35 -
 clutter/cogl/cogl/cogl-index-array-private.h       |   39 -
 clutter/cogl/cogl/cogl-index-array.c               |  131 -
 clutter/cogl/cogl/cogl-index-array.h               |   79 -
 clutter/cogl/cogl/cogl-indices-private.h           |   54 -
 clutter/cogl/cogl/cogl-indices.c                   |  253 -
 clutter/cogl/cogl/cogl-indices.h                   |   77 -
 clutter/cogl/cogl/cogl-internal.h                  |  135 -
 clutter/cogl/cogl/cogl-journal-private.h           |   93 -
 clutter/cogl/cogl/cogl-journal.c                   | 1805 ------
 clutter/cogl/cogl/cogl-material-compat.c           |  495 --
 clutter/cogl/cogl/cogl-material-compat.h           | 1397 ----
 clutter/cogl/cogl/cogl-matrix-mesa.c               | 1700 -----
 clutter/cogl/cogl/cogl-matrix-mesa.h               |  226 -
 clutter/cogl/cogl/cogl-matrix-private.h            |   47 -
 clutter/cogl/cogl/cogl-matrix-stack.c              |  550 --
 clutter/cogl/cogl/cogl-matrix-stack.h              |  130 -
 clutter/cogl/cogl/cogl-matrix.c                    |  673 --
 clutter/cogl/cogl/cogl-matrix.h                    |  589 --
 clutter/cogl/cogl/cogl-object-private.h            |  276 -
 clutter/cogl/cogl/cogl-object.c                    |  249 -
 clutter/cogl/cogl/cogl-object.h                    |  127 -
 clutter/cogl/cogl/cogl-offscreen.h                 |  105 -
 clutter/cogl/cogl/cogl-onscreen-template-private.h |   37 -
 clutter/cogl/cogl/cogl-onscreen-template.c         |   62 -
 clutter/cogl/cogl/cogl-onscreen-template.h         |   48 -
 clutter/cogl/cogl/cogl-path-private.h              |  115 -
 clutter/cogl/cogl/cogl-path.c                      |  303 -
 clutter/cogl/cogl/cogl-path.h                      |  491 --
 .../cogl/cogl-pipeline-fragend-arbfp-private.h     |   43 -
 clutter/cogl/cogl/cogl-pipeline-fragend-arbfp.c    | 1109 ----
 .../cogl/cogl-pipeline-fragend-fixed-private.h     |   36 -
 clutter/cogl/cogl/cogl-pipeline-fragend-fixed.c    |  366 --
 .../cogl/cogl/cogl-pipeline-fragend-glsl-private.h |   39 -
 clutter/cogl/cogl/cogl-pipeline-fragend-glsl.c     |  899 ---
 clutter/cogl/cogl/cogl-pipeline-opengl-private.h   |  155 -
 clutter/cogl/cogl/cogl-pipeline-opengl.c           | 1332 ----
 clutter/cogl/cogl/cogl-pipeline-private.h          | 1258 ----
 .../cogl/cogl/cogl-pipeline-progend-glsl-private.h |   54 -
 clutter/cogl/cogl/cogl-pipeline-progend-glsl.c     |  949 ---
 .../cogl/cogl-pipeline-vertend-fixed-private.h     |   36 -
 clutter/cogl/cogl/cogl-pipeline-vertend-fixed.c    |  125 -
 .../cogl/cogl/cogl-pipeline-vertend-glsl-private.h |   39 -
 clutter/cogl/cogl/cogl-pipeline-vertend-glsl.c     |  420 --
 clutter/cogl/cogl/cogl-pipeline.c                  | 6854 --------------------
 clutter/cogl/cogl/cogl-pipeline.h                  | 1256 ----
 clutter/cogl/cogl/cogl-pixel-array-private.h       |   55 -
 clutter/cogl/cogl/cogl-pixel-array.c               |  148 -
 clutter/cogl/cogl/cogl-pixel-array.h               |  131 -
 clutter/cogl/cogl/cogl-point-in-poly-private.h     |   40 -
 clutter/cogl/cogl/cogl-point-in-poly.c             |  100 -
 clutter/cogl/cogl/cogl-primitive-private.h         |   54 -
 clutter/cogl/cogl/cogl-primitive.c                 |  553 --
 clutter/cogl/cogl/cogl-primitive.h                 |  674 --
 clutter/cogl/cogl/cogl-primitives-private.h        |   43 -
 clutter/cogl/cogl/cogl-primitives.c                | 1178 ----
 clutter/cogl/cogl/cogl-primitives.h                |  190 -
 clutter/cogl/cogl/cogl-private.h                   |   53 -
 clutter/cogl/cogl/cogl-profile.c                   |   78 -
 clutter/cogl/cogl/cogl-profile.h                   |   61 -
 clutter/cogl/cogl/cogl-program-private.h           |   84 -
 clutter/cogl/cogl/cogl-program.c                   |  633 --
 clutter/cogl/cogl/cogl-rectangle-map.c             |  752 ---
 clutter/cogl/cogl/cogl-rectangle-map.h             |   78 -
 clutter/cogl/cogl/cogl-renderer-glx-private.h      |   61 -
 clutter/cogl/cogl/cogl-renderer-private.h          |   47 -
 clutter/cogl/cogl/cogl-renderer-x11-private.h      |   32 -
 clutter/cogl/cogl/cogl-renderer-xlib-private.h     |   76 -
 clutter/cogl/cogl/cogl-renderer-xlib.c             |  200 -
 clutter/cogl/cogl/cogl-renderer.c                  |  285 -
 clutter/cogl/cogl/cogl-renderer.h                  |  164 -
 clutter/cogl/cogl/cogl-shader-boilerplate.h        |  127 -
 clutter/cogl/cogl/cogl-shader-private.h            |   65 -
 clutter/cogl/cogl/cogl-shader.c                    |  534 --
 clutter/cogl/cogl/cogl-shader.h                    |  453 --
 clutter/cogl/cogl/cogl-spans.c                     |  132 -
 clutter/cogl/cogl/cogl-spans.h                     |   70 -
 clutter/cogl/cogl/cogl-sub-texture-private.h       |   70 -
 clutter/cogl/cogl/cogl-sub-texture.c               |  473 --
 clutter/cogl/cogl/cogl-swap-chain-private.h        |   38 -
 clutter/cogl/cogl/cogl-swap-chain.c                |   74 -
 clutter/cogl/cogl/cogl-swap-chain.h                |   51 -
 clutter/cogl/cogl/cogl-texture-2d-private.h        |  115 -
 clutter/cogl/cogl/cogl-texture-2d-sliced-private.h |   71 -
 clutter/cogl/cogl/cogl-texture-2d-sliced.c         | 1397 ----
 clutter/cogl/cogl/cogl-texture-2d.c                |  741 ---
 clutter/cogl/cogl/cogl-texture-3d-private.h        |   98 -
 clutter/cogl/cogl/cogl-texture-3d.c                |  681 --
 clutter/cogl/cogl/cogl-texture-3d.h                |  154 -
 clutter/cogl/cogl/cogl-texture-driver.h            |  213 -
 clutter/cogl/cogl/cogl-texture-private.h           |  303 -
 clutter/cogl/cogl/cogl-texture-rectangle-private.h |   75 -
 clutter/cogl/cogl/cogl-texture-rectangle.c         |  652 --
 clutter/cogl/cogl/cogl-texture.c                   | 1533 -----
 clutter/cogl/cogl/cogl-texture.h                   |  464 --
 clutter/cogl/cogl/cogl-types.h                     |  674 --
 clutter/cogl/cogl/cogl-util.c                      |  240 -
 clutter/cogl/cogl/cogl-util.h                      |  106 -
 clutter/cogl/cogl/cogl-vector.c                    |  284 -
 clutter/cogl/cogl/cogl-vector.h                    |  389 --
 clutter/cogl/cogl/cogl-vertex-array-private.h      |   39 -
 clutter/cogl/cogl/cogl-vertex-array.c              |   77 -
 clutter/cogl/cogl/cogl-vertex-array.h              |   82 -
 clutter/cogl/cogl/cogl-vertex-buffer-private.h     |  164 -
 clutter/cogl/cogl/cogl-vertex-buffer.c             | 1772 -----
 clutter/cogl/cogl/cogl-vertex-buffer.h             |  409 --
 clutter/cogl/cogl/cogl-xlib-private.h              |   76 -
 clutter/cogl/cogl/cogl-xlib.c                      |  184 -
 clutter/cogl/cogl/cogl-xlib.h                      |   84 -
 clutter/cogl/cogl/cogl.c                           | 1114 ----
 clutter/cogl/cogl/cogl.h                           | 1262 ----
 clutter/cogl/cogl/cogl.pc.in                       |   13 -
 clutter/cogl/cogl/cogl2-clip-state.c               |   49 -
 clutter/cogl/cogl/cogl2-clip-state.h               |   52 -
 clutter/cogl/cogl/cogl2-path.c                     | 1572 -----
 clutter/cogl/cogl/cogl2-path.h                     |  506 --
 clutter/cogl/cogl/driver/Makefile.am               |    7 -
 .../cogl/cogl/driver/gl/cogl-context-driver-gl.h   |   53 -
 .../cogl/driver/gl/cogl-feature-functions-gl.h     |  423 --
 clutter/cogl/cogl/driver/gl/cogl-gl.c              |  233 -
 .../cogl/cogl/driver/gl/cogl-texture-driver-gl.c   |  522 --
 .../cogl/driver/gles/cogl-context-driver-gles.h    |   52 -
 .../cogl/driver/gles/cogl-feature-functions-gles.h |  141 -
 clutter/cogl/cogl/driver/gles/cogl-gles.c          |  150 -
 .../cogl/driver/gles/cogl-texture-driver-gles.c    |  511 --
 clutter/cogl/cogl/stb_image.c                      | 3891 -----------
 clutter/cogl/cogl/tesselator/GL/glu.h              |   40 -
 clutter/cogl/cogl/tesselator/README                |  446 --
 clutter/cogl/cogl/tesselator/dict-list.h           |  100 -
 clutter/cogl/cogl/tesselator/dict.c                |  111 -
 clutter/cogl/cogl/tesselator/dict.h                |  100 -
 clutter/cogl/cogl/tesselator/geom.c                |  264 -
 clutter/cogl/cogl/tesselator/geom.h                |   84 -
 clutter/cogl/cogl/tesselator/gluos.h               |    1 -
 clutter/cogl/cogl/tesselator/memalloc.h            |   42 -
 clutter/cogl/cogl/tesselator/mesh.c                |  798 ---
 clutter/cogl/cogl/tesselator/mesh.h                |  266 -
 clutter/cogl/cogl/tesselator/normal.c              |  257 -
 clutter/cogl/cogl/tesselator/normal.h              |   45 -
 clutter/cogl/cogl/tesselator/priorityq-heap.c      |  256 -
 clutter/cogl/cogl/tesselator/priorityq-heap.h      |  107 -
 clutter/cogl/cogl/tesselator/priorityq-sort.h      |  117 -
 clutter/cogl/cogl/tesselator/priorityq.c           |  260 -
 clutter/cogl/cogl/tesselator/priorityq.h           |  117 -
 clutter/cogl/cogl/tesselator/render.c              |  502 --
 clutter/cogl/cogl/tesselator/render.h              |   52 -
 clutter/cogl/cogl/tesselator/sweep.c               | 1361 ----
 clutter/cogl/cogl/tesselator/sweep.h               |   77 -
 clutter/cogl/cogl/tesselator/tess.c                |  632 --
 clutter/cogl/cogl/tesselator/tess.h                |  165 -
 clutter/cogl/cogl/tesselator/tesselator.h          |  121 -
 clutter/cogl/cogl/tesselator/tessmono.c            |  201 -
 clutter/cogl/cogl/tesselator/tessmono.h            |   71 -
 .../cogl/winsys/cogl-texture-pixmap-x11-private.h  |   87 -
 clutter/cogl/cogl/winsys/cogl-texture-pixmap-x11.c |  972 ---
 clutter/cogl/cogl/winsys/cogl-texture-pixmap-x11.h |  155 -
 .../winsys/cogl-winsys-egl-feature-functions.h     |   57 -
 clutter/cogl/cogl/winsys/cogl-winsys-egl.c         | 1282 ----
 .../winsys/cogl-winsys-glx-feature-functions.h     |  105 -
 clutter/cogl/cogl/winsys/cogl-winsys-glx.c         | 1959 ------
 clutter/cogl/cogl/winsys/cogl-winsys-private.h     |  154 -
 clutter/cogl/cogl/winsys/cogl-winsys-sdl.c         |   35 -
 clutter/cogl/cogl/winsys/cogl-winsys-stub.c        |  112 -
 clutter/cogl/cogl/winsys/cogl-winsys.c             |   45 -
 clutter/cogl/configure.ac                          |  769 ---
 clutter/cogl/doc/CODING_STYLE                      |   49 -
 clutter/cogl/examples/Makefile.am                  |   31 -
 clutter/cogl/examples/hello.c                      |   49 -
 clutter/cogl/examples/x11-foreign.c                |  156 -
 clutter/cogl/pango/Makefile.am                     |   56 -
 clutter/cogl/pango/cogl-pango-display-list.c       |  444 --
 clutter/cogl/pango/cogl-pango-display-list.h       |   69 -
 clutter/cogl/pango/cogl-pango-fontmap.c            |  209 -
 clutter/cogl/pango/cogl-pango-glyph-cache.c        |  414 --
 clutter/cogl/pango/cogl-pango-glyph-cache.h        |   93 -
 clutter/cogl/pango/cogl-pango-pipeline-cache.c     |  238 -
 clutter/cogl/pango/cogl-pango-pipeline-cache.h     |   53 -
 clutter/cogl/pango/cogl-pango-private.h            |   38 -
 clutter/cogl/pango/cogl-pango-render.c             |  836 ---
 clutter/cogl/pango/cogl-pango.h                    |   85 -
 clutter/cogl/po/ChangeLog                          |   12 -
 clutter/cogl/po/Makevars                           |   41 -
 clutter/cogl/po/POTFILES.in                        |    1 -
 clutter/cogl/po/Rules-quot                         |   47 -
 clutter/cogl/po/boldquot.sed                       |   10 -
 clutter/cogl/po/en@boldquot.header                 |   25 -
 clutter/cogl/po/en@quot.header                     |   22 -
 clutter/cogl/po/insert-header.sin                  |   23 -
 clutter/cogl/po/quot.sed                           |    6 -
 clutter/cogl/po/remove-potcdate.sin                |   19 -
 clutter/glx/clutter-glx-texture-pixmap.c           |    4 -
 clutter/wayland/clutter-backend-wayland.c          |   16 +-
 clutter/x11/clutter-x11-texture-pixmap.c           |    6 +-
 configure.ac                                       |  373 +-
 doc/reference/Makefile.am                          |    4 +-
 doc/reference/cogl/Makefile.am                     |  151 -
 doc/reference/cogl/blend-strings.xml               |  129 -
 doc/reference/cogl/cogl-docs.xml.in                |  206 -
 doc/reference/cogl/cogl-sections.txt               |  660 --
 doc/reference/cogl/cogl_ortho.png                  |  Bin 12650 -> 0 bytes
 doc/reference/cogl/fill-rule-even-odd.png          |  Bin 3121 -> 0 bytes
 doc/reference/cogl/fill-rule-non-zero.png          |  Bin 3143 -> 0 bytes
 doc/reference/cogl/quad-indices-order.png          |  Bin 2620 -> 0 bytes
 doc/reference/cogl/quad-indices-triangles.png      |  Bin 8018 -> 0 bytes
 tests/conform/test-cogl-texture-pixmap-x11.c       |    4 +-
 tests/interactive/test-box-layout.c                |    2 +-
 tests/interactive/test-table-layout.c              |    2 +-
 277 files changed, 25 insertions(+), 89249 deletions(-)

commit 00f2a39ac547f4bc0f15f18c41baf749c3ffc602
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 12 17:01:51 2011 +0100

    stage: Use Cairo to dump the pick buffer
    
    Do not use GdkPixbuf just for getting image data down into a PNG; Cairo
    is perfectly capable of doing the same, at least just for debugging
    purposes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647875

 clutter/clutter-stage.c | 65 +++++++++++++------------------------------------
 1 file changed, 17 insertions(+), 48 deletions(-)

commit 3a071a4787c614144579e080f0d9b545e256a4ad
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 12 17:00:46 2011 +0100

    cairo-texture: Make the pixel order macro public
    
    It stands to reason that any piece of code using Cairo and Cogl at the
    same time, and dealing with texture data, will want to use the same
    logic Clutter uses to determine the compatible pixel format between the
    two.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647875

 clutter/clutter-cairo-texture.c | 13 ++-----------
 clutter/clutter-cairo-texture.h | 20 ++++++++++++++++++++
 2 files changed, 22 insertions(+), 11 deletions(-)

commit d6fbdf69045ce91af4302f9755019518c1879523
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu May 5 19:26:47 2011 +0200

    Updated Spanish translation

 po/es.po | 54 +++++++++++++++++++++++++++++++-----------------------
 1 file changed, 31 insertions(+), 23 deletions(-)

commit 6d9458debb9eaa7db6750f5eb35c9f322c0b8b7e
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Mar 30 16:39:38 2011 +0100

    cogl-debug: Add an option to disable atlasing sharing
    
    If COGL_DEBUG contains disable-shared-atlas Cogl will not try to share
    the atlas between glyphs and images.

 clutter/cogl/cogl/cogl-debug-options.h      | 6 ++++++
 clutter/cogl/cogl/cogl-debug.c              | 1 +
 clutter/cogl/cogl/cogl-debug.h              | 1 +
 clutter/cogl/pango/cogl-pango-glyph-cache.c | 3 +++
 4 files changed, 11 insertions(+)

commit 77cd2ca08ed9633e92528b34804046bf47586259
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Mar 30 16:33:04 2011 +0100

    cogl_pipeline_equal: Handle COGL_WRAP_MODE_AUTOMATIC better
    
    When comparing the wrap modes of two pipeline layers it now considers
    COGL_WRAP_MODE_AUTOMATIC to be equivalent to CLAMP_TO_EDGE. By the
    time the pipeline is in the journal, the upper primitive code is
    expected to have overridden this wrap mode with something else if it
    wants any other behaviour. This is important for getting text to batch
    together with textures because the text explicitly sets the wrap mode
    to CLAMP_TO_EDGE on its pipeline.

 clutter/cogl/cogl/cogl-pipeline.c | 29 ++++++++++++++++++++++++++---
 1 file changed, 26 insertions(+), 3 deletions(-)

commit 41e464fc9e04faa089f6ece6b15c2e67afd0450e
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Feb 26 13:01:54 2010 +0000

    cogl-pango: Don't set the special combine function for atlased textures
    
    The material cache will now only set the special combine mode if the
    texture only has an alpha component. The atlased textures will have
    all four components so it will leave the combine functions at the
    default. This increases the chances of batching between glyphs and
    images.
    
    When using the global atlas, the glyph from cairo is now rendered into
    an ARGB surface rather than an alpha-only surface.

 clutter/cogl/pango/cogl-pango-pipeline-cache.c | 61 +++++++++++++++++++-------
 clutter/cogl/pango/cogl-pango-render.c         | 28 +++++++++++-
 2 files changed, 70 insertions(+), 19 deletions(-)

commit 9083fc8e1fd34a61aa5d95363404843709acee3f
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Feb 26 12:38:22 2010 +0000

    cogl-pango: Use a seperate cache of pipelines
    
    Instead of creating just two materials (one for texturing and one for
    solid primitives) the pango renderer now maintains a cache of
    pipelines. The display list can request a pipeline for a texture from
    the cache. The same pipeline cache is used by all display lists so
    that the pipelines can be shared. This avoids changing the texture on
    the material during a paint run.

 clutter/cogl/pango/Makefile.am                 |  16 +-
 clutter/cogl/pango/cogl-pango-display-list.c   |  68 ++++----
 clutter/cogl/pango/cogl-pango-display-list.h   |   7 +-
 clutter/cogl/pango/cogl-pango-pipeline-cache.c | 211 +++++++++++++++++++++++++
 clutter/cogl/pango/cogl-pango-pipeline-cache.h |  53 +++++++
 clutter/cogl/pango/cogl-pango-render.c         |  77 +++------
 6 files changed, 338 insertions(+), 94 deletions(-)

commit 22ce8a7111f9e814e92754eec9cf521d9586fb08
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Feb 22 16:40:49 2010 +0000

    cogl-pango-glyph-cache: Don't put zero-sized glyphs in the cache
    
    It now avoids trying to reserve space for zero-sized glyphs. That
    happens for example when the layout contains a space. This was causing
    the regular glyph cache to be used because the global atlas does not
    support zero-sized images. That would then break up the
    batching. Instead it now still reserves an entry in the cache but
    leaves the texture as COGL_INVALID_HANDLE.

 clutter/cogl/pango/cogl-pango-glyph-cache.c | 39 ++++++++++++++++++-----------
 clutter/cogl/pango/cogl-pango-render.c      |  7 +++++-
 2 files changed, 30 insertions(+), 16 deletions(-)

commit 0c755f690951652bd1d3e3f9a2fd01de0c7f6522
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu May 5 16:09:22 2011 +0100

    Revert "cogl-pango-display-list: Don't use VBOs if the texture can't handle it"
    
    This reverts commit 32c91793e46e0625a19c0d2bc98d6cd147dff702.
    
    This commit is no longer needed since the display list will now only
    have primitive textures in it.

 clutter/cogl/pango/cogl-pango-display-list.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 9cb45144a89e03baa746fa62ccd5972378baee08
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Mar 30 13:48:34 2011 +0100

    cogl-pango-render: Add the base texture to the display list
    
    When rendering a glyph from a texture, instead of adding the glyph's
    texture handle to the display list it now retrieves the base texture
    using _cogl_texture_foreach_subtexture_in_region and adds that
    instead. That way the display can recognise that glyphs in the global
    atlas are sharing the same texture and combine them into one VBO.

 clutter/cogl/pango/cogl-pango-render.c | 62 ++++++++++++++++++++++++++++------
 1 file changed, 51 insertions(+), 11 deletions(-)

commit 22649b810f3247c2affc7ac18e8ebe23e219b4ba
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Mar 30 13:46:46 2011 +0100

    cogl-bitmap-private.h: Include cogl-bitmap.h
    
    There was a header dependency problem which meant that
    cogl-texture-private.h couldn't be included without first including
    cogl-bitmap.h

 clutter/cogl/cogl/cogl-bitmap-private.h | 1 +
 1 file changed, 1 insertion(+)

commit d0a615e17b0aa32f20cc7c1d4e0ab97193f85195
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Mar 30 12:56:09 2011 +0100

    cogl-pango-glyph-cache: Notify of reorg for global atlased glyphs
    
    Whenever the glyph cache puts a glyph in the global atlas it will now
    register for notifications of reorganisation of the global
    atlases. When this happens it will forward this on as a notification
    of reorganisation of the glyph cache.

 clutter/cogl/pango/cogl-pango-glyph-cache.c | 36 ++++++++++++++++++++++-------
 1 file changed, 28 insertions(+), 8 deletions(-)

commit 241c3c0d43ef562fa8d04b6cac1848fad6ba2a29
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Mar 30 12:53:50 2011 +0100

    cogl-atlas-texture: Add a callback for when any atlas reorganizes
    
    This adds cogl_atlas_texture_* functions to register a callback that
    will get invoked whenever any of the CoglAtlas's the textures use get
    reorganized. The callback is global and is not tied to any particular
    atlas texture.

 clutter/cogl/cogl/cogl-atlas-texture-private.h |  8 ++++++
 clutter/cogl/cogl/cogl-atlas-texture.c         | 36 ++++++++++++++++++++++++++
 clutter/cogl/cogl/cogl-context-private.h       |  1 +
 clutter/cogl/cogl/cogl-context.c               |  2 ++
 4 files changed, 47 insertions(+)

commit e3c57941bddd8d77947f8de23661d061aaaed78e
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 18 17:35:14 2010 +0000

    pango-glyph-cache: Try to put glyphs in the global atlas
    
    If mipmapping is disabled, it will now try to create a standalone
    atlas texture for a glyph rather than putting it in the atlas.
    
    If the atlas texture can't be created then it will fallback to the
    glyph cache.

 clutter/cogl/pango/cogl-pango-glyph-cache.c | 139 ++++++++++++++++++++--------
 1 file changed, 102 insertions(+), 37 deletions(-)

commit 9aaaee03085d709db930f56333c204672d32d81d
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 18 16:33:12 2010 +0000

    cogl-atlas-texture: Split out new_from_bitmap to new_with_size
    
    This adds a new function called _cogl_atlas_texture_new_with_size. The
    old new_from_bitmap function now just calls this and updates the
    texture with the data.

 clutter/cogl/cogl/cogl-atlas-texture-private.h |  6 ++
 clutter/cogl/cogl/cogl-atlas-texture.c         | 81 ++++++++++++++++----------
 2 files changed, 57 insertions(+), 30 deletions(-)

commit 32c91793e46e0625a19c0d2bc98d6cd147dff702
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 18 15:04:06 2010 +0000

    cogl-pango-display-list: Don't use VBOs if the texture can't handle it
    
    If the texture can't be hardware repeated (ie, if it is sliced or it
    has waste) then Cogl will reject the layer when rendering with a
    VBO. In this case we should always fall back to rendering with
    cogl_rectangle.
    
    This commit is only needed temporarily because Cogl will end up
    putting atlas textures in the display list. A later commit in the
    series will make it so that the display list always has primitive
    textures in it so this commit can be reverted.

 clutter/cogl/pango/cogl-pango-display-list.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 51eec9bf53eec923504e7cf0392d3c15f545bd3e
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 18 14:30:44 2010 +0000

    cogl-pango: Use a separate glyph cache for mipmapped rendering
    
    This reverts the changes in 54d8aadf which combined the two glyph
    caches into one. We want to start using separate caches again so that
    we can non-mipmapped textures into the global atlas.

 clutter/cogl/pango/cogl-pango-glyph-cache.c |  2 +-
 clutter/cogl/pango/cogl-pango-glyph-cache.h |  2 +-
 clutter/cogl/pango/cogl-pango-render.c      | 77 ++++++++++++++++++++---------
 3 files changed, 55 insertions(+), 26 deletions(-)

commit 4d3bf09e60af216774d5b1ec118f420ee0b7137b
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed May 4 17:02:04 2011 +0100

    Adds a way for Cogl to control event_mask of foreign wins
    
    This extends cogl_onscreen_x11_set_foreign_xid to take a callback to a
    function that details the event mask the Cogl requires the application
    to select on foreign windows. This is required because Cogl, for
    example, needs to track size changes of a window and may also in the
    future want other notifications such as map/unmap.
    
    Most applications wont need to use the foreign xwindow apis, but those
    that do are required to pass a valid callback and update the event mask
    of their window according to Cogl's requirements.

 clutter/cogl/cogl/cogl-framebuffer-private.h |  2 +
 clutter/cogl/cogl/cogl-framebuffer.c         | 10 ++++-
 clutter/cogl/cogl/cogl-framebuffer.h         | 58 +++++++++++++++++++++++++++-
 clutter/cogl/cogl/winsys/cogl-winsys-egl.c   | 11 +++++-
 clutter/cogl/cogl/winsys/cogl-winsys-glx.c   | 11 +++++-
 clutter/cogl/examples/x11-foreign.c          | 22 ++++++++++-
 clutter/glx/clutter-stage-glx.c              |  9 ++++-
 clutter/x11/clutter-stage-x11.c              | 29 ++++++++------
 clutter/x11/clutter-stage-x11.h              | 17 ++++++++
 9 files changed, 151 insertions(+), 18 deletions(-)

commit 50d688399bf4b1e31486f7e2b659f26994f78348
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed May 4 11:10:54 2011 +0100

    Adds cogl_onscreen_show/hide functions
    
    This adds Cogl API to show and hide onscreen framebuffers. We don't want
    to go too far down the road of abstracting window system APIs with Cogl
    since that would be out of its scope but the previous idea that we would
    automatically map framebuffers on allocation except for those made from
    foreign windows wasn't good enough. The problem is that we don't want to
    make Clutter always create stages from foreign windows but with the
    automatic map semantics then Clutter doesn't get an opportunity to
    select for all the events it requires before mapping. This meant that we
    wouldn't be delivered a mouse enter event for windows mapped underneath
    the cursor which would break Clutters handling of button press events.

 clutter/cogl/cogl/cogl-framebuffer.c           | 31 +++++++++++++++
 clutter/cogl/cogl/cogl-framebuffer.h           | 52 ++++++++++++++++++++++++++
 clutter/cogl/cogl/winsys/cogl-winsys-egl.c     | 21 ++++++++++-
 clutter/cogl/cogl/winsys/cogl-winsys-glx.c     | 17 ++++++++-
 clutter/cogl/cogl/winsys/cogl-winsys-private.h |  4 ++
 clutter/cogl/examples/hello.c                  |  2 +
 6 files changed, 123 insertions(+), 4 deletions(-)

commit 53395e732e18af8c2c22d12cc598a6dd1a71670a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed May 4 00:16:50 2011 +0100

    add missing name mangle for cogl_onscreen_set_swap_throttled
    
    We weren't mangling cogl_onscreen_set_swap_throttled to give it an _EXP
    postfix to clarify that it is an experimental symbol.

 clutter/cogl/cogl/cogl-framebuffer.h | 1 +
 1 file changed, 1 insertion(+)

commit 06c64adb5762fb3f1691b0404a264063914f2bde
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue May 3 21:00:00 2011 +0100

    Add missing _cogl_winsys_has_feature prototype
    
    This adds a private prototype for _cogl_winsys_has_feature in
    cogl-winsys-private.h to avoid compilation warnings.

 clutter/cogl/cogl/winsys/cogl-winsys-private.h | 3 +++
 1 file changed, 3 insertions(+)

commit 89fd655a9e22f508e2a402d2020fbe0aef3669b0
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Apr 19 17:48:40 2011 +0100

    cogl/pango/Makefile.am pass EXTRA_LDFLAGS for linking
    
    When building on windows for example we need to ensure we pass
    -no-undefined to the linker. Although we were substituting a
    COGL_EXTRA_LDFLAGS variable from our configure.ac we forgot to
    reference that when linking cogl-pango.

 clutter/cogl/pango/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f2cd2d8be847681d81a3864e2ac3fee2917a273c
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Apr 19 17:47:57 2011 +0100

    cogl/configure.ac: AC_SUBST an empty MAINTAINER_CFLAGS
    
    For compatibility with the way we build Cogl as part of Clutter we now
    substitute an empty MAINTAINER_CFLAGS variable. When building Cogl
    standalone all our extra CFLAGS go through COGL_EXTRA_CFLAGS so the
    separate MAINTAINER_CFLAGS aren't used, but automake will get confused
    if a substitution isn't made.

 clutter/cogl/configure.ac | 4 ++++
 1 file changed, 4 insertions(+)

commit a8e497e6473ded5c62688b4323b3131bc33b9426
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Apr 19 17:45:26 2011 +0100

    cogl/configure.ac: check when building for win32
    
    This adds a check for when building on win32 so we can skip pkg-config
    checks for opengl and can add appropriate flags to
    COGL_EXTRA_{LD,C}FLAGS.

 clutter/cogl/configure.ac | 47 +++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 39 insertions(+), 8 deletions(-)

commit 2303e4d60332139584bdd31ed7896af33e97388f
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Apr 19 17:42:48 2011 +0100

    cogl/configure.ac: fix pkg-config checks
    
    This fixes the gdk-pixbuf check to not mistakenly check for the "xi"
    package instead of gdk-pixbuf and remove a spurious listing "gl" in
    COGL_PKG_REQUIRES which should only be there when we are using using
    opengl not if we are using gles.

 clutter/cogl/configure.ac | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 8bde73529f8d08ad9cc9b64df482ec93fd5ed804
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Apr 19 17:40:57 2011 +0100

    cogl/Makefile.am: pass EXTRA_LDFLAGS for linking
    
    When building on windows for example we need to ensure we pass
    -no-undefined to the linker. Although we were substituting a
    COGL_EXTRA_LDFLAGS variable from our configure.ac we forgot to
    reference that when linking cogl.

 clutter/cogl/cogl/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a3d06c55c99317e6193c56742d21c6930fbb340
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Apr 18 17:45:36 2011 +0100

    cogl: remove OSX/WIN32 specific bits in favour of a stub winsys
    
    Until Cogl gains native win32/OSX support this remove the osx and win32
    winsys files and instead we'll just rely on the stub-winsys.c to handle
    these platforms. Since the only thing the platform specific files were
    providing anyway was a get_proc_address function; it was trivial to
    simply update the clutter backend code to handle this directly for now.

 clutter/cogl/cogl/Makefile.am                |  8 +------
 clutter/cogl/cogl/winsys/cogl-winsys-osx.c   | 35 ----------------------------
 clutter/cogl/cogl/winsys/cogl-winsys-stub.c  |  5 ++++
 clutter/cogl/cogl/winsys/cogl-winsys-win32.c | 35 ----------------------------
 clutter/cogl/configure.ac                    |  6 +----
 clutter/win32/clutter-backend-win32.c        |  2 +-
 6 files changed, 8 insertions(+), 83 deletions(-)

commit 3d0a853c6f5402584be4ecd2e881924a55f8ef22
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Apr 18 17:35:15 2011 +0100

    cogl-gl.c: remove really_enable_npot hack for OSX
    
    This is a workaround for a bug on OSX for some radeon hardware that
    we can't verify and the referenced bug link is no longer valid.
    
    If this is really still a problem then a new bug should be opened and we
    can look at putting the fix in some more appropriate place than
    cogl-gl.c

 clutter/cogl/cogl/driver/gl/cogl-gl.c | 37 ++++-------------------------------
 1 file changed, 4 insertions(+), 33 deletions(-)

commit 723e5de4b6390067b2e5af764cefae45392345cd
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Apr 18 17:17:21 2011 +0100

    cogl/configure.ac: Adds --enable-stub-winsys option
    
    We want to be able to split Cogl out as a standalone project but there
    are still some window systems that aren't natively supported by Cogl.
    This allows Clutter to support those window systems directly but still
    work with a standalone Cogl library.
    
    This also ensures we set the SUPPORT_STUB conditional in clutter's
    configure.ac when building for win32/osx and wayland.

 clutter/cogl/configure.ac | 33 ++++++++++++++++++++++++++++++++-
 configure.ac              |  3 +++
 2 files changed, 35 insertions(+), 1 deletion(-)

commit 799caeb588973ea4b64003efc31c9853a05d8f73
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Apr 18 16:26:17 2011 +0100

    winsys-glx: map X window automatically if not foreign
    
    For now we are going for the semantics that when a CoglOnscreen is first
    allocated then it will automatically be mapped. This is for convenience
    and if you don't want that behaviour then it is possible to instead
    create an Onscreen from a foreign X window and in that case it wont be
    mapped automatically.
    
    This approach means that Cogl doesn't need onscreen_map/unmap functions
    but it's possible we'll decide later that we can't avoid adding such
    functions and we'll have to change these semantics.

 clutter/cogl/cogl/winsys/cogl-winsys-glx.c | 2 ++
 1 file changed, 2 insertions(+)

commit 27770b913fa830140093347b919eb385c74694ec
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Apr 18 15:57:32 2011 +0100

    cogl/configure.ac: make COGL_HAS_xyz defines public
    
    Instead of using AC_DEFINE for the various COGL_HAS_PLATFORM defines
    this now adds them to the COGL_DEFINES_SYMBOLS variable which gets
    substituted into the public cogl-defines.h header.

 clutter/cogl/configure.ac | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit c2631b2bf7372c3488c04c5c25479a29ab234fd5
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Apr 12 18:50:54 2011 +0100

    add missing Cogl bits to .gitignore

 .gitignore | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 136cf1b2d6cdb37734b2369991b748344190a3dd
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Apr 18 13:07:21 2011 +0100

    clutter/Makefile.am: mark clutter-cex100.h as BUILT_SOURCES
    
    clutter-xcex100.h is generated from clutter-cex100.h.in when running
    ./configure so it should be added to automake's BUILT_SOURCES variable.

 clutter/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 825a51b89899c8ced9f5b1056ce8f4a06fcdc48e
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Mar 17 19:32:54 2011 +0000

    Adds Cogl Hello World and "X11 foreign" example applications
    
    This adds a simple standalone Cogl application that can be used to
    smoke test a standalone build of Cogl without Clutter.
    
    This also adds an x11-foreign app that shows how a toolkit can ask Cogl
    to draw to an X Window that it owns instead of Cogl being responsible
    for automatically creating and mapping an X Window for CoglOnscreen.

 clutter/cogl/Makefile.am            |   2 +-
 clutter/cogl/configure.ac           |   1 +
 clutter/cogl/examples/Makefile.am   |  31 ++++++++
 clutter/cogl/examples/hello.c       |  47 +++++++++++++
 clutter/cogl/examples/x11-foreign.c | 136 ++++++++++++++++++++++++++++++++++++
 configure.ac                        |   1 +
 6 files changed, 217 insertions(+), 1 deletion(-)

commit 1c502fbbc85429e1108768fc92da4d6913ffbc42
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Mar 10 15:15:08 2011 +0000

    cogl/configure.ac: add options to control driver/egl platform
    
    This allows more detailed control over the driver and winsys features
    that Cogl should have. Cogl is designed so it can support multiple
    window systems simultaneously so we have enable/disable options for
    the drivers (gl vs gles1 vs gles2) and options for the individual window
    systems; currently glx and egl. Egl is broken down into an option
    for each platform.

 clutter/cogl/cogl/cogl-1.0-clutter.pc.in |   8 +-
 clutter/cogl/configure.ac                | 358 ++++++++++++++++++++++++++-----
 configure.ac                             |   1 +
 3 files changed, 311 insertions(+), 56 deletions(-)

commit e26a59afc854d9685424f3acf5a54a938725c470
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Mar 4 12:50:39 2011 +0000

    EGL: Updates GDL platform support
    
    The GDL API is used for example on intel ce4100 (aka Sodaville) based
    systems as a way to allocate memory that can be composited using the
    platforms overlay hardware. This updates the Cogl EGL winsys and the
    support in Clutter so we can continue to support these platforms.

 clutter/cogl/cogl/Makefile.am               |   2 +-
 clutter/cogl/cogl/cogl-display-private.h    |   5 ++
 clutter/cogl/cogl/cogl-display.c            |  12 +++
 clutter/cogl/cogl/cogl-display.h            |  12 +++
 clutter/cogl/cogl/cogl-swap-chain-private.h |   1 +
 clutter/cogl/cogl/cogl-swap-chain.c         |   8 ++
 clutter/cogl/cogl/cogl-swap-chain.h         |   5 ++
 clutter/cogl/cogl/winsys/cogl-winsys-egl.c  | 131 +++++++++++++++++++++++++++-
 clutter/cogl/configure.ac                   |   2 +-
 clutter/egl/clutter-backend-egl.c           |  12 +--
 configure.ac                                |  18 ++--
 11 files changed, 189 insertions(+), 19 deletions(-)

commit 7f76ea2690eac8751e36033323fcd82bf4027643
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Mar 2 11:02:50 2011 +0000

    Don't reference GL_STACK_OVERFLOW/UNDERFLOW for GLES
    
    These symbols aren't available when building with GLES so only reference
    them when building with OpenGL.

 clutter/cogl/cogl/cogl.c | 2 ++
 1 file changed, 2 insertions(+)

commit fd42800d008e9153926916e35d0d8927488ff362
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Apr 18 16:24:51 2011 +0100

    winsys: Expose environment variable to choose winsys
    
    This makes it possible to override the winsys that cogl uses by setting
    the COGL_RENDERER environment variable e.g. to "GLX" or "EGL"

 clutter/cogl/cogl/cogl-renderer.c              | 8 ++++++++
 clutter/cogl/cogl/winsys/cogl-winsys-egl.c     | 1 +
 clutter/cogl/cogl/winsys/cogl-winsys-glx.c     | 1 +
 clutter/cogl/cogl/winsys/cogl-winsys-private.h | 2 ++
 4 files changed, 12 insertions(+)

commit 75e6d734c1b831e11831270d1777b84b689dca6a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Feb 25 11:29:08 2011 +0000

    Add a vtable of indirection to the winsys code
    
    So that we can dynamically select what winsys backend to use at runtime
    we need to have some indirection to how code accesses the winsys instead
    of simply calling _cogl_winsys* functions that would collide if we
    wanted to compile more than one backend into Cogl.

 clutter/cogl/cogl/cogl-clutter.c                   |   8 +-
 clutter/cogl/cogl/cogl-context-private.h           |   3 +
 clutter/cogl/cogl/cogl-context.c                   |  19 +-
 clutter/cogl/cogl/cogl-display.c                   |  14 +-
 clutter/cogl/cogl/cogl-framebuffer.c               |  71 ++++++--
 clutter/cogl/cogl/cogl-renderer-private.h          |   2 +
 clutter/cogl/cogl/cogl-renderer.c                  |  76 +++++++-
 clutter/cogl/cogl/cogl.c                           |   9 +
 clutter/cogl/cogl/winsys/cogl-texture-pixmap-x11.c |  42 ++++-
 clutter/cogl/cogl/winsys/cogl-winsys-egl.c         | 162 +++++++++--------
 clutter/cogl/cogl/winsys/cogl-winsys-glx.c         | 194 +++++++++++++--------
 clutter/cogl/cogl/winsys/cogl-winsys-private.h     | 122 ++++++-------
 12 files changed, 482 insertions(+), 240 deletions(-)

commit 91bf1e24d45e46808a36be1468c9cbce53c8896a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Mar 1 14:43:43 2011 +0000

    texture-pixmap-x11: Move GLX code to cogl-winsys-glx.c
    
    This moves the GLX specific code from cogl-texture-pixmap-x11.c into
    cogl-winsys-glx.c. If we want the winsys components to by dynamically
    loadable then we can't have GLX code scattered outside of
    cogl-winsys-glx.c. This also sets us up for supporting the
    EGL_texture_from_pixmap extension which is almost identical to the
    GLX_texture_from_pixmap extension.

 .../cogl/winsys/cogl-texture-pixmap-x11-private.h  |  15 +-
 clutter/cogl/cogl/winsys/cogl-texture-pixmap-x11.c | 530 +-------------------
 clutter/cogl/cogl/winsys/cogl-winsys-egl.c         |  35 ++
 clutter/cogl/cogl/winsys/cogl-winsys-glx.c         | 549 +++++++++++++++++++++
 clutter/cogl/cogl/winsys/cogl-winsys-private.h     |  22 +
 5 files changed, 632 insertions(+), 519 deletions(-)

commit c55cffbb6b5c75d2af073b7c5be857acb97b6acf
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Feb 25 00:31:41 2011 +0000

    Moves all EGL code down from Clutter to Cogl
    
    As was recently done for the GLX window system code, this commit moves
    the EGL window system code down from the Clutter backend code into a
    Cogl winsys.
    
    Note: currently the cogl/configure.ac is hard coded to only build the GLX
    winsys so currently this is only available when building Cogl as part
    of Clutter.

 clutter/Makefile.am                                |    4 -
 clutter/cogl/cogl/Makefile.am                      |    9 +-
 clutter/cogl/cogl/cogl-context.c                   |    9 +
 clutter/cogl/cogl/cogl-context.h                   |   17 +
 .../winsys/cogl-winsys-egl-feature-functions.h     |   57 ++
 clutter/cogl/cogl/winsys/cogl-winsys-egl.c         | 1048 +++++++++++++++++++-
 clutter/cogl/cogl/winsys/cogl-winsys-private.h     |    5 +
 clutter/egl/clutter-backend-cex100.c               |  369 -------
 clutter/egl/clutter-backend-cex100.h               |   60 --
 clutter/egl/clutter-backend-egl.c                  |  765 ++++----------
 clutter/egl/clutter-backend-egl.h                  |   57 +-
 clutter/egl/clutter-stage-egl.c                    |  232 +++--
 clutter/egl/clutter-stage-egl.h                    |    4 +-
 clutter/glx/clutter-backend-glx.h                  |   11 +-
 clutter/x11/clutter-stage-x11.c                    |  105 --
 clutter/x11/clutter-stage-x11.h                    |    3 -
 configure.ac                                       |    4 +
 17 files changed, 1463 insertions(+), 1296 deletions(-)

commit ce0dc2160cc491c60a2849539ba8abc9e5d1d0ad
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Feb 25 00:49:07 2011 +0000

    remove references to unused DRM_SURFACELESS EGL platform
    
    The "DRM_SURFACELESS" EGL platform was invented when we were adding the
    wayland backend to Clutter but in the end we added a dedicated backend
    instead of extending the EGL backend so actually the platform name isn't
    used.

 clutter/cogl/cogl/Makefile.am | 5 -----
 clutter/cogl/configure.ac     | 1 -
 configure.ac                  | 8 --------
 3 files changed, 14 deletions(-)

commit d8e7f8f210650dbea0693b85dd4dea438530dc6e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed May 4 22:41:43 2011 +0200

    Updated Spanish translation

 po/es.po | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 1ca5055184f19c4ed51401336176e9e17ffb87aa
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed May 4 22:41:04 2011 +0200

    Updated Spanish translation

 po/es.po | 55 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 28 insertions(+), 27 deletions(-)

commit 8804e9c453e914062968b4e25e8acd17b6fec97a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue May 3 23:00:04 2011 +0200

    Updated Spanish translation

 po/es.po | 52 +++++++++++++++++++++++++++-------------------------
 1 file changed, 27 insertions(+), 25 deletions(-)

commit 462dd088616d8c0330cb3c0fe2b7adfa46b87c93
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon May 2 12:10:34 2011 +0200

    Updated Spanish translation

 po/es.po | 66 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 38 insertions(+), 28 deletions(-)

commit 07a52fbc3af93cad0c171c6c1543498aea2e86e0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Apr 29 19:48:28 2011 +0200

    Updated Spanish translation

 po/es.po | 54 +++++++++++++++++++++++++++---------------------------
 1 file changed, 27 insertions(+), 27 deletions(-)

commit f188ecf1726ee599acb55cf248445b3394084d58
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Apr 28 20:40:46 2011 +0200

    Updated Spanish translation

 po/es.po | 68 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 34 insertions(+), 34 deletions(-)

commit 73064e569f337dc03ba0243f7eb8acc99b0d40b7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Apr 25 22:49:42 2011 +0200

    Updated Spanish translation

 po/es.po | 64 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

commit c383fdeeaec684f0eda404c04d188e7ad735f1d0
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Apr 21 16:44:15 2011 +0100

    cogl-context: Initialize context->stub_winsys
    
    If Cogl is built using a full Winsys then it wasn't initialising
    context->stub_winsys which sometimes made it crash later on.

 clutter/cogl/cogl/cogl-context.c | 1 +
 1 file changed, 1 insertion(+)

commit afdb869c36b081fd74ff005dc32a3f0001dda5bc
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Wed Apr 20 23:13:26 2011 +0200

    [l10n] Updated German translation

 po/de.po | 517 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 271 insertions(+), 246 deletions(-)

commit b5279ed027a5b3891a5888124b07f5a40c5a4fec
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Apr 20 18:43:02 2011 +0100

    cogl-winsys-stub: Remove _cogl_winsys_has_feature
    
    Commit b061f737 moved _cogl_winsys_has_feature to the common winsys
    code so there's no need to define it in the stub winsys any more. This
    was breaking builds for backends using the stub winsys.

 clutter/cogl/cogl/winsys/cogl-winsys-stub.c | 7 -------
 1 file changed, 7 deletions(-)

commit 66f22cfd6038c2b7cb1ff3462e9b03dc782bc302
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Apr 20 17:50:38 2011 +0100

    cogl-winsys-glx: Fix the comparison in find_onscreen_for_xid
    
    The comparison for finding onscreen framebuffers in
    find_onscreen_for_xid had a small thinko so that it would ignore
    framebuffers when the negation of the type is onscreen. This ends up
    doing the right thing anyway because the onscreen type has the value 0
    and the offscreen type has the value 1 but presumably it would fail if
    we ever added any other framebuffer types.

 clutter/cogl/cogl/winsys/cogl-winsys-glx.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 49233af4658dd742fa3cc8e79455311710862d22
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Apr 20 11:10:54 2011 +0100

    clutter-backend-glx: Protect against unrefing the Cogl context twice
    
    The dispose function may be called multiple times during destruction
    so it needs to be resilient against destroying any resources
    twice. This wasn't the case for the reference to the Cogl context.

 clutter/glx/clutter-backend-glx.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit b061f73702b658ec40e174d1cfe2d0c8efa2108d
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Apr 15 16:03:19 2011 +0100

    cogl-winsys: Move _cogl_winsys_has_feature to cogl-winsys.c
    
    The code for _cogl_winsys_has_feature will be identical in all of the
    winsys backends for the time being, so it seems to make sense to have
    it in the common cogl-winsys.c file.

